(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    215010,       4971]
NotebookOptionsPosition[    214087,       4938]
NotebookOutlinePosition[    214638,       4960]
CellTagsIndexPosition[    214595,       4957]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"CELL", " ", "1"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"-", " ", 
        RowBox[{
         RowBox[{"INSTRUCTIONS", " ", "--"}], "--"}]}]}]}], "-", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"This", " ", "cell", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"Cell", " ", "1"}]}], ")"}], " ", "needs", " ", "to", " ", 
      "be", " ", "run", " ", "three", " ", "times"}]}], ",", " ", 
    RowBox[{
    "once", " ", "with", " ", "the", " ", "baseline", " ", "parameter"}], ",",
     " ", 
    RowBox[{
     RowBox[{"once", " ", "with", " ", "lambda"}], "=", 
     RowBox[{"26", "*", "2"}]}], ",", " ", 
    RowBox[{
     RowBox[{"and", " ", "once", " ", "with", " ", "beta"}], "=", 
     RowBox[{
      RowBox[{"3", "/", "100"}], "*", "2.", " ", "Each", " ", "time", " ", 
      "the", " ", "cell", " ", "is", " ", "run"}]}], ",", " ", 
    RowBox[{
    "it", " ", "will", " ", "generate", " ", "two", " ", "data", " ", "files",
      " ", "in", " ", "the", " ", "directory", " ", "where", " ", "the", " ", 
     "mathematica", " ", "file", " ", 
     RowBox[{"resides", ".", " ", "After"}], " ", "all", " ", "three", " ", 
     "parameter", " ", "variations", " ", "have", " ", "been", " ", "run"}], 
    ",", " ", 
    RowBox[{
    "Cell", " ", "2", " ", "needs", " ", "to", " ", "be", " ", "run", " ", 
     "to", " ", "produce", " ", "the", " ", 
     RowBox[{"graphs", ".", "\[IndentingNewLine]", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", 
               RowBox[{"--", "--"}]}]}]}]}]}]}]}]}]}]}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"Context", "[", "]"}], "<>", "\"\<*\>\""}], "]"}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetOptions", "[", 
     RowBox[{
      RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
      RowBox[{"CellContext", "\[Rule]", "Notebook"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"NUMERICAL", " ", "CALIBRATION", " ", "VARIABLES"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dataEHP", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<Leverage\>\"", ",", "\"\<CreditSpread\>\"", ",", 
         "\"\<PropBidAsk\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1308", "/", "10000"}], ",", "61", ",", "20"}], "}"}], ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2118", "/", "10000"}], ",", "88", ",", "20"}], "}"}], 
         ","}], "*)"}], 
       RowBox[{"{", 
        RowBox[{"bla", ",", "100", ",", "bla"}], "}"}], ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"3198", "/", "10000"}], ",", "123", ",", "25"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"4328", "/", "10000"}], ",", "199", ",", "25"}], "}"}], 
         ","}], "*)"}], 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"5353", "/", "10000"}], ",", "350", ",", "35"}], "}"}]}], 
      RowBox[{"(*", 
       RowBox[{",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"6570", "/", "10000"}], ",", "552", ",", "35"}], "}"}]}], 
       "*)"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"QLlist", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "QLAAA", ",", "QLAA", ",", "QLA", ",", "QLBBB", ",", "QLBB", ",", 
         "QLB"}], "}"}], "=", 
       RowBox[{"dataEHP", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"2", ";;", "7"}], ",", "1"}], "]"}], "]"}]}]}], ";"}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"grid", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"10", "/", "100"}], ",", 
         RowBox[{"70", "/", "100"}], ",", 
         RowBox[{"5", "/", "100"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"targetspread", "=", "200"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"baspreadHX", "=", "50"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datapoints", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"testinterval", "=", 
     RowBox[{"Interval", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"testinterval2", "=", 
     RowBox[{"Interval", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "2"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Defaultprice", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DefaultBAprop", "=", 
     RowBox[{"300", "/", "10000"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Defaultmp", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Toggles", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"midpoint", "=", "0"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"turn", " ", "on", " ", "midpoint", " ", "calculations"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"quasileverage", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"term", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\"\<_MP_\>\"", "-", "\"\<_DH_\>\""}], ")"}], "midpoint"}], 
      "+", "\"\<_DH_\>\""}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"priceselector", "=", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "midpoint"}], ")"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "+", 
       RowBox[{"midpoint", 
        FractionBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "+", "beta"}], ",", 
           RowBox[{"1", "-", "beta"}]}], "}"}], "2"]}]}], ")"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"propshock", "=", "1"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"proportional", " ", "or", " ", "additive", " ", "shock"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"midpointLT", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Shocks", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"shockchi", "=", "1"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"holding", " ", "cost", " ", "shock"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"shockxi", "=", 
     RowBox[{"7", "/", "10"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"xi", " ", "shock"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"shocky", "=", "0.5"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"proportional", " ", "CF", " ", "shock"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"beta", "=", 
     RowBox[{"3", "/", "100"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"COMPARATIVE", " ", 
      RowBox[{"STATICS", " ", "--"}], " ", "MULTIPLY", " ", "BY", " ", "2", 
      " ", "HERE"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"lambda", "=", "26"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"COMPARATIVE", " ", 
      RowBox[{"STATICS", " ", "--"}], " ", "MULTIPLY", " ", "BY", " ", "2", 
      " ", "HERE"}], " ", "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", "Graphs", " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"QLrange", "=", 
     RowBox[{"{", 
      RowBox[{".1", ",", ".7"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BArange", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"30", ",", "80"}], "}"}], "/", "2"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CSrange", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "600"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "PARAMETERS", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"r", "=", 
     RowBox[{"r1", "=", 
      RowBox[{"20", "/", "1000"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"r2", "=", 
     RowBox[{"20", "/", "1000"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]i", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"1", "/", "16"}], "-", 
       RowBox[{"1", "/", "100"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]s", "=", 
     RowBox[{"10", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"\[Sigma]i", "^", "2"}], "+", 
       RowBox[{"\[Sigma]s", "^", "2"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mup", "=", 
     RowBox[{"1.8", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sharpe", "=", 
     RowBox[{"4", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mu", "=", 
     RowBox[{"mup", "-", 
      RowBox[{"sharpe", " ", "\[Sigma]s"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"actual", " ", "mu", " ", "NOT", " ", "log", " ", "mu"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"mutilde", "=", 
     RowBox[{"mu", "-", 
      FractionBox[
       RowBox[{"\[Sigma]", "^", "2"}], "2"]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"log", " ", "mu"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"alpha", "=", 
     RowBox[{"75", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"theta", "=", 
     RowBox[{"73", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alpha1", "=", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "+", "DefaultBAprop"}], ")"}], "Defaultprice"}], 
      RowBox[{"2", "-", "DefaultBAprop"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alpha2", "=", 
     FractionBox[
      RowBox[{"Defaultprice", 
       RowBox[{"(", 
        RowBox[{"2", "-", "DefaultBAprop", "-", 
         RowBox[{"2", " ", "beta"}], "-", 
         RowBox[{"DefaultBAprop", " ", "beta"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "-", "DefaultBAprop"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "beta"}], ")"}]}]]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alphaLT", "=", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"(", ".23", ")"}], "1.37"}], "]"}], "alpha2"}], "*)"}], 
     "0.6845527395031931`"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kHX", "=", 
     RowBox[{"2", "/", "401"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alphaHX", "=", ".6"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "REQUIRED", " ", "PARAMETERS", " ", "IF", " ", "ALPHAH", " ", "AND", " ", 
     "ALHPAL", " ", "GIVEN"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vectoralpha", "=", 
     RowBox[{"{", 
      RowBox[{"alpha1", ",", "alpha2"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alphaCDS", "=", "alphaLT"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xi1", "=", 
     RowBox[{"shockxi", "*", "1"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xi2", "=", 
     RowBox[{"beta", "*", "lambda"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p", "=", "1"}], ";", " ", 
    RowBox[{"(*", " ", "principal", " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"pi", "=", 
     RowBox[{"27", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"chi0", "=", "0.0032"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"chi1", "=", "0.11"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"holdingcost", "[", "c_", "]"}], "=", 
     RowBox[{"shockchi", 
      RowBox[{"(", 
       RowBox[{"chi0", "+", 
        RowBox[{"chi1", " ", "c"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eps", "=", 
     RowBox[{"1", "/", "1000000"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T0", "=", "10"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"debt", " ", "structure", " ", "upper", " ", "limit"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"t0", "=", "10"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"individual", " ", "bond"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"trans", "=", 
     RowBox[{"10", "/", "1000"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "filename", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"filename", "=", 
     RowBox[{"\"\<\[Alpha]H=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"alpha1", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]L=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"alpha2", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]LT=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"alphaLT", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]CDS=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"alphaCDS", "//", "N"}], "]"}], "<>", "\"\<_\[Mu]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"mu", "//", "N"}], "]"}], "<>", "\"\<_\[Sigma]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"\[Sigma]", "//", "N"}], "]"}], "<>", "\"\<_\[Pi]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"pi", "//", "N"}], "]"}], "<>", "\"\<_r=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"r", "//", "N"}], "]"}], "<>", "\"\<_\[Chi]0=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"chi0", "//", "N"}], "]"}], "<>", "\"\<_\[Chi]1=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"chi1", "//", "N"}], "]"}], "<>", "\"\<_\[Kappa]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"trans", "//", "N"}], "]"}], "<>", "\"\<_\[Lambda]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"lambda", "//", "N"}], "]"}], "<>", "\"\<_\[Beta]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"beta", "//", "N"}], "]"}], "<>", "\"\<_\[Xi]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"xi1", "//", "N"}], "]"}], "<>", "\"\<_T=\>\"", "<>", 
      RowBox[{"ToString", "[", "T0", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"filenameHX", "=", 
     RowBox[{"\"\<\[Alpha]HX=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"alphaHX", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]LT=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"alphaLT", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]CDS=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"alphaCDS", "//", "N"}], "]"}], "<>", "\"\<_\[Mu]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"mu", "//", "N"}], "]"}], "<>", "\"\<_\[Sigma]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"\[Sigma]", "//", "N"}], "]"}], "<>", "\"\<_\[Pi]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"pi", "//", "N"}], "]"}], "<>", "\"\<_r=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"r", "//", "N"}], "]"}], "<>", "\"\<_k=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"kHX", "//", "N"}], "]"}], "<>", "\"\<_\[Kappa]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"trans", "//", "N"}], "]"}], "<>", "\"\<_\[Xi]=\>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"xi1", "//", "N"}], "]"}], "<>", "\"\<_T=\>\"", "<>", 
      RowBox[{"ToString", "[", "T0", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"selector", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"AUXILIARY", " ", "FUNCTIONS"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"y_", ",", "c_", ",", "t_"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"c", " ", "p"}], "y"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "y"}], " ", "t"}], "]"}]}], ")"}]}], "+", 
      RowBox[{"p", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "y"}], " ", "t"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Phi", "[", "x_", "]"}], "=", 
     RowBox[{"CDF", "[", 
      RowBox[{
       RowBox[{"NormalDistribution", "[", 
        RowBox[{"0", ",", "1"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{"PDF", "[", 
      RowBox[{
       RowBox[{"NormalDistribution", "[", 
        RowBox[{"0", ",", "1"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "MATRICES", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vectorc", "[", "c_", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"c", "-", 
        RowBox[{"holdingcost", "[", "c", "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vectorp", "=", 
     RowBox[{"{", 
      RowBox[{"p", ",", "p"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ones", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"diff", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"matrixA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r1", "+", "xi1"}], ",", 
         RowBox[{"-", "xi1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "xi2"}], ",", 
         RowBox[{"r2", "+", "xi2"}]}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"matrixP", ",", "matrixD"}], "}"}], "=", 
     RowBox[{"JordanDecomposition", "[", "matrixA", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rhat1", ",", "rhat2"}], "}"}], "=", 
     RowBox[{"Diagonal", "[", "matrixD", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rhat", "=", 
     RowBox[{"{", 
      RowBox[{"rhat1", ",", "rhat2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vectorchat", "[", "c_", "]"}], "=", 
     RowBox[{
      RowBox[{"Inverse", "[", "matrixP", "]"}], ".", 
      RowBox[{"vectorc", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vectorphat", "=", 
     RowBox[{
      RowBox[{"Inverse", "[", "matrixP", "]"}], ".", "vectorp"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vectoralphahat", "=", 
     RowBox[{
      RowBox[{"Inverse", "[", "matrixP", "]"}], ".", "vectoralpha"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vectorA", "[", "c_", "]"}], "=", 
     RowBox[{
      RowBox[{"Inverse", "[", "matrixD", "]"}], ".", 
      RowBox[{"vectorchat", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vectorB", "[", "c_", "]"}], "=", 
     RowBox[{"vectorphat", "-", 
      RowBox[{"vectorA", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vectorC", "[", 
      RowBox[{"c_", ",", "yb_"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"Exp", "[", "yb", "]"}], 
        RowBox[{"r1", "-", "mu"}]], "vectoralphahat"}], "-", 
      RowBox[{"vectorA", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "DEBT", " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{
      FractionBox["mu", 
       RowBox[{"\[Sigma]", "^", "2"}]], "-", 
      FractionBox["1", "2"]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"q", "[", 
      RowBox[{"y_", ",", "t_", ",", "root_", ",", "yb_"}], "]"}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{"yb", "-", "y"}], 
       RowBox[{"\[Sigma]", " ", 
        RowBox[{"Sqrt", "[", "t", "]"}]}]], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"root", "+", "a"}], ")"}], "\[Sigma]", " ", 
       RowBox[{"Sqrt", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"froots", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"froot1", ",", "froot2"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"-", "2"}], "a"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"groots", "[", 
      RowBox[{"i_", "?", "IntegerQ"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "a"}], "+", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{
           FractionBox[
            RowBox[{"2", " "}], 
            RowBox[{"\[Sigma]", "^", "2"}]], " ", 
           RowBox[{"rhat", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"-", "a"}], "-", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{
           FractionBox[
            RowBox[{"2", " "}], 
            RowBox[{"\[Sigma]", "^", "2"}]], " ", 
           RowBox[{"rhat", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"groot11", ",", "groot12", ",", "groot21", ",", "groot22"}], 
      "}"}], "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"groots", "[", "1", "]"}], ",", 
        RowBox[{"groots", "[", "2", "]"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"function", "[", 
      RowBox[{"y_", ",", "t_", ",", 
       RowBox[{"roots_", "?", "ListQ"}], ",", "yb_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"roots", "[", 
          RowBox[{"[", "1", "]"}], "]"}], 
         RowBox[{"(", 
          RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
       RowBox[{"Phi", "[", 
        RowBox[{"q", "[", 
         RowBox[{"y", ",", "t", ",", 
          RowBox[{"roots", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "yb"}], "]"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"roots", "[", 
          RowBox[{"[", "2", "]"}], "]"}], 
         RowBox[{"(", 
          RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
       RowBox[{"Phi", "[", 
        RowBox[{"q", "[", 
         RowBox[{"y", ",", "t", ",", 
          RowBox[{"roots", "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "yb"}], "]"}], "]"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"matrixF", "[", 
      RowBox[{"y_", ",", "t_", ",", "yb_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"MatrixExp", "[", 
       RowBox[{
        RowBox[{"-", "matrixD"}], " ", "t"}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"function", "[", 
         RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], 
       ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"matrixG", "[", 
      RowBox[{"y_", ",", "t_", ",", "yb_"}], "]"}], "=", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"function", "[", 
         RowBox[{"y", ",", "t", ",", 
          RowBox[{"groots", "[", "1", "]"}], ",", "yb"}], "]"}], ",", 
        RowBox[{"function", "[", 
         RowBox[{"y", ",", "t", ",", 
          RowBox[{"groots", "[", "2", "]"}], ",", "yb"}], "]"}]}], "}"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dhat", "[", 
      RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"vectorA", "[", "c", "]"}], "+", 
      RowBox[{
       RowBox[{"matrixF", "[", 
        RowBox[{"y", ",", "t", ",", "yb"}], "]"}], ".", 
       RowBox[{"vectorB", "[", "c", "]"}]}], "+", 
      RowBox[{
       RowBox[{"matrixG", "[", 
        RowBox[{"y", ",", "t", ",", "yb"}], "]"}], ".", 
       RowBox[{"vectorC", "[", 
        RowBox[{"c", ",", "yb"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"d", "[", 
      RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
     RowBox[{"matrixP", ".", 
      RowBox[{"dhat", "[", 
       RowBox[{"y", ",", "t", ",", "yb", ",", "c"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dDGP", "[", 
      RowBox[{"t_", ",", "c_"}], "]"}], "=", 
     RowBox[{"matrixP", ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"vectorA", "[", "c", "]"}], "+", 
        RowBox[{
         RowBox[{"MatrixExp", "[", 
          RowBox[{
           RowBox[{"-", "matrixD"}], " ", "t"}], "]"}], ".", 
         RowBox[{"vectorB", "[", "c", "]"}]}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "EQUITY", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eroots", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eroot1", ",", "eroot2"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "a"}], "+", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"a", "^", "2"}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{"2", " "}], 
             RowBox[{"\[Sigma]", "^", "2"}]], " ", "r1"}]}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "a"}], "-", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"a", "^", "2"}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{"2", " "}], 
             RowBox[{"\[Sigma]", "^", "2"}]], " ", "r1"}]}], "]"}]}]}], 
       "}"}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"\"\<Roots check\>\"", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rootsvector", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<\!\(\*OverscriptBox[\(r\), \(^\)]\)1\>\"", ",", 
         "\"\<\!\(\*OverscriptBox[\(r\), \(^\)]\)2\>\"", ",", 
         "\"\<\[Phi]1\>\"", ",", "\"\<\[Phi]2\>\"", ",", "\"\<\[Gamma]11\>\"",
          ",", "\"\<\[Gamma]12\>\"", ",", "\"\<\[Gamma]21\>\"", ",", 
         "\"\<\[Gamma]22\>\"", ",", "\"\<\[Eta]1\>\"", ",", 
         "\"\<\[Eta]2\>\""}], "}"}], ",", 
       RowBox[{"Round", "[", 
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{"rhat", ",", "froots", ",", 
            RowBox[{"groots", "[", "1", "]"}], ",", 
            RowBox[{"groots", "[", "2", "]"}], ",", "eroots"}], "}"}], "]"}], 
         ",", ".01"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rootsvector", "//", "MatrixForm"}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"-", " ", "SUBPART"}]}], " ", "OF", " ", 
      RowBox[{"INTEGRATION", " ", "--"}]}], "-"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"NOTATION", ":", " ", 
      RowBox[{
      "droot", " ", "IS", " ", "GENERIC", " ", "DEBT", " ", "ROOT"}]}], ",", 
     " ", 
     RowBox[{
     "eroot", " ", "IS", " ", "GENERIC", " ", "EQUITY", " ", "ROOT"}]}], " ", 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"H2", "[", 
      RowBox[{"y_", ",", "t_", ",", "droot_", ",", "eroot_", ",", "yb_"}], 
      "]"}], "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"eroot", "-", "droot"}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"droot", "-", "eroot"}], ")"}], "y"}], "]"}], 
         RowBox[{"Phi", "[", 
          RowBox[{"q", "[", 
           RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], "]"}]}], 
        "-", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"droot", "-", "eroot"}], ")"}], "yb"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           FractionBox["1", "2"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"eroot", "+", "a"}], ")"}], "^", "2"}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"droot", "+", "a"}], ")"}], "^", "2"}]}], ")"}], 
           RowBox[{"\[Sigma]", "^", "2"}], " ", "t"}], "]"}], 
         RowBox[{"Phi", "[", 
          RowBox[{"q", "[", 
           RowBox[{"y", ",", "t", ",", "eroot", ",", "yb"}], "]"}], "]"}]}]}],
        ")"}]}]}], ";"}], " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"y_", ",", "t_", ",", "droot_", ",", "eroot_", ",", "yb_"}], 
      "]"}], "=", 
     RowBox[{"\[Sigma]", " ", 
      RowBox[{"Sqrt", "[", "t", "]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], 
         RowBox[{"Phi", "[", 
          RowBox[{"q", "[", 
           RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], "]"}]}], 
        "+", 
        RowBox[{"phi", "[", 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], "]"}]}], 
       ")"}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"H", "[", 
      RowBox[{"y_", ",", "t_", ",", "droot_", ",", "eroot_", ",", "yb_"}], 
      "]"}], "=", 
     RowBox[{"Piecewise", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"H2", "[", 
           RowBox[{"y", ",", "t", ",", "droot", ",", "eroot", ",", "yb"}], 
           "]"}], ",", 
          RowBox[{"droot", "\[NotEqual]", "eroot"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"H3", "[", 
           RowBox[{"y", ",", "t", ",", "droot", ",", "eroot", ",", "yb"}], 
           "]"}], ",", 
          RowBox[{"droot", "==", "eroot"}]}], "}"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "SPECIAL", " ", "FUNCTION", " ", "FOR", " ", "EVALUATION", " ", "AT", " ",
      "BANKRUPTCY", " ", "BOUNDARY"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"hb2", "[", 
      RowBox[{"T_", ",", "root_"}], "]"}], "=", 
     RowBox[{"Piecewise", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           FractionBox["1", 
            RowBox[{"eroot1", "-", "root"}]], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Phi", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"root", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
               RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}], "-", 
             RowBox[{
              RowBox[{"Exp", "[", 
               RowBox[{
                FractionBox["1", "2"], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"eroot1", "+", "a"}], ")"}], "^", "2"}], "-", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"root", "+", "a"}], ")"}], "^", "2"}]}], ")"}], 
                RowBox[{"\[Sigma]", "^", "2"}], " ", "T"}], "]"}], 
              RowBox[{"Phi", "[", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
                RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}]}]}], ")"}]}], ",", 
          RowBox[{"root", "\[NotEqual]", "eroot1"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Sigma]", " ", 
           RowBox[{"Sqrt", "[", "T", "]"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
              RowBox[{"Sqrt", "[", "T", "]"}], " ", 
              RowBox[{"Phi", "[", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
                RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}]}], "+", 
             RowBox[{"phi", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
               RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}]}], ")"}]}], ",", 
          RowBox[{"root", "==", "eroot1"}]}], "}"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"hb", "[", 
      RowBox[{"T_", ",", "roots_"}], "]"}], ":=", 
     RowBox[{
      FractionBox[
       RowBox[{"-", "2"}], 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"hb2", "[", 
         RowBox[{"T", ",", 
          RowBox[{"roots", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gF", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gFprime", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"eroot2", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{"eroot1", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gG", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "j_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"groots", "[", "j", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"groots", "[", "j", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gGprime", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "j_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"eroot2", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"groots", "[", "j", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{"eroot1", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"groots", "[", "j", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"k0", "[", 
      RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{
      FractionBox["1", "r1"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"selector", ".", "matrixP", ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"vectorA", "[", "c", "]"}], "+", 
            RowBox[{
             RowBox[{"MatrixExp", "[", 
              RowBox[{
               RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
             RowBox[{"vectorB", "[", "c", "]"}]}]}], ")"}]}]}], "-", 
        RowBox[{
         FractionBox["1", "T"], "p"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"k1", "[", 
      RowBox[{"T_", ",", "yb_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"Exp", "[", "yb", "]"}], 
         RowBox[{"r1", "-", "mu"}]], "+", 
        RowBox[{"k0", "[", 
         RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"selector", ".", "matrixP", ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
               RowBox[{"MatrixExp", "[", 
                RowBox[{
                 RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
               RowBox[{"vectorB", "[", "c", "]"}]}]}], " ", 
             RowBox[{"gF", "[", 
              RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{"DiagonalMatrix", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"gG", "[", 
                 RowBox[{"yb", ",", "T", ",", "yb", ",", "1"}], "]"}], ",", 
                RowBox[{"gG", "[", 
                 RowBox[{"yb", ",", "T", ",", "yb", ",", "2"}], "]"}]}], 
               "}"}], "]"}], ".", 
             RowBox[{"vectorC", "[", 
              RowBox[{"c", ",", "yb"}], "]"}]}]}], ")"}]}]}]}], ")"}]}]}], 
    RowBox[{"(*", 
     RowBox[{"//", "Simplify"}], "*)"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"e", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_", ",", "transaction_"}], 
      "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"k1", "[", 
        RowBox[{"T", ",", "yb", ",", "c", ",", "transaction"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"y", "-", "yb"}], ")"}], "eroot2"}], "]"}]}], "+", 
      FractionBox[
       RowBox[{"Exp", "[", "y", "]"}], 
       RowBox[{"r1", "-", "mu"}]], "+", 
      RowBox[{"k0", "[", 
       RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
      RowBox[{
       FractionBox["1", "T"], 
       RowBox[{"(", 
        RowBox[{"1", "-", "transaction"}], ")"}], 
       RowBox[{"selector", ".", "matrixP", ".", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"MatrixExp", "[", 
              RowBox[{
               RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
             RowBox[{"vectorB", "[", "c", "]"}]}]}], " ", 
           RowBox[{"gF", "[", 
            RowBox[{"y", ",", "T", ",", "yb"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"DiagonalMatrix", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"gG", "[", 
               RowBox[{"y", ",", "T", ",", "yb", ",", "1"}], "]"}], ",", 
              RowBox[{"gG", "[", 
               RowBox[{"y", ",", "T", ",", "yb", ",", "2"}], "]"}]}], "}"}], 
            "]"}], ".", 
           RowBox[{"vectorC", "[", 
            RowBox[{"c", ",", "yb"}], "]"}]}]}], ")"}]}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"eRF", "[", 
      RowBox[{"y_", ",", "T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{"Exp", "[", "y", "]"}], 
       RowBox[{"r1", "-", "mu"}]], "+", 
      RowBox[{
       FractionBox["1", "r1"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "transaction"}], ")"}], 
             RowBox[{"selector", ".", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Inverse", "[", "matrixA", "]"}], ".", 
                 RowBox[{"vectorc", "[", "c", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{
                   RowBox[{"-", "matrixA"}], " ", "T"}], "]"}], ".", 
                 RowBox[{"(", 
                  RowBox[{"vectorp", "-", 
                   RowBox[{
                    RowBox[{"Inverse", "[", "matrixA", "]"}], ".", 
                    RowBox[{"vectorc", "[", "c", "]"}]}]}], ")"}]}]}], 
               ")"}]}]}], "-", "p"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"YB", "[", 
      RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{"Log", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r1", "-", "mu"}], ")"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"eroot2", "-", "1", "+", 
          RowBox[{
           FractionBox["1", "T"], 
           RowBox[{"(", 
            RowBox[{"1", "-", "transaction"}], ")"}], 
           RowBox[{"selector", ".", "matrixP", ".", 
            RowBox[{"DiagonalMatrix", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"hb", "[", 
                RowBox[{"T", ",", 
                 RowBox[{"groots", "[", "1", "]"}]}], "]"}], ",", 
               RowBox[{"hb", "[", 
                RowBox[{"T", ",", 
                 RowBox[{"groots", "[", "2", "]"}]}], "]"}]}], "}"}], "]"}], 
            ".", "vectoralphahat"}]}]}], ")"}], "^", 
        RowBox[{"-", "1"}]}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "eroot2"}], " ", 
          RowBox[{"k0", "[", 
           RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"selector", ".", "matrixP", ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"MatrixExp", "[", 
                RowBox[{
                 RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
               RowBox[{"vectorB", "[", "c", "]"}]}], " ", 
              RowBox[{"hb", "[", 
               RowBox[{"T", ",", "froots"}], "]"}]}], "+", 
             RowBox[{
              RowBox[{"DiagonalMatrix", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"hb", "[", 
                  RowBox[{"T", ",", 
                   RowBox[{"groots", "[", "1", "]"}]}], "]"}], ",", 
                 RowBox[{"hb", "[", 
                  RowBox[{"T", ",", 
                   RowBox[{"groots", "[", "2", "]"}]}], "]"}]}], "}"}], "]"}],
               ".", 
              RowBox[{"vectorA", "[", "c", "]"}]}]}], ")"}]}]}]}], ")"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"TOTAL", " ", "VALUE"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"functionJ", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "j_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"groots", "[", "j", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "+", "a"}], "]"}], "\[Sigma]", " ", 
        RowBox[{"Sqrt", "[", "T", "]"}]}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sign", "[", 
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}]}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], 
           RowBox[{"(", 
            RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
         RowBox[{"Phi", "[", 
          RowBox[{"q", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}], "]"}], 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"matrixJ", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"functionJ", "[", 
         RowBox[{"y", ",", "T", ",", "yb", ",", "1"}], "]"}], ",", 
        RowBox[{"functionJ", "[", 
         RowBox[{"y", ",", "T", ",", "yb", ",", "2"}], "]"}]}], "}"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"totald", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_"}], "]"}], "=", 
     RowBox[{"matrixP", ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"vectorA", "[", "c", "]"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{
          RowBox[{"Inverse", "[", "matrixD", "]"}], ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"IdentityMatrix", "[", "2", "]"}], "-", 
            RowBox[{"matrixG", "[", 
             RowBox[{"y", ",", "T", ",", "yb"}], "]"}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"function", "[", 
                RowBox[{"y", ",", "T", ",", "froots", ",", "yb"}], "]"}]}], 
              ")"}], 
             RowBox[{"MatrixExp", "[", 
              RowBox[{
               RowBox[{"-", "matrixD"}], " ", "T"}], "]"}]}]}], ")"}], ".", 
          RowBox[{"vectorB", "[", "c", "]"}]}]}], "+", 
        RowBox[{
         RowBox[{"matrixJ", "[", 
          RowBox[{"y", ",", "T", ",", "yb"}], "]"}], ".", 
         RowBox[{"vectorC", "[", 
          RowBox[{"c", ",", "yb"}], "]"}]}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"tv", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_", ",", "transaction_"}], 
      "]"}], "=", 
     RowBox[{
      RowBox[{"e", "[", 
       RowBox[{"y", ",", "T", ",", "yb", ",", "c", ",", "transaction"}], 
       "]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "transaction"}], ")"}], 
       RowBox[{"selector", ".", 
        RowBox[{"totald", "[", 
         RowBox[{"y", ",", "T", ",", "yb", ",", "c"}], "]"}]}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"tvconsolidated", "[", 
      RowBox[{"y_", ",", "T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{"tv", "[", 
      RowBox[{"y", ",", "T", ",", 
       RowBox[{"YB", "[", 
        RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], ",", "c", ",", 
       "transaction"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"LT", " ", "functions"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dLT", "[", 
      RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
     RowBox[{
      FractionBox["c", "r"], "+", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "r"}], " ", "t"}], "]"}], 
       RowBox[{"(", 
        RowBox[{"p", "-", 
         FractionBox["c", "r"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"function", "[", 
          RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], ")"}]}],
       "+", 
      RowBox[{
       RowBox[{"function", "[", 
        RowBox[{"y", ",", "t", ",", "eroots", ",", "yb"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"alphaLT", " ", 
          FractionBox[
           RowBox[{"Exp", "[", "yb", "]"}], 
           RowBox[{"r", "-", "mu"}]]}], "-", 
         FractionBox["c", "r"]}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"k0LT", "[", 
      RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{
      FractionBox["1", "r1"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           FractionBox["c", "r"], "+", 
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "r"}], " ", "T"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", "r"]}], ")"}]}]}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "T"], "p"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"YBLT", "[", 
      RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{"Log", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r1", "-", "mu"}], ")"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"eroot2", "-", "1", "+", 
          RowBox[{
           FractionBox["1", "T"], 
           RowBox[{"(", 
            RowBox[{"1", "-", "transaction"}], ")"}], 
           RowBox[{"hb", "[", 
            RowBox[{"T", ",", "eroots"}], "]"}], "alphaLT"}]}], ")"}], "^", 
        RowBox[{"-", "1"}]}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "eroot2"}], " ", 
          RowBox[{"k0LT", "[", 
           RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "r"}], " ", "T"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"p", "-", 
               FractionBox["c", "r"]}], ")"}], " ", 
             RowBox[{"hb", "[", 
              RowBox[{"T", ",", "froots"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{"hb", "[", 
              RowBox[{"T", ",", "eroots"}], "]"}], 
             FractionBox["c", "r"]}]}], ")"}]}]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"HX", " ", "functions"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"grootsHX", "[", "k_", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "a"}], "+", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{
           FractionBox[
            RowBox[{"2", " "}], 
            RowBox[{"\[Sigma]", "^", "2"}]], " ", 
           RowBox[{"(", 
            RowBox[{"r1", "+", "k"}], ")"}]}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"-", "a"}], "-", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{
           FractionBox[
            RowBox[{"2", " "}], 
            RowBox[{"\[Sigma]", "^", "2"}]], " ", 
           RowBox[{"(", 
            RowBox[{"r1", "+", "k"}], ")"}]}]}], "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "same", " ", "roots", " ", "as", " ", "in", " ", "full", " ", "model"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gFHX", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gFprimeHX", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"eroot2", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{"eroot1", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"froots", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "different", " ", "roots", " ", "as", " ", "in", " ", "full", " ", 
     "model", " ", "only", " ", "for", " ", "G"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gGHX", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"grootsHX", "[", "k", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"grootsHX", "[", "k", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gGprimeHX", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"\[Sigma]", "^", "2"}]], 
      FractionBox["1", 
       RowBox[{"eroot2", "-", "eroot1"}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"eroot2", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot2", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"grootsHX", "[", "k", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
           "]"}]}], "-", 
         RowBox[{"eroot1", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"eroot1", " ", "y"}], "]"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"grootsHX", "[", "k", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
          RowBox[{"H", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
           "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dHX", "[", 
      RowBox[{"y_", ",", "t_", ",", "yb_", ",", "k_", ",", "c_"}], "]"}], "=", 
     RowBox[{
      FractionBox["c", 
       RowBox[{"(", 
        RowBox[{"r1", "+", "k"}], ")"}]], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p", "-", 
         FractionBox["c", 
          RowBox[{"(", 
           RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"r1", "+", "k"}], ")"}]}], " ", "t"}], "]"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"function", "[", 
          RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], ")"}]}],
       "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"alphaHX", " ", 
          FractionBox[
           RowBox[{"Exp", "[", "yb", "]"}], 
           RowBox[{"r1", "-", "mu"}]]}], "-", 
         FractionBox["c", 
          RowBox[{"(", 
           RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], 
       RowBox[{"function", "[", 
        RowBox[{"y", ",", "t", ",", 
         RowBox[{"grootsHX", "[", "k", "]"}], ",", "yb"}], "]"}]}]}]}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"k0HX", "[", 
      RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{
      FractionBox["1", "r1"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           FractionBox["c", 
            RowBox[{"(", 
             RowBox[{"r1", "+", "k"}], ")"}]], "+", 
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", 
               RowBox[{"(", 
                RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}]}]}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "T"], "p"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"k1HX", "[", 
      RowBox[{"T_", ",", "yb_", ",", "k_", ",", "c_", ",", "transaction_"}], 
      "]"}], "=", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"Exp", "[", "yb", "]"}], 
         RowBox[{"r1", "-", "mu"}]], "+", 
        RowBox[{"k0HX", "[", 
         RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}]}], 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", 
               RowBox[{"(", 
                RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], " ", 
            RowBox[{"gFHX", "[", 
             RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"gGHX", "[", 
             RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"alphaHX", " ", 
               FractionBox[
                RowBox[{"Exp", "[", "yb", "]"}], 
                RowBox[{"r1", "-", "mu"}]]}], "-", 
              FractionBox["c", 
               RowBox[{"(", 
                RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}]}]}], ")"}]}]}], 
       ")"}]}]}], 
    RowBox[{"(*", 
     RowBox[{"//", "Simplify"}], "*)"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"eHX", "[", 
      RowBox[{
      "y_", ",", "T_", ",", "yb_", ",", "k_", ",", "c_", ",", 
       "transaction_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"k0HX", "[", 
       RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
      RowBox[{
       RowBox[{"k1HX", "[", 
        RowBox[{"T", ",", "yb", ",", "k", ",", "c", ",", "transaction"}], 
        "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"y", "-", "yb"}], ")"}], "eroot2"}], "]"}]}], "+", 
      FractionBox[
       RowBox[{"Exp", "[", "y", "]"}], 
       RowBox[{"r1", "-", "mu"}]], "+", 
      RowBox[{
       FractionBox["1", "T"], 
       RowBox[{"(", 
        RowBox[{"1", "-", "transaction"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}]}], 
          RowBox[{"(", 
           RowBox[{"p", "-", 
            FractionBox["c", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], " ", 
          RowBox[{"gFHX", "[", 
           RowBox[{"y", ",", "T", ",", "yb"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"gGHX", "[", 
           RowBox[{"y", ",", "T", ",", "yb", ",", "k"}], "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"alphaHX", " ", 
             FractionBox[
              RowBox[{"Exp", "[", "yb", "]"}], 
              RowBox[{"r1", "-", "mu"}]]}], "-", 
            FractionBox["c", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}]}]}], ")"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"eRFHX", "[", 
      RowBox[{"y_", ",", "T_", ",", "k_", ",", "c_", ",", "transaction_"}], 
      "]"}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{"Exp", "[", "y", "]"}], 
       RowBox[{"r1", "-", "mu"}]], "+", 
      RowBox[{
       FractionBox["1", "r1"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            FractionBox["c", 
             RowBox[{"r1", "+", "k"}]], "+", 
            RowBox[{
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"r1", "+", "k"}], ")"}]}], "T"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"p", "-", 
               FractionBox["c", 
                RowBox[{"r1", "+", "k"}]]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "T"], "p"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"YBHX", "[", 
      RowBox[{"T_", ",", "k_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{"Log", "[", 
      RowBox[{"(*", 
       RowBox[{"Piecewise", "[", 
        RowBox[{"{", "{"}]}], "*)"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r1", "-", "mu"}], ")"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"eroot2", "-", "1", "+", 
          RowBox[{
           FractionBox["1", "T"], 
           RowBox[{"(", 
            RowBox[{"1", "-", "transaction"}], ")"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"eroot2", " ", 
              RowBox[{"gGHX", "[", 
               RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], "-", 
             RowBox[{"gGprimeHX", "[", 
              RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], ")"}], 
           "alphaHX"}]}], ")"}], "^", 
        RowBox[{"-", "1"}]}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "eroot2"}], " ", 
          RowBox[{"k0HX", "[", 
           RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"p", "-", 
               FractionBox["c", 
                RowBox[{"(", 
                 RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"eroot2", " ", 
                RowBox[{"gFHX", "[", 
                 RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], "-", 
               RowBox[{"gFprimeHX", "[", 
                RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"eroot2", " ", 
                RowBox[{"gGHX", "[", 
                 RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], "-", 
               RowBox[{"gGprimeHX", "[", 
                RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], ")"}], 
             FractionBox["c", 
              RowBox[{"(", 
               RowBox[{"r1", "+", "k"}], ")"}]]}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{",", 
            RowBox[{"T", ">", "0"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r1", "-", "mu"}], ")"}], 
             RowBox[{
              RowBox[{"(", "p", ")"}], "/", 
              RowBox[{"(", "alpha1", ")"}]}]}], ",", 
            RowBox[{"T", "\[Equal]", "0"}]}], "}"}]}], "}"}], "]"}], "*)"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BApropHX", "[", "k_", "]"}], "=", 
     FractionBox["k", 
      RowBox[{"1", "-", 
       FractionBox["k", "2"]}]]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"TOTAL", " ", "VALUE"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"functionJHX", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"grootsHX", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "+", "a"}], "]"}], "\[Sigma]", " ", 
        RowBox[{"Sqrt", "[", "T", "]"}]}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sign", "[", 
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}]}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], 
           RowBox[{"(", 
            RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
         RowBox[{"Phi", "[", 
          RowBox[{"q", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}], "]"}], 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"totaldHX", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_", ",", "c_"}], "]"}], "=", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["c", 
        RowBox[{"r1", "+", "k"}]], "+", 
       RowBox[{
        FractionBox["1", "T"], 
        FractionBox["1", 
         RowBox[{"r1", "+", "k"}]], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"function", "[", 
           RowBox[{"y", ",", "T", ",", 
            RowBox[{"grootsHX", "[", "k", "]"}], ",", "yb"}], "]"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"function", "[", 
              RowBox[{"y", ",", "T", ",", "froots", ",", "yb"}], "]"}]}], 
            ")"}], 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}]}]}], 
         ")"}], 
        RowBox[{"(", 
         RowBox[{"p", "-", 
          FractionBox["c", 
           RowBox[{"r1", "+", "k"}]]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"functionJHX", "[", 
         RowBox[{"y", ",", "T", ",", "yb", ",", "k"}], "]"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"alphaHX", " ", 
           FractionBox[
            RowBox[{"Exp", "[", "yb", "]"}], 
            RowBox[{"r1", "-", "mu"}]]}], "-", 
          FractionBox["c", 
           RowBox[{"r1", "+", "k"}]]}], ")"}]}]}], ")"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"tvHX", "[", 
      RowBox[{
      "y_", ",", "T_", ",", "yb_", ",", "k_", ",", "c_", ",", 
       "transaction_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"eHX", "[", 
       RowBox[{
       "y", ",", "T", ",", "yb", ",", "k", ",", "c", ",", "transaction"}], 
       "]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "transaction"}], ")"}], 
       RowBox[{"totaldHX", "[", 
        RowBox[{"y", ",", "T", ",", "yb", ",", "k", ",", "c"}], "]"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"CDS", " ", "functions"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dCDS", "[", 
      RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
     RowBox[{
      FractionBox["c", "r"], "+", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "r"}], " ", "t"}], "]"}], 
       RowBox[{"(", 
        RowBox[{"p", "-", 
         FractionBox["c", "r"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"function", "[", 
          RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], ")"}]}],
       "+", 
      RowBox[{
       RowBox[{"function", "[", 
        RowBox[{"y", ",", "t", ",", "eroots", ",", "yb"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"alphaCDS", " ", 
          FractionBox[
           RowBox[{"Exp", "[", "yb", "]"}], 
           RowBox[{"r", "-", "mu"}]]}], "-", 
         FractionBox["c", "r"]}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"k0CDS", "[", 
      RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{
      FractionBox["1", "r1"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           FractionBox["c", "r"], "+", 
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "r"}], " ", "T"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", "r"]}], ")"}]}]}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "T"], "p"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"YBCDS", "[", 
      RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
     RowBox[{"Log", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r1", "-", "mu"}], ")"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"eroot2", "-", "1", "+", 
          RowBox[{
           FractionBox["1", "T"], 
           RowBox[{"(", 
            RowBox[{"1", "-", "transaction"}], ")"}], 
           RowBox[{"hb", "[", 
            RowBox[{"T", ",", "eroots"}], "]"}], "alphaCDS"}]}], ")"}], "^", 
        RowBox[{"-", "1"}]}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "eroot2"}], " ", 
          RowBox[{"k0CDS", "[", 
           RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "r"}], " ", "T"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"p", "-", 
               FractionBox["c", "r"]}], ")"}], " ", 
             RowBox[{"hb", "[", 
              RowBox[{"T", ",", "froots"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{"hb", "[", 
              RowBox[{"T", ",", "eroots"}], "]"}], 
             FractionBox["c", "r"]}]}], ")"}]}]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", 
               RowBox[{"--", 
                RowBox[{"--", 
                 RowBox[{"--", 
                  RowBox[{"--", 
                   RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{
                    "--", "-"}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BAprop", "[", 
      RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_"}], "]"}], "=", 
     FractionBox[
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{"1", "-", "beta"}], ")"}], 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ".", 
        RowBox[{"d", "[", 
         RowBox[{"y", ",", "T", ",", "yb", ",", "c"}], "]"}]}]}], 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "+", "beta"}], ",", 
         RowBox[{"1", "-", "beta"}]}], "}"}], ".", 
       RowBox[{"d", "[", 
        RowBox[{"y", ",", "T", ",", "yb", ",", "c"}], "]"}]}]]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"parameters", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<\[Alpha]H\>\"", ",", "\"\<\[Alpha]L\>\"", ",", "\"\<\[Mu]\>\"", 
         ",", "\"\<\[Sigma]\>\"", ",", "\"\<\[Pi]\>\"", ",", "\"\<rH\>\"", 
         ",", "\"\<rL\>\"", ",", "\"\<\[Chi]0+\[Chi]1*c(bps)\>\"", ",", 
         "\"\<\[Kappa](bps)\>\"", ",", "\"\<\[Lambda]\>\"", ",", 
         "\"\<\[Beta]\>\"", ",", "\"\<\[Xi]\>\"", ",", "\"\<p\>\"", ",", 
         "\"\<t0\>\"", ",", "\"\<T0\>\"", ",", "\"\<Targeted CS\>\"", ",", 
         "\"\<Shock\[Chi]\>\"", ",", "\"\<Shock\[Xi]\>\"", ",", 
         "\"\<Midpoint\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "alpha1", ",", "alpha2", ",", "mu", ",", "\[Sigma]", ",", "pi", ",", 
         "r1", ",", "r2", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"holdingcost", "[", "c", "]"}], "*", "10000"}], "//", 
          "Simplify"}], ",", 
         RowBox[{"trans", "*", "10000"}], ",", "lambda", ",", "beta", ",", 
         "xi1", ",", "p", ",", "t0", ",", "T0", ",", "targetspread", ",", 
         "shockchi", ",", "shockxi", ",", "midpoint"}], "}"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "\"\<Parameters\>\"",
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"parameters", "//", "MatrixForm"}], "//", "N"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultspar", "=", 
     RowBox[{"resultsnonpar", "=", 
      RowBox[{"resultsnonparLT", "=", 
       RowBox[{"resultsnonparHX", "=", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{
          "\"\<[1] \[Delta]\>\"", ",", "\"\<[2] c-r bps\>\"", ",", 
           "\"\<[3] BAprop(\[Delta],T) bps\>\"", ",", "\"\<[4] QL\>\"", ",", 
           "\"\<[5] ML\>\"", ",", "\"\<[6] CS\>\"", ",", 
           "\"\<[7] CS LTopt\>\"", ",", "\"\<[8] CS LTpart\>\"", ",", 
           "\"\<[9] CS DGP\>\"", ",", "\"\<[10] Pure Default\>\"", ",", 
           "\"\<[11] Liq Default\>\"", ",", "\"\<[12] Pure Liq\>\"", ",", 
           "\"\<[13] Default Liq\>\"", ",", "\"\<[14] Abs[cs(t)-cs(r)]\>\"", 
           ",", "\"\<[15] Pure Default%\>\"", ",", 
           "\"\<[16] Liq Default%\>\"", ",", "\"\<[17] Pure Liq%\>\"", ",", 
           "\"\<[18] Default Liq%\>\"", ",", "\"\<[19] \[Delta]b\>\"", ",", 
           "\"\<[20] Vb(\[Alpha]H-\[Alpha]L)-\[Chi]/rhat1\>\""}], "}"}], 
         "}"}]}]}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Do", "[", " ", 
     RowBox[{"(*", " ", 
      RowBox[{"Direct", " ", "QL", " ", "TARGETING"}], " ", "*)"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"-", " ", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"PAR", " ", "--"}], "--"}], "--"}], 
              "--"}]}]}]}]}]}]}], 
       RowBox[{"--", "-"}]}], " ", "*)"}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "HM", " ", "*)"}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"valdd", ",", "soldd"}], "}"}], "=", 
        RowBox[{"NMinimize", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}], ".", 
                 RowBox[{"d", "[", 
                  RowBox[{"yy", ",", "t0", ",", 
                   RowBox[{"YB", "[", 
                    RowBox[{"T0", ",", "c0", ",", "trans"}], "]"}], ",", 
                   "c0"}], "]"}]}], "-", "p"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FractionBox["p", 
                 RowBox[{
                  RowBox[{"e", "[", 
                   RowBox[{"yy", ",", "T0", ",", 
                    RowBox[{"YB", "[", 
                    RowBox[{"T0", ",", "c0", ",", "trans"}], "]"}], ",", "c0",
                     ",", "trans"}], "]"}], "+", "p"}]], "-", "ql"}], ")"}], 
              "^", "2"}]}], ",", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "<", "yy"}], 
              ","}], "*)"}], 
            RowBox[{"r1", "<", "c0"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"c0", ",", "yy"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"cc", "=", 
        RowBox[{"c0", "/.", "soldd"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"y0", "=", 
        RowBox[{"yy", "/.", "soldd"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"solycredit", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"priceselector", ".", 
            RowBox[{"d", "[", 
             RowBox[{"y0", ",", "t0", ",", 
              RowBox[{"YB", "[", 
               RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
             "]"}]}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"solyLToptimal", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"dLT", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{"YBLT", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"solyCDSpartial", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"dCDS", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"solyDGP", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"priceselector", ".", 
            RowBox[{"dDGP", "[", 
             RowBox[{"t0", ",", "cc"}], "]"}]}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"yHM", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycredit"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"yLToptimal", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyLToptimal"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"yCDSpartial", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyCDSpartial"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"yDGP", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyDGP"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"resultspar", "=", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"resultspar", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Exp", "[", "y0", "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
            RowBox[{
             RowBox[{"BAprop", "[", 
              RowBox[{"y0", ",", "t0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
              "]"}], "*", "10000"}], ",", 
            FractionBox["p", 
             RowBox[{
              RowBox[{"e", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                ",", "trans"}], "]"}], "+", "p"}]], ",", 
            RowBox[{
             RowBox[{"selector", ".", 
              RowBox[{"totald", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
               "]"}]}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"e", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                 ",", "trans"}], "]"}], "+", 
               RowBox[{"selector", ".", 
                RowBox[{"totald", "[", 
                 RowBox[{"y0", ",", "T0", ",", 
                  RowBox[{"YB", "[", 
                   RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", 
                  "cc"}], "]"}]}]}], ")"}]}], ",", "yHM", ",", "yLToptimal", 
            ",", "yCDSpartial", ",", "yDGP", ",", "yLToptimal", ",", 
            RowBox[{"yCDSpartial", "-", "yLToptimal"}], ",", "yDGP", ",", 
            RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], ",", 
            "\"\<NA\>\"", 
            RowBox[{"(*", 
             RowBox[{"Abs", "[", 
              RowBox[{
               RowBox[{"10000", 
                RowBox[{"(", 
                 RowBox[{"cc", "-", "y"}], ")"}]}], "/.", "solycredit"}], 
              "]"}], "*)"}], ",", 
            RowBox[{
             FractionBox["yLToptimal", "yHM"], "100"}], ",", 
            RowBox[{
             FractionBox[
              RowBox[{"yCDSpartial", "-", "yLToptimal"}], "yHM"], "100"}], 
            ",", 
            RowBox[{
             FractionBox["yDGP", "yHM"], "100"}], ",", 
            RowBox[{
             FractionBox[
              RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], "yHM"], 
             "100"}], ",", 
            RowBox[{"Exp", "[", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox[
               RowBox[{"Exp", "[", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], 
               RowBox[{"r", "-", "mu"}]], 
              RowBox[{"(", 
               RowBox[{"alpha1", "-", "alpha2"}], ")"}]}], "-", 
             FractionBox[
              RowBox[{"holdingcost", "[", "cc", "]"}], 
              RowBox[{"r", "+", "xi1", "+", "xi2"}]]}]}], "}"}]}], "]"}]}], 
       ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", " ", 
              RowBox[{"NONPAR", " ", "--"}]}]}]}]}]}], 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", "-"}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", "HM", " ", "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"cc", "=", 
        RowBox[{"r1", "+", 
         RowBox[{"targetspread", "/", "10000"}]}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"valdd", ",", "soldd"}], "}"}], "=", " ", 
        RowBox[{"NMinimize", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FractionBox["p", 
                RowBox[{
                 RowBox[{"e", "[", 
                  RowBox[{"yy", ",", "T0", ",", 
                   RowBox[{"YB", "[", 
                    RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc",
                    ",", "trans"}], "]"}], "+", "p"}]], "-", "ql"}], ")"}], 
             "^", "2"}], ",", 
            RowBox[{
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "<", "yy"}]}], 
           "}"}], ",", 
          RowBox[{"{", "yy", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"y0", "=", 
        RowBox[{"yy", "/.", "soldd"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"solycredit", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"priceselector", ".", 
            RowBox[{"d", "[", 
             RowBox[{"y0", ",", "t0", ",", 
              RowBox[{"YB", "[", 
               RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
             "]"}]}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"solyLToptimal", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"dLT", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{"YBLT", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"solyCDSpartial", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"dCDS", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"solyDGP", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"priceselector", ".", 
            RowBox[{"dDGP", "[", 
             RowBox[{"t0", ",", "cc"}], "]"}]}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"yHM", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycredit"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"yLToptimal", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyLToptimal"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"yCDSpartial", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyCDSpartial"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"yDGP", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyDGP"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"resultsnonpar", "=", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"resultsnonpar", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Exp", "[", "y0", "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
            RowBox[{
             RowBox[{"BAprop", "[", 
              RowBox[{"y0", ",", "t0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
              "]"}], "*", "10000"}], ",", 
            FractionBox["p", 
             RowBox[{
              RowBox[{"e", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                ",", "trans"}], "]"}], "+", "p"}]], ",", 
            RowBox[{
             RowBox[{"selector", ".", 
              RowBox[{"totald", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
               "]"}]}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"e", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                 ",", "trans"}], "]"}], "+", 
               RowBox[{"selector", ".", 
                RowBox[{"totald", "[", 
                 RowBox[{"y0", ",", "T0", ",", 
                  RowBox[{"YB", "[", 
                   RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", 
                  "cc"}], "]"}]}]}], ")"}]}], ",", "yHM", ",", "yLToptimal", 
            ",", "yCDSpartial", ",", "yDGP", ",", "yLToptimal", ",", 
            RowBox[{"yCDSpartial", "-", "yLToptimal"}], ",", "yDGP", ",", 
            RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], ",", 
            "\"\<NA\>\"", 
            RowBox[{"(*", 
             RowBox[{"Abs", "[", 
              RowBox[{
               RowBox[{"10000", 
                RowBox[{"(", 
                 RowBox[{"cc", "-", "y"}], ")"}]}], "/.", "solycredit"}], 
              "]"}], "*)"}], ",", 
            RowBox[{
             FractionBox["yLToptimal", "yHM"], "100"}], ",", 
            RowBox[{
             FractionBox[
              RowBox[{"yCDSpartial", "-", "yLToptimal"}], "yHM"], "100"}], 
            ",", 
            RowBox[{
             FractionBox["yDGP", "yHM"], "100"}], ",", 
            RowBox[{
             FractionBox[
              RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], "yHM"], 
             "100"}], ",", 
            RowBox[{"Exp", "[", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox[
               RowBox[{"Exp", "[", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], 
               RowBox[{"r", "-", "mu"}]], 
              RowBox[{"(", 
               RowBox[{"alpha1", "-", "alpha2"}], ")"}]}], "-", 
             FractionBox[
              RowBox[{"holdingcost", "[", "cc", "]"}], 
              RowBox[{"r", "+", "xi1", "+", "xi2"}]]}]}], "}"}]}], "]"}]}], 
       ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", "HX", " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"cs", "=", "j"}], ";", "\[IndentingNewLine]", 
       RowBox[{"cc", "=", 
        RowBox[{"r1", "+", 
         RowBox[{"targetspread", "/", "10000"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"kk", "=", 
        RowBox[{"baspreadHX", "/", "10000"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"valdd", ",", "soldd"}], "}"}], "=", 
        RowBox[{"NMinimize", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FractionBox["p", 
                RowBox[{
                 RowBox[{"eHX", "[", 
                  RowBox[{"yy", ",", "T0", ",", 
                   RowBox[{
                    RowBox[{"YBHX", "[", 
                    RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}],
                     "//", "Simplify"}], ",", "kk", ",", "cc", ",", "trans"}],
                   "]"}], "+", "p"}]], "-", "ql"}], ")"}], "^", "2"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"YBHX", "[", 
                RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                "Simplify"}], ")"}], "<", "yy"}]}], "}"}], ",", 
          RowBox[{"{", "yy", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"y0", "=", 
        RowBox[{"yy", "/.", "soldd"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"solycredit", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"dHX", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{
              RowBox[{"YBHX", "[", 
               RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
               "Simplify"}], ",", "kk", ",", "cc"}], "]"}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"yHX", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycredit"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"resultsnonparHX", "=", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"resultsnonparHX", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Exp", "[", "y0", "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
            RowBox[{"kk", "*", "10000"}], ",", 
            FractionBox["p", 
             RowBox[{
              RowBox[{"eHX", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{
                 RowBox[{"YBHX", "[", 
                  RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                  "Simplify"}], ",", "kk", ",", "cc", ",", "trans"}], "]"}], 
              "+", "p"}]], ",", 
            RowBox[{
             RowBox[{"totaldHX", "[", 
              RowBox[{"y0", ",", "T0", ",", 
               RowBox[{
                RowBox[{"YBHX", "[", 
                 RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                 "Simplify"}], ",", "kk", ",", "cc"}], "]"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"eHX", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{
                  RowBox[{"YBHX", "[", 
                   RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], 
                  "//", "Simplify"}], ",", "kk", ",", "cc", ",", "trans"}], 
                "]"}], "+", 
               RowBox[{"totaldHX", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{
                  RowBox[{"YBHX", "[", 
                   RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], 
                  "//", "Simplify"}], ",", "kk", ",", "cc"}], "]"}]}], 
              ")"}]}], ",", "yHX", ",", "NA", ",", "NA", ",", "NA", ",", "NA",
             ",", "NA", ",", "NA", ",", "NA", ",", 
            RowBox[{"Abs", "[", 
             RowBox[{
              RowBox[{"10000", 
               RowBox[{"(", 
                RowBox[{"cc", "-", "y"}], ")"}]}], "/.", "solycredit"}], 
             "]"}], ",", "NA", ",", "NA", ",", "NA", ",", "NA", ",", 
            RowBox[{"N", "[", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"YBHX", "[", 
                RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                "Simplify"}], "]"}], "]"}], ",", "NA"}], "}"}]}], "]"}]}], 
       ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", "LT", " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"cs", "=", "j"}], ";", "\[IndentingNewLine]", 
       RowBox[{"cc", "=", 
        RowBox[{"r1", "+", 
         RowBox[{"targetspread", "/", "10000"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"kk", "=", 
        RowBox[{"1", "/", "100000"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"valdd", ",", "soldd"}], "}"}], "=", 
        RowBox[{"NMinimize", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FractionBox["p", 
                RowBox[{
                 RowBox[{"eHX", "[", 
                  RowBox[{"yy", ",", "T0", ",", 
                   RowBox[{
                    RowBox[{"YBHX", "[", 
                    RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}],
                     "//", "Simplify"}], ",", "kk", ",", "cc", ",", "trans"}],
                   "]"}], "+", "p"}]], "-", "ql"}], ")"}], "^", "2"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"YBHX", "[", 
                RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                "Simplify"}], ")"}], "<", "yy"}]}], "}"}], ",", 
          RowBox[{"{", "yy", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"y0", "=", 
        RowBox[{"yy", "/.", "soldd"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"solycredit", "=", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"dHX", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{
              RowBox[{"YBHX", "[", 
               RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
               "Simplify"}], ",", "kk", ",", "cc"}], "]"}], "==", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"cc", " ", "p"}], "y"], 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"p", " ", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "r1"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"yHX", "=", 
        RowBox[{
         RowBox[{"10000", 
          RowBox[{"(", 
           RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycredit"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"resultsnonparLT", "=", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"resultsnonparLT", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Exp", "[", "y0", "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
            RowBox[{"kk", "*", "10000"}], ",", 
            FractionBox["p", 
             RowBox[{
              RowBox[{"eHX", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{
                 RowBox[{"YBHX", "[", 
                  RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                  "Simplify"}], ",", "kk", ",", "cc", ",", "trans"}], "]"}], 
              "+", "p"}]], ",", 
            RowBox[{
             RowBox[{"totaldHX", "[", 
              RowBox[{"y0", ",", "T0", ",", 
               RowBox[{
                RowBox[{"YBHX", "[", 
                 RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                 "Simplify"}], ",", "kk", ",", "cc"}], "]"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"eHX", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{
                  RowBox[{"YBHX", "[", 
                   RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], 
                  "//", "Simplify"}], ",", "kk", ",", "cc", ",", "trans"}], 
                "]"}], "+", 
               RowBox[{"totaldHX", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{
                  RowBox[{"YBHX", "[", 
                   RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], 
                  "//", "Simplify"}], ",", "kk", ",", "cc"}], "]"}]}], 
              ")"}]}], ",", "yHX", ",", "NA", ",", "NA", ",", "NA", ",", "NA",
             ",", "NA", ",", "NA", ",", "NA", ",", 
            RowBox[{"Abs", "[", 
             RowBox[{
              RowBox[{"10000", 
               RowBox[{"(", 
                RowBox[{"cc", "-", "y"}], ")"}]}], "/.", "solycredit"}], 
             "]"}], ",", "NA", ",", "NA", ",", "NA", ",", "NA", ",", 
            RowBox[{"N", "[", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"YBHX", "[", 
                RowBox[{"T0", ",", "kk", ",", "cc", ",", "trans"}], "]"}], "//",
                "Simplify"}], "]"}], "]"}], ",", "NA"}], "}"}]}], "]"}]}], 
       ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"ql", ",", "grid"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Put", "[", 
     RowBox[{"resultspar", ",", 
      RowBox[{
      "\"\<creditspreads\>\"", "<>", "term", "<>", "\"\<par_\>\"", "<>", 
       "filename", "<>", "\"\<_data_ecma\>\""}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Put", "[", 
     RowBox[{"resultsnonpar", ",", 
      RowBox[{
      "\"\<creditspreads\>\"", "<>", "term", "<>", "\"\<nonpar_\>\"", "<>", 
       "filename", "<>", "\"\<_data_ecma\>\""}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\"\<Data Files generated:\>\"", "\[IndentingNewLine]", 
   RowBox[{
   "\"\<creditspreads\>\"", "<>", "term", "<>", "\"\<par_\>\"", "<>", 
    "filename", "<>", "\"\<_data_ecma\>\""}], "\[IndentingNewLine]", 
   RowBox[{
   "\"\<creditspreads\>\"", "<>", "term", "<>", "\"\<par_\>\"", "<>", 
    "filename", "<>", "\"\<_data_ecma\>\""}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5683967446604185`*^9, 3.568396744832023*^9}, {
   3.5683967890999646`*^9, 3.5683967908004084`*^9}, {3.5683968562596865`*^9, 
   3.5683968919094253`*^9}, {3.568396940691876*^9, 3.568396941050685*^9}, {
   3.568397014264388*^9, 3.568397100037037*^9}, 3.568397189569454*^9, {
   3.568397829098875*^9, 3.568397829442086*^9}, {3.568397904385347*^9, 
   3.568397907834732*^9}, {3.56839798028729*^9, 3.5683979807320747`*^9}, {
   3.568398128131895*^9, 3.568398128243101*^9}, {3.5683983000294933`*^9, 
   3.568398306872408*^9}, 3.5683984837459583`*^9, {3.5683985341923237`*^9, 
   3.568398537186482*^9}, {3.568398573528194*^9, 3.568398573892604*^9}, {
   3.568398658152647*^9, 3.5683987355263853`*^9}, {3.56839898796775*^9, 
   3.568399064016946*^9}, {3.568399106737034*^9, 3.5683991077359533`*^9}, {
   3.568399141593745*^9, 3.568399155589712*^9}, {3.5683991858345003`*^9, 
   3.5683992400076227`*^9}, {3.5683992745336246`*^9, 3.5683993293941*^9}, {
   3.56839936444034*^9, 3.568399369093938*^9}, {3.568399482556695*^9, 
   3.5683994834310017`*^9}, {3.5683995222393837`*^9, 3.568399522596444*^9}, {
   3.568399671400953*^9, 3.5683997947221146`*^9}, {3.568399843364162*^9, 
   3.5683999887094975`*^9}, {3.568400071672425*^9, 3.5684001808440237`*^9}, {
   3.5684002263768005`*^9, 3.56840033651044*^9}, {3.568400372360159*^9, 
   3.568400405183401*^9}, 3.568400666932719*^9, {3.568400817621684*^9, 
   3.5684008361676693`*^9}, {3.56840104983597*^9, 3.56840108000675*^9}, {
   3.568401145348027*^9, 3.568401214941412*^9}, {3.568401261789413*^9, 
   3.568401308309806*^9}, {3.5684013639096317`*^9, 3.5684013654852715`*^9}, {
   3.5684014142989235`*^9, 3.5684014545167546`*^9}, {3.5684014997111135`*^9, 
   3.568401632174919*^9}, {3.5684016634693213`*^9, 3.5684017079772625`*^9}, {
   3.5684017482886963`*^9, 3.5684017498643365`*^9}, {3.568401781517548*^9, 
   3.568401861625602*^9}, {3.5684020136743183`*^9, 3.568402057371848*^9}, {
   3.568402318824967*^9, 3.568402387045516*^9}, {3.568402540544261*^9, 
   3.56840257990407*^9}, {3.568402624006401*^9, 3.568402684879162*^9}, {
   3.5684027227569327`*^9, 3.5684027572026157`*^9}, {3.568402815086509*^9, 
   3.5684028164593444`*^9}, {3.5684028843990865`*^9, 
   3.5684029282482195`*^9}, {3.568403111998344*^9, 3.5684031203447723`*^9}, 
   3.5684031864921637`*^9, {3.568403224807729*^9, 3.5684032332633624`*^9}, {
   3.568403277788046*^9, 3.568403289270234*^9}, {3.568403363615282*^9, 
   3.568403391712291*^9}, {3.5684034336155024`*^9, 3.568403436704421*^9}, {
   3.568403469044465*^9, 3.568403499543638*^9}, {3.568403540994432*^9, 
   3.568403588545061*^9}, {3.568403643349969*^9, 3.56840364364638*^9}, {
   3.5684036737087364`*^9, 3.5684036743015594`*^9}, {3.568403809221195*^9, 
   3.5684040565215225`*^9}, 3.568404216307228*^9, {3.568404709167074*^9, 
   3.568404779337673*^9}, {3.56840481002366*^9, 3.568404910881055*^9}, {
   3.5684075493353777`*^9, 3.568407563625527*^9}, {3.568407595918769*^9, 
   3.568407636605134*^9}, {3.5684076718624897`*^9, 3.5684076745301924`*^9}, {
   3.5684077057781944`*^9, 3.568407725606557*^9}, {3.568407763001195*^9, 
   3.5684077633756094`*^9}, {3.5684083699036684`*^9, 
   3.5684083716665134`*^9}, {3.5684138504918413`*^9, 
   3.5684138569824333`*^9}, {3.56841427352743*^9, 3.568414405461372*^9}, 
   3.5684144370976458`*^9, {3.5684144836442013`*^9, 3.5684144972783957`*^9}, {
   3.568414538022943*^9, 3.568414606361156*^9}, {3.568414687931381*^9, 
   3.568414688080764*^9}, {3.568414730147573*^9, 3.5684147464740458`*^9}, {
   3.568414920210148*^9, 3.568414953490787*^9}, {3.56841499640145*^9, 
   3.568415015815905*^9}, {3.568415124977933*^9, 3.56841512511839*^9}, {
   3.568416032112756*^9, 3.568416045588575*^9}, {3.568417541153015*^9, 
   3.568417541306964*^9}, {3.5684176203697042`*^9, 3.5684176204940157`*^9}, {
   3.568417652597095*^9, 3.568417652730892*^9}, {3.568418140305645*^9, 
   3.568418142697461*^9}, {3.5684195287075787`*^9, 3.568419529368846*^9}, {
   3.5684197371418333`*^9, 3.5684197372159023`*^9}, {3.568419770209488*^9, 
   3.568419806531971*^9}, {3.56841994355086*^9, 3.568419997565344*^9}, {
   3.568420049586585*^9, 3.56842005949625*^9}, {3.568420163148357*^9, 
   3.568420163286675*^9}, {3.5684234919663134`*^9, 3.5684235290901117`*^9}, {
   3.568424600799266*^9, 3.568424647928074*^9}, {3.5684247195651107`*^9, 
   3.568424766226716*^9}, 3.5684248110218735`*^9, {3.568425349737339*^9, 
   3.568425394775694*^9}, {3.5684254491274877`*^9, 3.5684254817487335`*^9}, {
   3.568425512777929*^9, 3.5684255372705564`*^9}, {3.568426335489456*^9, 
   3.5684264044276237`*^9}, {3.568458194986143*^9, 3.568458209868924*^9}, {
   3.568458248429522*^9, 3.568458265683564*^9}, {3.5684583051402035`*^9, 
   3.5684583739268026`*^9}, {3.568458447493498*^9, 3.5684584598646154`*^9}, 
   3.568458502674528*^9, {3.5684585856530557`*^9, 3.5684586135317793`*^9}, {
   3.5684602712175293`*^9, 3.5684602953359027`*^9}, {3.568460865293756*^9, 
   3.568461039007193*^9}, 3.5684610719560204`*^9, {3.568461117243374*^9, 
   3.568461202427579*^9}, {3.568461319494789*^9, 3.5684613657025967`*^9}, {
   3.5684615390137873`*^9, 3.568461608721773*^9}, {3.568461671695381*^9, 
   3.568461701745756*^9}, {3.568461752939128*^9, 3.568461797700901*^9}, {
   3.5684618287839413`*^9, 3.568461835103409*^9}, {3.568461887379217*^9, 
   3.568462044998899*^9}, {3.568462080858034*^9, 3.5684622362211933`*^9}, {
   3.568471612884325*^9, 3.568471650845096*^9}, {3.568471685181472*^9, 
   3.568471686624939*^9}, {3.56847174490691*^9, 3.568471779269858*^9}, {
   3.5684719230552893`*^9, 3.568471925987089*^9}, {3.568471966631694*^9, 
   3.568472026499378*^9}, {3.568472061418385*^9, 3.5684720617932377`*^9}, {
   3.5684722908384666`*^9, 3.568472292399493*^9}, {3.568472323438237*^9, 
   3.568472340216057*^9}, 3.568472424549469*^9, {3.568472793815876*^9, 
   3.568473079711616*^9}, {3.5684731619142647`*^9, 3.5684731759499397`*^9}, {
   3.568473225428575*^9, 3.5684732273042*^9}, {3.5684732576794157`*^9, 
   3.568473279825137*^9}, {3.568473347721511*^9, 3.568473399428413*^9}, {
   3.568473468584105*^9, 3.568473492769156*^9}, {3.568473564122414*^9, 
   3.568473568388887*^9}, {3.5684736137296*^9, 3.568473658641429*^9}, {
   3.5684737286388474`*^9, 3.568473759447358*^9}, {3.5684738031087112`*^9, 
   3.568473804361999*^9}, {3.568473868234687*^9, 3.568473877429102*^9}, {
   3.568474543312051*^9, 3.56847454367537*^9}, {3.5684751811171093`*^9, 
   3.568475195021031*^9}, {3.568479915955459*^9, 3.5684799975972557`*^9}, {
   3.568480140232458*^9, 3.568480140398601*^9}, {3.568480259204453*^9, 
   3.568480281643791*^9}, 3.568480369966385*^9, {3.5684804055122137`*^9, 
   3.568480435256884*^9}, {3.568480479366479*^9, 3.568480487569785*^9}, {
   3.5684806266144667`*^9, 3.56848063087761*^9}, {3.5684807515470877`*^9, 
   3.568480751637423*^9}, {3.568480861426927*^9, 3.5684809226904373`*^9}, {
   3.568481037573501*^9, 3.568481037769382*^9}, {3.568481148960169*^9, 
   3.5684811491264277`*^9}, {3.568481263586706*^9, 3.5684812637754087`*^9}, {
   3.5684814672536917`*^9, 3.568481492290807*^9}, {3.568481542011282*^9, 
   3.568481653646451*^9}, {3.568481755242358*^9, 3.568481757141255*^9}, {
   3.568483174787545*^9, 3.568483240226853*^9}, {3.568483315024975*^9, 
   3.568483329097415*^9}, {3.5684834072038507`*^9, 3.568483407347118*^9}, {
   3.5684835345466423`*^9, 3.568483536661901*^9}, {3.568483844073024*^9, 
   3.568483844234847*^9}, {3.568483943056188*^9, 3.568483943221196*^9}, {
   3.5684841012106657`*^9, 3.5684841014859333`*^9}, {3.568484205218596*^9, 
   3.568484205371519*^9}, {3.568484310758602*^9, 3.5684843109203777`*^9}, {
   3.568484511912105*^9, 3.5684845168699217`*^9}, {3.5684846454280367`*^9, 
   3.568484649539855*^9}, {3.5684847687817507`*^9, 3.568484768987906*^9}, {
   3.568484872886716*^9, 3.568484873090073*^9}, {3.568485148729006*^9, 
   3.568485281171751*^9}, 3.568485416931285*^9, {3.568485633548897*^9, 
   3.568485682928266*^9}, {3.568486333505426*^9, 3.568486363261339*^9}, {
   3.568487571495695*^9, 3.5684875716675262`*^9}, {3.568487734705902*^9, 
   3.568487737105411*^9}, {3.568488224204336*^9, 3.568488241581758*^9}, {
   3.56848833837131*^9, 3.568488345010697*^9}, {3.568500846364113*^9, 
   3.568500885490343*^9}, {3.5685010606019077`*^9, 3.56850108125323*^9}, {
   3.568501270912492*^9, 3.568501275766333*^9}, {3.568501325102426*^9, 
   3.568501328164777*^9}, {3.568574788309555*^9, 3.568574789482746*^9}, {
   3.5685822281684694`*^9, 3.568582255983982*^9}, {3.5685824458840604`*^9, 
   3.568582446336472*^9}, {3.5685825361075826`*^9, 3.568582549211919*^9}, {
   3.5685826430171237`*^9, 3.5685826530637817`*^9}, {3.5685827439737215`*^9, 
   3.568582750354285*^9}, {3.568582823417367*^9, 3.568582827504672*^9}, 
   3.5685829415747967`*^9, {3.568583017752359*^9, 3.568583020451228*^9}, {
   3.5685830819324045`*^9, 3.56858310165131*^9}, {3.568583149575739*^9, 
   3.5685831719175205`*^9}, {3.5685832388384457`*^9, 
   3.5685832404296865`*^9}, {3.568583291244212*^9, 3.568583293319065*^9}, {
   3.5685833348005285`*^9, 3.5685833482480736`*^9}, {3.568583389720346*^9, 
   3.5685833901727576`*^9}, {3.56858344722342*^9, 3.5685834640718527`*^9}, {
   3.5685835212629185`*^9, 3.5685835221521416`*^9}, {3.5685835729578533`*^9, 
   3.5685836038606515`*^9}, {3.5685837132338676`*^9, 
   3.5685837146691046`*^9}, {3.5685838524910393`*^9, 3.568583860852854*^9}, {
   3.5685839753158665`*^9, 3.568583984957099*^9}, {3.56858403934195*^9, 
   3.5685840588740263`*^9}, {3.5685840963569202`*^9, 
   3.5685841025347977`*^9}, {3.5685841792938733`*^9, 3.568584196231444*^9}, {
   3.568584235919291*^9, 3.5685842847972903`*^9}, {3.568584369991621*^9, 
   3.568584377121049*^9}, {3.5685844228773155`*^9, 3.568584434172078*^9}, {
   3.5685844867769637`*^9, 3.568584487837798*^9}, {3.568584685407814*^9, 
   3.568584688715099*^9}, {3.568584745344551*^9, 3.5685847670759077`*^9}, {
   3.568584881623666*^9, 3.5685849051958704`*^9}, {3.5685849598136797`*^9, 
   3.5685849697979355`*^9}, {3.568585010312175*^9, 3.5685850107645864`*^9}, {
   3.568585101621316*^9, 3.5685851133060155`*^9}, {3.5685852085216656`*^9, 
   3.5685852177103014`*^9}, {3.5685918456679497`*^9, 3.568591892588888*^9}, 
   3.568591930295412*^9, {3.568593865425688*^9, 3.5685938818267384`*^9}, {
   3.568594065209839*^9, 3.568594089546463*^9}, {3.5685954955752163`*^9, 
   3.568595547231084*^9}, {3.568595588197001*^9, 3.5685955884687033`*^9}, {
   3.568595642850546*^9, 3.5685956500032797`*^9}, {3.568595687539194*^9, 
   3.568595687750883*^9}, {3.568595808675313*^9, 3.56859581058384*^9}, {
   3.568596014692021*^9, 3.568596059526601*^9}, 3.568596178008131*^9, {
   3.5686045465716763`*^9, 3.5686045480497723`*^9}, {3.568604647040923*^9, 
   3.568604685424505*^9}, {3.5686065861687107`*^9, 3.5686065905389557`*^9}, {
   3.5686371585902243`*^9, 3.5686371588217773`*^9}, {3.56863720569014*^9, 
   3.568637208292368*^9}, {3.5686373004563627`*^9, 3.568637303594967*^9}, {
   3.5686373413586397`*^9, 3.568637341591457*^9}, {3.5686373967994967`*^9, 
   3.568637397215218*^9}, {3.568659153501587*^9, 3.56865915384608*^9}, {
   3.569019528904744*^9, 3.569019558070977*^9}, {3.569860798909752*^9, 
   3.569860898112718*^9}, {3.5698613949479113`*^9, 3.569861418438068*^9}, 
   3.569861523160429*^9, {3.569863787339813*^9, 3.5698638840205708`*^9}, {
   3.569863927720511*^9, 3.569863980482328*^9}, {3.56986508461234*^9, 
   3.569865255535441*^9}, {3.569865452458376*^9, 3.569865456108103*^9}, {
   3.569866896981412*^9, 3.569867005130846*^9}, {3.5698670465719213`*^9, 
   3.5698671671002197`*^9}, 3.569867399532246*^9, 3.569867448282282*^9, {
   3.569867483934483*^9, 3.56986753911469*^9}, {3.569867692040534*^9, 
   3.569867706942546*^9}, 3.5698678174490623`*^9, {3.569867969642867*^9, 
   3.569867975301202*^9}, {3.569868016398884*^9, 3.569868032107835*^9}, {
   3.5698680823841267`*^9, 3.569868252622431*^9}, {3.569868299943853*^9, 
   3.5698684338326607`*^9}, {3.569868501035548*^9, 3.5698685157066507`*^9}, {
   3.5698687877158747`*^9, 3.5698688555390167`*^9}, {3.5698703474706917`*^9, 
   3.5698703478684053`*^9}, {3.569870437263287*^9, 3.5698704399663553`*^9}, {
   3.5698704874781923`*^9, 3.569870498731284*^9}, {3.569870536606325*^9, 
   3.569870558430464*^9}, {3.569870677661709*^9, 3.569870684235565*^9}, {
   3.56987128212573*^9, 3.569871284111731*^9}, {3.5698713616531076`*^9, 
   3.569871362295314*^9}, {3.5698716658891897`*^9, 3.569871788368235*^9}, 
   3.569871839950822*^9, 3.5698718780794888`*^9, {3.569872425642892*^9, 
   3.569872620110599*^9}, {3.569872659066711*^9, 3.569872672777478*^9}, {
   3.56987280805865*^9, 3.5698728261000853`*^9}, {3.5698728917630787`*^9, 
   3.5698729069792233`*^9}, {3.56987300252958*^9, 3.569873009393936*^9}, {
   3.569873222844799*^9, 3.569873223505916*^9}, {3.569874003384478*^9, 
   3.569874061753443*^9}, {3.569874222907187*^9, 3.56987427432451*^9}, {
   3.569874339253093*^9, 3.569874349982098*^9}, {3.569874382757971*^9, 
   3.5698744057112513`*^9}, {3.569874524391713*^9, 3.5698745274451523`*^9}, {
   3.569874620610202*^9, 3.569874659382905*^9}, {3.5698755359580812`*^9, 
   3.5698755361347733`*^9}, {3.5698763384872637`*^9, 3.56987650121491*^9}, {
   3.569876804847069*^9, 3.569876806811792*^9}, {3.569876953348134*^9, 
   3.56987697480836*^9}, {3.569877033166933*^9, 3.569877033803822*^9}, {
   3.570204609484653*^9, 3.570204726151532*^9}, {3.570204827701902*^9, 
   3.570204837924347*^9}, {3.5702053240308857`*^9, 3.570205373678043*^9}, {
   3.570205604178759*^9, 3.57020560588721*^9}, {3.5702056857419033`*^9, 
   3.570205689903839*^9}, {3.570205784487208*^9, 3.570205785118239*^9}, {
   3.570205884487999*^9, 3.570206073358034*^9}, {3.570206157093405*^9, 
   3.5702061574049683`*^9}, {3.570206539143651*^9, 3.5702065961497583`*^9}, {
   3.5702067746091433`*^9, 3.570206791317429*^9}, {3.5702069476521187`*^9, 
   3.570206954585787*^9}, {3.570207042344592*^9, 3.570207042557396*^9}, {
   3.570207099536817*^9, 3.570207148754854*^9}, {3.570207364233715*^9, 
   3.570207367741406*^9}, {3.570207407857286*^9, 3.57020740821616*^9}, {
   3.5702075331296167`*^9, 3.570207534139289*^9}, {3.5702084081082077`*^9, 
   3.570208408287386*^9}, {3.570209493162859*^9, 3.5702095630622683`*^9}, {
   3.570211034642024*^9, 3.570211051004929*^9}, {3.5702110919374104`*^9, 
   3.5702110947966127`*^9}, {3.570211150032111*^9, 3.570211303137101*^9}, {
   3.570211358137895*^9, 3.570211389989436*^9}, {3.570211428478529*^9, 
   3.570211471924778*^9}, {3.570211514740753*^9, 3.570211538608301*^9}, {
   3.570211630656353*^9, 3.5702118114128428`*^9}, {3.570274120052116*^9, 
   3.570274120560939*^9}, {3.5702742007739563`*^9, 3.5702743271572933`*^9}, {
   3.570274437798328*^9, 3.570274467359095*^9}, {3.570274503003285*^9, 
   3.5702745128790216`*^9}, {3.570274551166597*^9, 3.570274601268715*^9}, {
   3.570274635225871*^9, 3.570274647775334*^9}, 3.570274779364108*^9, 
   3.570274809432188*^9, {3.570274844568965*^9, 3.570274844751854*^9}, {
   3.5702750111570883`*^9, 3.5702750209333773`*^9}, {3.570275118949938*^9, 
   3.57027514208541*^9}, {3.57027536420579*^9, 3.570275366489698*^9}, {
   3.570290690854611*^9, 3.57029073302566*^9}, {3.570290871501038*^9, 
   3.570291057606843*^9}, {3.570291123207988*^9, 3.570291133529153*^9}, {
   3.570291224041841*^9, 3.570291241270274*^9}, 3.570291466154304*^9, {
   3.570291782772027*^9, 3.570291786620105*^9}, {3.5702919328554583`*^9, 
   3.570291944509679*^9}, 3.570292120108054*^9, {3.570292294539455*^9, 
   3.570292299366023*^9}, {3.570292425880885*^9, 3.570292426538212*^9}, {
   3.570293498774*^9, 3.570293505925918*^9}, 3.570293610688107*^9, {
   3.570293731105426*^9, 3.5702937312271338`*^9}, {3.570293969675591*^9, 
   3.570293998142831*^9}, {3.570294095443681*^9, 3.57029409930886*^9}, 
   3.570294162791999*^9, 3.570294671760476*^9, {3.5702947546887493`*^9, 
   3.570294755147674*^9}, {3.57029492937259*^9, 3.570295097118845*^9}, {
   3.570295178665797*^9, 3.57029518212738*^9}, {3.570295220732431*^9, 
   3.570295304724029*^9}, {3.57029533695212*^9, 3.5702953647116423`*^9}, {
   3.570295405765698*^9, 3.5702954687534733`*^9}, {3.570295522681019*^9, 
   3.570295537096052*^9}, {3.5703050470624933`*^9, 3.570305211255477*^9}, {
   3.57030534670232*^9, 3.570305365916008*^9}, {3.57030539752188*^9, 
   3.570305407170521*^9}, {3.570305462083907*^9, 3.570305474056739*^9}, {
   3.570362009501144*^9, 3.570362035781458*^9}, {3.57036207382174*^9, 
   3.5703620948509073`*^9}, {3.570362140456077*^9, 3.5703621748641033`*^9}, 
   3.57036223951036*^9, {3.570362504251841*^9, 3.5703626617113333`*^9}, {
   3.570362884034368*^9, 3.570362902943297*^9}, {3.5703629652470493`*^9, 
   3.5703630325672197`*^9}, {3.5703630941057777`*^9, 
   3.5703631357110147`*^9}, {3.570363175298338*^9, 3.5703632388273287`*^9}, {
   3.570363276658223*^9, 3.5703633808026257`*^9}, 3.570363414459168*^9, {
   3.570363460422348*^9, 3.570363510741149*^9}, {3.570363542090735*^9, 
   3.570363688850355*^9}, {3.5703637499593287`*^9, 3.570363764942628*^9}, {
   3.570363798428626*^9, 3.570363833836783*^9}, {3.5703654301087027`*^9, 
   3.570365431970446*^9}, {3.5703654736730967`*^9, 3.5703655148962307`*^9}, {
   3.57036566608313*^9, 3.570365675137219*^9}, 3.570366037733425*^9, {
   3.570366134764642*^9, 3.570366157760523*^9}, {3.570366231949284*^9, 
   3.570366241396179*^9}, 3.570366274138938*^9, {3.5703663665739317`*^9, 
   3.570366380666707*^9}, {3.570366539104898*^9, 3.57036654754685*^9}, {
   3.570366596143092*^9, 3.5703666208624973`*^9}, 3.570366914767136*^9, {
   3.570367052436771*^9, 3.570367099465148*^9}, {3.5703672809909563`*^9, 
   3.570367312430523*^9}, 3.570367467222158*^9, {3.5703677229033127`*^9, 
   3.57036779669048*^9}, 3.570367938123247*^9, {3.570368107229519*^9, 
   3.570368130951016*^9}, {3.5703682028679523`*^9, 3.570368243397043*^9}, {
   3.570368274409253*^9, 3.570368588423872*^9}, {3.570368628839645*^9, 
   3.5703686460695953`*^9}, {3.570368678135305*^9, 3.570368755751473*^9}, {
   3.5703687860231323`*^9, 3.570368812737063*^9}, {3.570368844127781*^9, 
   3.570368845786602*^9}, {3.570368890685945*^9, 3.570368929810096*^9}, {
   3.570373054680241*^9, 3.570373088777512*^9}, {3.570374545290914*^9, 
   3.5703745472245293`*^9}, {3.570374596696383*^9, 3.5703746167206*^9}, {
   3.570375725060957*^9, 3.570375727047921*^9}, {3.5703759379268312`*^9, 
   3.570375946145376*^9}, {3.57038128900198*^9, 3.570381305445423*^9}, {
   3.5703813354471893`*^9, 3.570381405550295*^9}, {3.5703814393609037`*^9, 
   3.570381470579615*^9}, {3.570381517918199*^9, 3.5703815381867743`*^9}, {
   3.570381697298328*^9, 3.5703818581308823`*^9}, {3.5703819172757587`*^9, 
   3.570381919771929*^9}, {3.5703821398629313`*^9, 3.570382141615336*^9}, {
   3.570382799880864*^9, 3.57038284221873*^9}, {3.5703906092943225`*^9, 
   3.570390668126205*^9}, {3.570390873944785*^9, 3.5703908749618864`*^9}, {
   3.570390970344424*^9, 3.5703909787012596`*^9}, {3.5703914213875237`*^9, 
   3.570391422822667*^9}, {3.5703915413087673`*^9, 3.570391550282728*^9}, {
   3.570391595976624*^9, 3.570391636595911*^9}, {3.570391681099328*^9, 
   3.5703916918179073`*^9}, {3.57039174955963*^9, 3.570391763342888*^9}, {
   3.570391815850727*^9, 3.570391927815259*^9}, {3.570392062173606*^9, 
   3.570392064159835*^9}, {3.570394273202631*^9, 3.570394273306662*^9}, {
   3.570452953168517*^9, 3.5704530432263193`*^9}, {3.570453141138914*^9, 
   3.570453151050414*^9}, {3.570453187118911*^9, 3.5704532129778757`*^9}, {
   3.570453250081603*^9, 3.5704532613727503`*^9}, {3.5704535425450277`*^9, 
   3.570453571879881*^9}, {3.570453609056459*^9, 3.5704536097378683`*^9}, {
   3.570454000375573*^9, 3.570454018208271*^9}, {3.570454048224187*^9, 
   3.5704540493133802`*^9}, {3.5704543154883947`*^9, 
   3.5704543170606613`*^9}, {3.570454735347372*^9, 3.570454804494287*^9}, {
   3.570454847552602*^9, 3.570454862856515*^9}, {3.570454908348095*^9, 
   3.5704549086839314`*^9}, {3.5704577270778637`*^9, 3.570457777378229*^9}, {
   3.570457814852192*^9, 3.570457839197098*^9}, 3.5704578741029873`*^9, {
   3.570457979490932*^9, 3.570457998449142*^9}, {3.570458060635682*^9, 
   3.570458102569849*^9}, {3.57045922242277*^9, 3.570459226885651*^9}, {
   3.570459271465879*^9, 3.570459271810781*^9}, {3.5704600777318487`*^9, 
   3.570460078265328*^9}, {3.5704609074352617`*^9, 3.57046091130905*^9}, {
   3.570461080796033*^9, 3.570461087137844*^9}, {3.570461222470066*^9, 
   3.570461234520677*^9}, {3.570461276736291*^9, 3.570461277416924*^9}, {
   3.570464182900133*^9, 3.570464217009521*^9}, {3.570464691964772*^9, 
   3.5704646928805323`*^9}, {3.570464733675909*^9, 3.5704647497643213`*^9}, {
   3.5704648162010736`*^9, 3.570464863901759*^9}, {3.5704653984235764`*^9, 
   3.570465428033778*^9}, {3.5704833797556143`*^9, 3.570483526168185*^9}, 
   3.570483557674718*^9, {3.570490429830605*^9, 3.5704904404667892`*^9}, {
   3.5705496098817253`*^9, 3.5705496569563704`*^9}, {3.570549717641501*^9, 
   3.570549733158421*^9}, {3.570549821363995*^9, 3.570549917592423*^9}, 
   3.5705500515955563`*^9, {3.570550161190518*^9, 3.570550214285478*^9}, {
   3.570551605348497*^9, 3.570551605562578*^9}, {3.570552035601074*^9, 
   3.570552053243355*^9}, {3.570552296118487*^9, 3.570552315662339*^9}, {
   3.570552744813833*^9, 3.5705527467910557`*^9}, {3.5705528171292152`*^9, 
   3.570552839994636*^9}, {3.570553137733042*^9, 3.5705531502440033`*^9}, {
   3.570554639570072*^9, 3.570554667398223*^9}, {3.570880463928628*^9, 
   3.570880474214654*^9}, {3.5708805393396587`*^9, 3.5708805414206142`*^9}, {
   3.570880596496952*^9, 3.570880643177061*^9}, {3.570880677207633*^9, 
   3.570880773022276*^9}, {3.570881045962756*^9, 3.570881077536819*^9}, {
   3.570881483047042*^9, 3.570881495986322*^9}, {3.570881537319141*^9, 
   3.570881603295371*^9}, {3.57088177467754*^9, 3.5708817771060743`*^9}, {
   3.5708818078330507`*^9, 3.570881813142693*^9}, {3.570881872045575*^9, 
   3.570881872616132*^9}, {3.570881918822423*^9, 3.570881941317822*^9}, {
   3.570882598056056*^9, 3.5708826101879387`*^9}, {3.570882877700821*^9, 
   3.5708828808149357`*^9}, {3.570883742392291*^9, 3.570883881276107*^9}, {
   3.5708840995865517`*^9, 3.570884136779277*^9}, {3.570884166954899*^9, 
   3.570884191034034*^9}, {3.570884237311849*^9, 3.570884267603202*^9}, {
   3.570884916234478*^9, 3.570884920212142*^9}, 3.5708850023722677`*^9, {
   3.570885086120278*^9, 3.570885160668952*^9}, {3.57088579398003*^9, 
   3.570885820964373*^9}, {3.570885870997058*^9, 3.570885872535017*^9}, {
   3.570885926379484*^9, 3.5708859276621103`*^9}, {3.5708867274572763`*^9, 
   3.570886775653447*^9}, {3.5708896534315157`*^9, 3.570889738879212*^9}, {
   3.5708899471956043`*^9, 3.570889964982726*^9}, {3.5708900897720757`*^9, 
   3.570890286974888*^9}, 3.5708912462048798`*^9, 3.570891315115642*^9, 
   3.5708914848967543`*^9, {3.570891614789276*^9, 3.5708916605552053`*^9}, 
   3.570891711555233*^9, {3.57089177795715*^9, 3.570891786673522*^9}, 
   3.5708920039518957`*^9, 3.570892109621463*^9, {3.570892163815276*^9, 
   3.570892167575108*^9}, {3.570892306053096*^9, 3.5708923066539793`*^9}, {
   3.570892451991745*^9, 3.570892455133052*^9}, {3.570892598798707*^9, 
   3.570892599984228*^9}, 3.570892697519863*^9, {3.570892781160631*^9, 
   3.5708927818599977`*^9}, {3.570893780605969*^9, 3.570893781465467*^9}, {
   3.570893835459819*^9, 3.570893867063035*^9}, {3.570893924037547*^9, 
   3.570893937565628*^9}, {3.570894031541337*^9, 3.570894077488153*^9}, {
   3.570894238786022*^9, 3.570894275650607*^9}, {3.570898834826274*^9, 
   3.570898954608459*^9}, {3.570899035920216*^9, 3.5708990403759737`*^9}, {
   3.570899282423403*^9, 3.5708992851110153`*^9}, {3.570899444425976*^9, 
   3.570899458200491*^9}, {3.570899621418754*^9, 3.570899671440522*^9}, {
   3.570899736496991*^9, 3.570899770117536*^9}, {3.570899805141542*^9, 
   3.5708998168641453`*^9}, {3.5709000223830757`*^9, 
   3.5709000292428617`*^9}, {3.570902397077023*^9, 3.570902415350881*^9}, {
   3.570902459615568*^9, 3.570902463083345*^9}, {3.57090278655694*^9, 
   3.570902802044594*^9}, {3.570902906312325*^9, 3.570902908907222*^9}, {
   3.570935473348542*^9, 3.5709354767889957`*^9}, {3.570935710528277*^9, 
   3.570935734213327*^9}, {3.570936022799707*^9, 3.570936027710561*^9}, 
   3.570972315553224*^9, {3.570973279446903*^9, 3.57097330479644*^9}, {
   3.570973416979114*^9, 3.570973422883739*^9}, {3.571056237939022*^9, 
   3.571056273531536*^9}, {3.571056304582169*^9, 3.5710563153241453`*^9}, {
   3.5710564761429853`*^9, 3.571056476316486*^9}, {3.571056597406296*^9, 
   3.571056597522496*^9}, {3.57105672674161*^9, 3.571056726861602*^9}, {
   3.57105702907337*^9, 3.57105702922477*^9}, {3.571057182644148*^9, 
   3.5710571827836847`*^9}, {3.571057294510083*^9, 3.571057294625574*^9}, {
   3.5710577862120533`*^9, 3.5710577863240213`*^9}, {3.571057907052156*^9, 
   3.571057907174111*^9}, {3.571058061714795*^9, 3.5710581330227413`*^9}, {
   3.571058280177936*^9, 3.571058280323347*^9}, {3.571058866766267*^9, 
   3.571058895022642*^9}, {3.5710590723170013`*^9, 3.571059116273696*^9}, {
   3.571064057446045*^9, 3.5710640583069763`*^9}, {3.5710641412770147`*^9, 
   3.571064174309969*^9}, {3.5712506732972403`*^9, 3.571250673734284*^9}, {
   3.571250732410151*^9, 3.5712507431042204`*^9}, {3.571319709609496*^9, 
   3.571319722018737*^9}, {3.571319857622176*^9, 3.571319862063176*^9}, {
   3.571331328092243*^9, 3.571331333994231*^9}, {3.57133230142288*^9, 
   3.571332303132752*^9}, {3.571332662305545*^9, 3.571332662825152*^9}, {
   3.5713327981027107`*^9, 3.5713328297403173`*^9}, {3.571332971114127*^9, 
   3.57133297430759*^9}, {3.57133302174788*^9, 3.571333034695096*^9}, {
   3.571333154511608*^9, 3.5713331836214447`*^9}, {3.5713335977819767`*^9, 
   3.5713336096211157`*^9}, {3.571333826177854*^9, 3.571333830710099*^9}, {
   3.571334667777829*^9, 3.571334676699489*^9}, {3.571335129439377*^9, 
   3.571335135861928*^9}, {3.5713982576696653`*^9, 3.571398273696949*^9}, {
   3.571398451839267*^9, 3.571398515827388*^9}, {3.5713985494553843`*^9, 
   3.571398550525324*^9}, {3.571399619440069*^9, 3.5713997749806128`*^9}, 
   3.571399812061705*^9, {3.571400535304454*^9, 3.571400538989325*^9}, 
   3.571400795500194*^9, {3.571400842696307*^9, 3.571400989149225*^9}, {
   3.5714010576779537`*^9, 3.571401203502005*^9}, {3.5714012606789923`*^9, 
   3.571401319329317*^9}, {3.571401377451441*^9, 3.571401515347714*^9}, 
   3.571402310873537*^9, {3.571402373104055*^9, 3.571402397183049*^9}, 
   3.5714024475378847`*^9, {3.5714030849902*^9, 3.571403120353883*^9}, {
   3.5714034376919327`*^9, 3.5714034683459187`*^9}, {3.57140384546194*^9, 
   3.571403864127233*^9}, {3.571404197276532*^9, 3.57140420650019*^9}, 
   3.5714045101212873`*^9, {3.5714147650989017`*^9, 3.571414797674159*^9}, {
   3.5714150753489237`*^9, 3.5714150754969387`*^9}, {3.571415269468334*^9, 
   3.5714152892333107`*^9}, {3.5714153215305395`*^9, 
   3.5714153293063173`*^9}, {3.571415368418228*^9, 3.5714153788432703`*^9}, {
   3.571416609571331*^9, 3.571416664479821*^9}, {3.571416759055278*^9, 
   3.571416760055378*^9}, {3.5714168374481163`*^9, 3.571416838978269*^9}, {
   3.5714169270960803`*^9, 3.571416932142585*^9}, {3.571417032968666*^9, 
   3.5714170330156713`*^9}, {3.5714171124934387`*^9, 
   3.5714171181484385`*^9}, {3.5714172050894384`*^9, 3.571417205829438*^9}, {
   3.5714174161509857`*^9, 3.57141744019639*^9}, {3.5714176585332212`*^9, 
   3.5714177150518723`*^9}, {3.5714179519745626`*^9, 
   3.5714179719355583`*^9}, {3.5714186675961175`*^9, 
   3.5714186681041684`*^9}, {3.571420194510358*^9, 3.5714201946196594`*^9}, {
   3.5714202633061056`*^9, 3.571420303052295*^9}, {3.571420453766351*^9, 
   3.571420453891192*^9}, {3.5714205795706377`*^9, 3.5714205935810547`*^9}, {
   3.5714207499890995`*^9, 3.5714207501139135`*^9}, {3.571420875305876*^9, 
   3.5714208756509104`*^9}, {3.5714209176781125`*^9, 3.571420919987344*^9}, {
   3.5714210081371574`*^9, 3.571421008682212*^9}, {3.5714214139897385`*^9, 
   3.571421415515891*^9}, {3.57142152791113*^9, 3.5714215281851573`*^9}, {
   3.5714216072960677`*^9, 3.571421608049143*^9}, {3.571570187638135*^9, 
   3.5715702165986233`*^9}, {3.571570371986472*^9, 3.571570427772818*^9}, {
   3.5715704824163027`*^9, 3.571570488440377*^9}, 3.571570608213838*^9, {
   3.571570741936296*^9, 3.571570751027293*^9}, {3.571570924426296*^9, 
   3.571570930268161*^9}, {3.5715710268634567`*^9, 3.571571027168401*^9}, {
   3.5715711376280203`*^9, 3.571571237512144*^9}, {3.5715713387609777`*^9, 
   3.571571368911358*^9}, {3.571571471016438*^9, 3.571571471238984*^9}, {
   3.571571567404175*^9, 3.5715715821307096`*^9}, 3.571571870076337*^9, 
   3.5715721380507183`*^9, {3.571572270439663*^9, 3.571572273047903*^9}, {
   3.571572796981926*^9, 3.571572797231901*^9}, 3.571574668539482*^9, 
   3.571872925384742*^9, {3.571874494715631*^9, 3.571874495194778*^9}, {
   3.571874543001433*^9, 3.571874548074688*^9}, 3.572047603253256*^9, {
   3.572168107986413*^9, 3.5721681860263042`*^9}, {3.57217369141057*^9, 
   3.57217369267386*^9}, {3.5721738131326036`*^9, 3.572173814621111*^9}, {
   3.572173946973526*^9, 3.572173975175459*^9}, 3.572174134039049*^9, {
   3.572355956400527*^9, 3.5723559918656282`*^9}, {3.5723560232009277`*^9, 
   3.572356026475409*^9}, 3.572356222989894*^9, {3.572356259032229*^9, 
   3.572356284850865*^9}, {3.572356372020187*^9, 3.572356392706162*^9}, {
   3.572477983451898*^9, 3.572477994200317*^9}, {3.572478025634372*^9, 
   3.572478043293603*^9}, {3.5724782567383685`*^9, 3.5724782735123277`*^9}, {
   3.5724783807054586`*^9, 3.572478409799123*^9}, {3.5724789377243185`*^9, 
   3.57247894107751*^9}, {3.5724801036270046`*^9, 3.5724801039300213`*^9}, {
   3.572480324142617*^9, 3.5724803262287364`*^9}, {3.5724804218672066`*^9, 
   3.572480424422353*^9}, {3.5724808222591076`*^9, 3.572480843906346*^9}, {
   3.5724810434427586`*^9, 3.572481044967846*^9}, {3.5724812669685435`*^9, 
   3.572481279627268*^9}, {3.572523095683182*^9, 3.572523108966653*^9}, {
   3.5725233715402317`*^9, 3.572523371818974*^9}, {3.5725240643616657`*^9, 
   3.5725240646363573`*^9}, {3.5725244013439627`*^9, 3.572524407549472*^9}, {
   3.572524462960239*^9, 3.572524468735202*^9}, {3.572524940047965*^9, 
   3.572524940465795*^9}, {3.572525642382717*^9, 3.5725256429207077`*^9}, {
   3.572525791457601*^9, 3.5725257917240467`*^9}, {3.572525932505952*^9, 
   3.572525935858633*^9}, {3.572599709766309*^9, 3.5725997283432903`*^9}, {
   3.572600078875586*^9, 3.572600079581263*^9}, {3.572601533699694*^9, 
   3.5726015419351215`*^9}, {3.572601575063999*^9, 3.572601600362982*^9}, {
   3.5726018522780914`*^9, 3.5726018530579915`*^9}, {3.572602207171693*^9, 
   3.5726022130526285`*^9}, {3.5726022565746756`*^9, 3.572602258462191*^9}, {
   3.5726025986213036`*^9, 3.572602618464122*^9}, {3.572603277220603*^9, 
   3.5726033181703405`*^9}, {3.5726035659123526`*^9, 3.572603615894432*^9}, 
   3.5726041606320443`*^9, {3.572604427919018*^9, 3.572604432723756*^9}, {
   3.5726047546466017`*^9, 3.5726047976870017`*^9}, 3.5726048386058016`*^9, {
   3.5726050342522016`*^9, 3.5726050402894015`*^9}, {3.572605150441002*^9, 
   3.5726051549026017`*^9}, {3.572605539495802*^9, 3.5726055505250015`*^9}, {
   3.572606473807125*^9, 3.5726064807490807`*^9}, {3.572606949562086*^9, 
   3.5726069510283923`*^9}, {3.5726071550477133`*^9, 
   3.5726071793353567`*^9}, {3.5726075695140076`*^9, 3.572607570169195*^9}, {
   3.5726078195148325`*^9, 3.572607820107629*^9}, {3.572608029286688*^9, 
   3.5726080787071714`*^9}, {3.572608280197075*^9, 3.5726082817882643`*^9}, {
   3.572608485117361*^9, 3.5726084948204985`*^9}, 3.5726087848694396`*^9, {
   3.5726108985127125`*^9, 3.5726109260466747`*^9}, {3.572611130123623*^9, 
   3.5726111304200172`*^9}, {3.572611507963095*^9, 3.5726115097882833`*^9}, {
   3.572611724822756*^9, 3.5726117253843527`*^9}, 3.5726117645089016`*^9, {
   3.572614465000595*^9, 3.57261446720224*^9}, {3.5726146209269924`*^9, 
   3.5726146228631907`*^9}, 3.5726147236704025`*^9, {3.5726148564841013`*^9, 
   3.5726148769579926`*^9}, {3.572615052751734*^9, 3.5726150530013623`*^9}, {
   3.5726151547981157`*^9, 3.57261515509455*^9}, {3.5726152547479663`*^9, 
   3.5726152552316227`*^9}, {3.572615336956029*^9, 3.5726153383289876`*^9}, {
   3.5726154140062027`*^9, 3.5726154273824434`*^9}, {3.5726155444332304`*^9, 
   3.572615544807602*^9}, {3.572615642594838*^9, 3.5726156479452267`*^9}, {
   3.572615751075014*^9, 3.5726157780082903`*^9}, {3.572615850265174*^9, 
   3.5726158514663353`*^9}, {3.5726200772864904`*^9, 3.572620077473689*^9}, {
   3.572620116598239*^9, 3.5726201288129606`*^9}, {3.5726202671656685`*^9, 
   3.5726202675244665`*^9}, {3.5726207050323935`*^9, 
   3.5726207222891192`*^9}, {3.572620829241813*^9, 3.5726208297588654`*^9}, {
   3.572620868295718*^9, 3.5726208715510435`*^9}, {3.5726209748263702`*^9, 
   3.572620984704358*^9}, {3.5726214930135355`*^9, 3.572621494354972*^9}, {
   3.5726215926386003`*^9, 3.5726215930597486`*^9}, {3.572621712916363*^9, 
   3.5726217141487074`*^9}, {3.5726219439887934`*^9, 3.572621945033947*^9}, {
   3.5726221255110483`*^9, 3.5726221258542423`*^9}, {3.57262217848763*^9, 
   3.5726221801567974`*^9}, {3.5726222268466997`*^9, 
   3.5726222276422844`*^9}, {3.5726223135031047`*^9, 
   3.5726223136747026`*^9}, {3.5726226172975845`*^9, 
   3.5726226178123846`*^9}, {3.5727063605412064`*^9, 
   3.5727063655801353`*^9}, {3.5727064901805305`*^9, 3.572706516451604*^9}, {
   3.572706636652686*^9, 3.5727066380567217`*^9}, {3.5727068282356863`*^9, 
   3.572706829265312*^9}, {3.572779967630007*^9, 3.5727799694145203`*^9}, {
   3.57278021008912*^9, 3.5727802128142643`*^9}, {3.5729783607866507`*^9, 
   3.572978361703001*^9}, {3.5729784072184887`*^9, 3.572978418971019*^9}, {
   3.572978484392308*^9, 3.572978505378715*^9}, {3.572978586375688*^9, 
   3.572978597751403*^9}, {3.572978689979168*^9, 3.5729787971467247`*^9}, {
   3.572978872860572*^9, 3.572978897176827*^9}, {3.5729790795913677`*^9, 
   3.572979089426263*^9}, {3.572980428209798*^9, 3.572980435569786*^9}, {
   3.573208840471568*^9, 3.5732088722408533`*^9}, {3.573208912104311*^9, 
   3.57320902820677*^9}, {3.57320906205576*^9, 3.573209164954481*^9}, {
   3.5732092292185383`*^9, 3.573209237480801*^9}, 3.5732093299855556`*^9, {
   3.573209810357493*^9, 3.5732098195694637`*^9}, 3.5732978924771137`*^9, 
   3.5732979653093557`*^9, 3.573298018733279*^9, 3.57329810167726*^9, 
   3.573298275402422*^9, 3.573299479618374*^9, {3.5733100158088303`*^9, 
   3.573310017041232*^9}, {3.573310088536158*^9, 3.5733101217954164`*^9}, {
   3.573310227392002*^9, 3.5733102435380306`*^9}, {3.573310438947974*^9, 
   3.573310440336376*^9}, {3.5733106166502857`*^9, 3.5733106200042915`*^9}, {
   3.5733107924937944`*^9, 3.5733107957542005`*^9}, {3.5733109370904484`*^9, 
   3.573310960038089*^9}, {3.5733111306243887`*^9, 3.5733111424024096`*^9}, {
   3.5733111926188974`*^9, 3.5733111971585054`*^9}, {3.573311302079734*^9, 
   3.573311303639737*^9}, {3.5733114077855196`*^9, 3.5733114170207357`*^9}, {
   3.5733115328509398`*^9, 3.573311535362544*^9}, {3.5733116919244184`*^9, 
   3.573311692049219*^9}, {3.573313278213036*^9, 3.573313280954504*^9}, 
   3.573313549567833*^9, 3.5733136075349293`*^9, 3.5733137061823587`*^9, 
   3.5733137389114943`*^9, {3.573313810166974*^9, 3.573313813359693*^9}, {
   3.573313895872117*^9, 3.57331389788338*^9}, {3.573490703131671*^9, 
   3.57349070343298*^9}, 3.5734907596776123`*^9, {3.573490821538331*^9, 
   3.573490822919753*^9}, {3.573493790563546*^9, 3.573493799558784*^9}, {
   3.5738199958834143`*^9, 3.573819999054414*^9}, {3.573831934052368*^9, 
   3.573831937464913*^9}, {3.574101697808506*^9, 3.5741017141080093`*^9}, {
   3.574101935532936*^9, 3.5741019451467648`*^9}, {3.5741030501265593`*^9, 
   3.574103085038464*^9}, {3.574103124407205*^9, 3.574103127999136*^9}, {
   3.5741052556181192`*^9, 3.574105392620627*^9}, {3.574105846529587*^9, 
   3.574105846836295*^9}, {3.574106153880497*^9, 3.574106170960849*^9}, {
   3.574156809671344*^9, 3.574156810022563*^9}, {3.574504111655542*^9, 
   3.574504216748823*^9}, {3.574504633530974*^9, 3.5745046752843037`*^9}, {
   3.574504720460395*^9, 3.574504729185457*^9}, {3.574505700873913*^9, 
   3.5745057624774218`*^9}, {3.5745057951581907`*^9, 3.574505913245223*^9}, {
   3.574505945059111*^9, 3.5745059483118057`*^9}, {3.57450601593852*^9, 
   3.574506034619912*^9}, 3.57450620347091*^9, {3.5745067846447153`*^9, 
   3.574506838066218*^9}, {3.5745071462599173`*^9, 3.5745072585202913`*^9}, {
   3.5745072994961863`*^9, 3.574507335454797*^9}, {3.5745073903616657`*^9, 
   3.5745074033430233`*^9}, {3.574507497665387*^9, 3.5745075282156076`*^9}, {
   3.5745075924566193`*^9, 3.57450767185215*^9}, {3.5745077203137503`*^9, 
   3.5745078306580544`*^9}, {3.574507882157879*^9, 3.574507927977948*^9}, {
   3.574507967540504*^9, 3.574507992073868*^9}, {3.574508042254321*^9, 
   3.574508140323038*^9}, {3.5745081800939407`*^9, 3.5745082696587887`*^9}, {
   3.5745083148353033`*^9, 3.574508364099581*^9}, {3.5745084008179827`*^9, 
   3.5745084098083057`*^9}, {3.574509084430991*^9, 3.57450909289145*^9}, {
   3.5745091307627077`*^9, 3.5745091373243313`*^9}, {3.574509169086125*^9, 
   3.5745092680796022`*^9}, {3.574509308993252*^9, 3.574509315465341*^9}, {
   3.5745093532795143`*^9, 3.5745093990995092`*^9}, {3.5745094523215923`*^9, 
   3.574509466266603*^9}, {3.574509688181511*^9, 3.574509688489416*^9}, {
   3.57450976667235*^9, 3.574509767072426*^9}, {3.5745099852988787`*^9, 
   3.574509996618203*^9}, {3.57451022546725*^9, 3.574510226431954*^9}, {
   3.57451057882399*^9, 3.574510579135168*^9}, {3.574510664148067*^9, 
   3.5745106874783373`*^9}, {3.574510717828601*^9, 3.5745107556478443`*^9}, {
   3.574510970190674*^9, 3.5745109789473953`*^9}, {3.5745111541512423`*^9, 
   3.5745111565723*^9}, {3.574511390761026*^9, 3.574511398044828*^9}, {
   3.574512011192564*^9, 3.574512014928343*^9}, {3.574522720293569*^9, 
   3.574522720957251*^9}, {3.574523980499628*^9, 3.5745239827569*^9}, {
   3.574526226468754*^9, 3.574526232627174*^9}, 3.5745264337046432`*^9, 
   3.574526631166851*^9, {3.5745271040658092`*^9, 3.574527104395355*^9}, {
   3.574527969919932*^9, 3.5745280425690536`*^9}, {3.5745303969208803`*^9, 
   3.574530448244349*^9}, 3.574530691544002*^9, {3.574533688090165*^9, 
   3.574533742035879*^9}, {3.574534865143775*^9, 3.574534866967124*^9}, {
   3.574590045193274*^9, 3.5745900454724913`*^9}, {3.575132263460321*^9, 
   3.575132278160576*^9}, {3.575132309109049*^9, 3.575132315500382*^9}, {
   3.575132360997697*^9, 3.5751323755492496`*^9}, {3.5751326056028852`*^9, 
   3.575132615183258*^9}, {3.575132993734147*^9, 3.575132999277605*^9}, {
   3.575133319425609*^9, 3.5751333485621977`*^9}, {3.5751344461558037`*^9, 
   3.575134448840247*^9}, {3.575135603536893*^9, 3.575135669343664*^9}, {
   3.5751357132833548`*^9, 3.5751357336148357`*^9}, {3.575135812675582*^9, 
   3.575135861387726*^9}, {3.575135953278297*^9, 3.5751359679988813`*^9}, {
   3.5756343821102247`*^9, 3.57563445496527*^9}, {3.575634559971675*^9, 
   3.575634560330185*^9}, {3.575634663386236*^9, 3.575634666236064*^9}, {
   3.5756500342488337`*^9, 3.5756500431667643`*^9}, {3.575650178782445*^9, 
   3.575650179152571*^9}, {3.575650633374049*^9, 3.5756506338841257`*^9}, {
   3.575651419853527*^9, 3.575651420492811*^9}, {3.57565165589876*^9, 
   3.575651662200069*^9}, {3.575651740654488*^9, 3.5756517408260584`*^9}, {
   3.575652115060006*^9, 3.5756521151848016`*^9}, {3.5756524887276397`*^9, 
   3.575652496589939*^9}, {3.5756525516260333`*^9, 3.575652559519596*^9}, {
   3.5756525995491962`*^9, 3.5756525996739964`*^9}, 3.5756527414155965`*^9, {
   3.575713429860776*^9, 3.575713431616461*^9}, 3.575713765725336*^9, {
   3.576064547004264*^9, 3.576064584932334*^9}, {3.5760646234432287`*^9, 
   3.576064632490343*^9}, {3.576064700127193*^9, 3.5760647096920567`*^9}, {
   3.576064789465136*^9, 3.576064869124611*^9}, {3.576065178961851*^9, 
   3.5760652379479513`*^9}, 3.5760806309965563`*^9, {3.57608069356176*^9, 
   3.576080745591638*^9}, {3.576080824647224*^9, 3.576080907432123*^9}, {
   3.576080958212833*^9, 3.576081016059175*^9}, {3.576081066236657*^9, 
   3.5760810902868633`*^9}, {3.576081129548464*^9, 3.576081132367714*^9}, {
   3.576081173479529*^9, 3.576081179684929*^9}, {3.5760812624668303`*^9, 
   3.5760813017897*^9}, {3.576081338842105*^9, 3.576081345847661*^9}, {
   3.576081382942676*^9, 3.576081510034328*^9}, {3.576081771156743*^9, 
   3.576081776209346*^9}, {3.576081806418565*^9, 3.576081807016838*^9}, {
   3.576081838055835*^9, 3.57608184407646*^9}, {3.5760822854991217`*^9, 
   3.576082450658762*^9}, {3.576082489308929*^9, 3.5760824964480343`*^9}, {
   3.57608295470866*^9, 3.5760829555087767`*^9}, 3.576083030064863*^9, {
   3.576083104941779*^9, 3.576083113685643*^9}, {3.576083208279318*^9, 
   3.576083210390307*^9}, {3.5760832844049377`*^9, 3.5760832868347073`*^9}, {
   3.57608346227871*^9, 3.576083464417644*^9}, {3.576083509937025*^9, 
   3.5760835518078423`*^9}, {3.576083745211829*^9, 3.576083762559045*^9}, {
   3.576083882645196*^9, 3.5760839089589376`*^9}, {3.5760840594193287`*^9, 
   3.576084118960477*^9}, {3.5760842903148203`*^9, 3.576084337284157*^9}, {
   3.576084545744869*^9, 3.576084546430406*^9}, {3.5760855272606697`*^9, 
   3.576085528616495*^9}, {3.576086185635008*^9, 3.576086219292088*^9}, {
   3.5760917554763703`*^9, 3.5760917652335577`*^9}, {3.576158538859*^9, 
   3.5761585390306845`*^9}, 3.576159272610405*^9, 3.576159352722472*^9, {
   3.5761597417654495`*^9, 3.576159742873078*^9}, {3.5761597789169025`*^9, 
   3.5761597806641474`*^9}, {3.5761642197367134`*^9, 
   3.5761642198927174`*^9}, {3.576164683876309*^9, 3.576164684079115*^9}, {
   3.576171296439384*^9, 3.576171307501796*^9}, {3.5761734939422083`*^9, 
   3.576173597583336*^9}, {3.576173654746194*^9, 3.5761736557983103`*^9}, {
   3.576173766586999*^9, 3.576173803834023*^9}, {3.5761740866963997`*^9, 
   3.576174125354148*^9}, {3.57617555953179*^9, 3.5761758006927767`*^9}, {
   3.576213443895774*^9, 3.576213460291204*^9}, {3.5762135502611217`*^9, 
   3.576213550679455*^9}, {3.576214384238673*^9, 3.5762144075041857`*^9}, {
   3.576214512387026*^9, 3.576214519740814*^9}, {3.57621562815142*^9, 
   3.576215643552711*^9}, {3.576228472071806*^9, 3.576228472404513*^9}, 
   3.576234294424745*^9, {3.576234616288342*^9, 3.5762346184769497`*^9}, {
   3.5762362797774553`*^9, 3.5762362923209333`*^9}, 3.576236525932768*^9, {
   3.576238335400908*^9, 3.576238345777935*^9}, {3.576250377660638*^9, 
   3.576250380076969*^9}, {3.57625124727956*^9, 3.576251294964512*^9}, {
   3.577553431163991*^9, 3.577553431651773*^9}, {3.5775534966241817`*^9, 
   3.577553507439225*^9}, {3.577553577187554*^9, 3.577553579302816*^9}, {
   3.577554175163813*^9, 3.577554176105568*^9}, {3.57764400032036*^9, 
   3.577644000872363*^9}, {3.5776440485249968`*^9, 3.577644131667466*^9}, {
   3.577705568290814*^9, 3.577705576250885*^9}, {3.5777078613214407`*^9, 
   3.5777078906958857`*^9}, {3.577708307378771*^9, 3.577708324598671*^9}, {
   3.583078176408238*^9, 3.58307818122225*^9}, {3.58307936345722*^9, 
   3.583079370455621*^9}, {3.5830794168507967`*^9, 3.583079468799862*^9}, {
   3.583079755161208*^9, 3.583079756476572*^9}, {3.583079996086301*^9, 
   3.583079996609774*^9}, {3.583080146322556*^9, 3.5830801767058773`*^9}, {
   3.58308021268213*^9, 3.583080222990086*^9}, {3.583080421304624*^9, 
   3.583080427205159*^9}, {3.5830805104214153`*^9, 3.583080600758816*^9}, {
   3.583080641383951*^9, 3.583080698113001*^9}, {3.583080779606052*^9, 
   3.5830807847004957`*^9}, {3.583080970152347*^9, 3.583080978073186*^9}, 
   3.583081191158738*^9, 3.583081312913734*^9, 3.5830815225521*^9, 
   3.583124664364846*^9, {3.583124763436508*^9, 3.583124768598535*^9}, {
   3.5831248234900837`*^9, 3.583124921260425*^9}, {3.583125017480275*^9, 
   3.583125153876482*^9}, {3.583125186914371*^9, 3.583125191094372*^9}, {
   3.5831252213522177`*^9, 3.583125244274048*^9}, {3.5831253963264103`*^9, 
   3.583125431160581*^9}, {3.5831254829881277`*^9, 3.583125632117148*^9}, {
   3.58312570595959*^9, 3.58312575708066*^9}, {3.5831257881962233`*^9, 
   3.583125808664955*^9}, {3.583136733571108*^9, 3.583136788827096*^9}, {
   3.583136860077812*^9, 3.5831368896688013`*^9}, {3.583137057220171*^9, 
   3.583137135596013*^9}, {3.583137193743743*^9, 3.583137196860517*^9}, 
   3.5831372488658257`*^9, {3.583137304804841*^9, 3.583137305664707*^9}, {
   3.583137380195313*^9, 3.583137394147682*^9}, {3.5831376097157793`*^9, 
   3.583137673767523*^9}, {3.583137910216221*^9, 3.583137951790824*^9}, 
   3.583138068778556*^9, {3.583141175239602*^9, 3.583141231165205*^9}, 
   3.583141306809256*^9, 3.583141433042676*^9, 3.583141810603265*^9, {
   3.588616714264683*^9, 3.588616724784164*^9}, {3.5886169049375353`*^9, 
   3.588616919388114*^9}, {3.5886183365152607`*^9, 3.5886183600217133`*^9}, 
   3.5886185188255367`*^9, 3.588618827553007*^9, 3.5886190920474*^9, {
   3.588619320309988*^9, 3.588619328719595*^9}, 3.590255778904014*^9, {
   3.59025646175737*^9, 3.5902564865279016`*^9}, {3.590256578088729*^9, 
   3.590256793047179*^9}, {3.59025686830968*^9, 3.590256887276346*^9}, {
   3.590257052237378*^9, 3.5902570899513617`*^9}, {3.59025719603776*^9, 
   3.590257264143331*^9}, {3.590257646155632*^9, 3.590257735637268*^9}, {
   3.590257770975883*^9, 3.590257777351283*^9}, {3.5902578083775463`*^9, 
   3.5902578141821823`*^9}, {3.5902582003967*^9, 3.590258330321113*^9}, 
   3.590258731470826*^9, {3.590259103856737*^9, 3.590259107060547*^9}, 
   3.59025973122501*^9, {3.590260173878533*^9, 3.59026018907274*^9}, {
   3.5902630155526743`*^9, 3.590263062945446*^9}, {3.590263377327176*^9, 
   3.5902634182524967`*^9}, {3.590263477614274*^9, 3.590263487614829*^9}, {
   3.590263559772046*^9, 3.59026357944845*^9}, {3.590263803177734*^9, 
   3.5902638081215057`*^9}, {3.590265147623513*^9, 3.590265147976345*^9}, 
   3.5903201006581793`*^9, {3.59034770815765*^9, 3.590347756679776*^9}, {
   3.590347838408875*^9, 3.590347959931823*^9}, {3.590352072378104*^9, 
   3.59035209064653*^9}, {3.590409055951679*^9, 3.590409059666699*^9}, {
   3.5905052933140306`*^9, 3.590505336633074*^9}, {3.590505762594392*^9, 
   3.590505785739719*^9}, {3.5905085340013313`*^9, 3.590508536084457*^9}, {
   3.590752405527771*^9, 3.590752422774741*^9}, 3.590754237801277*^9, {
   3.59075551829396*^9, 3.5907555351064367`*^9}, 3.590759558534774*^9, {
   3.590760681380314*^9, 3.590760683600276*^9}, {3.590772140126925*^9, 
   3.5907721683444357`*^9}, {3.590772399508132*^9, 3.590772406744474*^9}, {
   3.590772469987547*^9, 3.590772470318358*^9}, {3.5907727987438583`*^9, 
   3.5907727989545183`*^9}, {3.590773030917409*^9, 3.590773156819686*^9}, {
   3.590773202103262*^9, 3.590773222592251*^9}, {3.590773327447698*^9, 
   3.5907733305464087`*^9}, {3.590773362092201*^9, 3.590773371100892*^9}, 
   3.5907734629936733`*^9, {3.59077359690504*^9, 3.5907736113317213`*^9}, {
   3.590773663854847*^9, 3.59077366448033*^9}, {3.590773701399444*^9, 
   3.59077378801728*^9}, {3.590773820677053*^9, 3.5907738776249437`*^9}, 
   3.5907739266053333`*^9, {3.590773957700741*^9, 3.590773957944618*^9}, {
   3.590774577147243*^9, 3.590774582187394*^9}, {3.5907746190604677`*^9, 
   3.590774669062811*^9}, 3.5907747002141113`*^9, {3.590774731077497*^9, 
   3.590774775749042*^9}, {3.590774818590081*^9, 3.5907750086167803`*^9}, {
   3.590775041213531*^9, 3.590775086798148*^9}, {3.5907754179113827`*^9, 
   3.590775453907789*^9}, {3.590775840782391*^9, 3.590775846656809*^9}, {
   3.590775912425609*^9, 3.5907759167024183`*^9}, {3.590776408986472*^9, 
   3.590776429219063*^9}, {3.590855187138225*^9, 3.590855188169829*^9}, 
   3.5908561845426693`*^9, {3.5908562246672707`*^9, 3.590856326123274*^9}, {
   3.590856470309432*^9, 3.590856582954939*^9}, {3.59085666942523*^9, 
   3.59085693765662*^9}, 3.5908570326746817`*^9, {3.590857097498109*^9, 
   3.590857100867394*^9}, {3.590857422903599*^9, 3.590857423032346*^9}, {
   3.590857578590757*^9, 3.590857583660099*^9}, {3.590859564447281*^9, 
   3.590859574946866*^9}, {3.5908597811172333`*^9, 3.590859787241376*^9}, {
   3.59086020749765*^9, 3.590860218725686*^9}, {3.5908605930573053`*^9, 
   3.590860597552163*^9}, {3.5908664403616133`*^9, 3.590866454700755*^9}, {
   3.590928227147951*^9, 3.59092827262673*^9}, 3.590952315882822*^9, {
   3.591120593870941*^9, 3.591120607277484*^9}, {3.592062224418375*^9, 
   3.5920622290384407`*^9}, {3.592062267407983*^9, 3.592062275004537*^9}, {
   3.592062314177869*^9, 3.5920623199907093`*^9}, {3.592064184216837*^9, 
   3.592064197475792*^9}, {3.592064953021837*^9, 3.592065001399279*^9}, {
   3.592067908327433*^9, 3.59206794207379*^9}, {3.592068214536715*^9, 
   3.592068251475026*^9}, {3.5920682814930058`*^9, 3.592068293752102*^9}, {
   3.592068354349663*^9, 3.592068360592516*^9}, {3.592068732371222*^9, 
   3.5920687403460073`*^9}, 3.592069105660076*^9, 3.5920696462895308`*^9, {
   3.592070433773807*^9, 3.592070437563878*^9}, 3.59207453400005*^9, {
   3.592074590995844*^9, 3.592074601836409*^9}, {3.592074642474121*^9, 
   3.59207470746332*^9}, 3.5920747414462643`*^9, {3.592074777574288*^9, 
   3.592074792222766*^9}, {3.592074956294177*^9, 3.592074989705283*^9}, {
   3.5920772085555067`*^9, 3.592077244095715*^9}, {3.592077338707933*^9, 
   3.5920773448811817`*^9}, 3.59207774608808*^9, {3.59213617163766*^9, 
   3.59213617176422*^9}, 3.59213648724809*^9, {3.592136800712722*^9, 
   3.59213680374482*^9}, {3.592151664546958*^9, 3.592151667019195*^9}, {
   3.592152403328233*^9, 3.592152415397056*^9}, {3.592331486763411*^9, 
   3.592331511931324*^9}, {3.592331623650429*^9, 3.59233163470776*^9}, {
   3.592331672187539*^9, 3.592331740057474*^9}, {3.598880869947475*^9, 
   3.5988808704537983`*^9}, {3.5988810332317*^9, 3.5988810588210697`*^9}, {
   3.59889098569701*^9, 3.598891004322577*^9}, {3.598891135570736*^9, 
   3.598891162549467*^9}, {3.598891261755567*^9, 3.598891267431931*^9}, {
   3.5988913376355877`*^9, 3.5988913676269407`*^9}, {3.5988914416439*^9, 
   3.598891508532771*^9}, {3.598892679025908*^9, 3.598892681445724*^9}, {
   3.598893283432407*^9, 3.598893283950593*^9}, {3.5988933757675657`*^9, 
   3.598893416444305*^9}, 3.598893450016878*^9, {3.598894145284101*^9, 
   3.598894145676506*^9}, {3.598894259245358*^9, 3.598894262867386*^9}, {
   3.598894490125512*^9, 3.598894490371977*^9}, {3.598894528878931*^9, 
   3.598894621049986*^9}, {3.598894664792245*^9, 3.598894665175356*^9}, {
   3.5988949142761927`*^9, 3.5988949442619762`*^9}, {3.5988958439406557`*^9, 
   3.598895981000924*^9}, 3.5988960315270863`*^9, {3.5988960651071033`*^9, 
   3.598896071312251*^9}, {3.598896143854453*^9, 3.598896145737928*^9}}],

Cell[BoxData["0.03`"], "Output",
 CellChangeTimes->{3.59085694443274*^9, 3.5908570342565002`*^9, 
  3.59085710255089*^9, 3.59085763522899*^9, 3.590859576121295*^9, 
  3.590859791120409*^9, 3.590860221136572*^9, 3.590928301102787*^9, 
  3.590952328958928*^9, 3.591120682821604*^9, 3.592064248127122*^9, 
  3.592068330782984*^9, 3.592068371723919*^9, 3.592068758889139*^9, 
  3.592069114018209*^9, 3.592069666793623*^9, 3.592070439183539*^9, 
  3.5920748130290956`*^9, 3.592074998780493*^9, 3.592077348295042*^9, 
  3.592077748608944*^9, 3.592136197178308*^9, 3.592136489856694*^9, 
  3.592136806800117*^9, 3.5921516706350594`*^9, 3.592331809880898*^9, 
  3.598881080783023*^9, 3.598891378637793*^9, 3.5988914679532633`*^9, 
  3.598891523491288*^9, 3.598892685739974*^9, 3.598893454242009*^9, 
  3.598894150781392*^9, 3.598894263604838*^9, 3.598894492059431*^9, 
  3.59889466582332*^9}],

Cell[BoxData["\<\"Parameters\"\>"], "Output",
 CellChangeTimes->{3.59085694443274*^9, 3.5908570342565002`*^9, 
  3.59085710255089*^9, 3.59085763522899*^9, 3.590859576121295*^9, 
  3.590859791120409*^9, 3.590860221136572*^9, 3.590928301102787*^9, 
  3.590952328958928*^9, 3.591120682821604*^9, 3.592064248127122*^9, 
  3.592068330782984*^9, 3.592068371723919*^9, 3.592068758889139*^9, 
  3.592069114018209*^9, 3.592069666793623*^9, 3.592070439183539*^9, 
  3.5920748130290956`*^9, 3.592074998780493*^9, 3.592077348295042*^9, 
  3.592077748608944*^9, 3.592136197178308*^9, 3.592136489856694*^9, 
  3.592136806800117*^9, 3.5921516706350594`*^9, 3.592331809880898*^9, 
  3.598881080783023*^9, 3.598891378637793*^9, 3.5988914679532633`*^9, 
  3.598891523491288*^9, 3.598892685739974*^9, 3.598893454242009*^9, 
  3.598894150781392*^9, 3.598894263604838*^9, 3.598894492059431*^9, 
  3.5988946660855217`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"\[Alpha]H\"\>", "\<\"\[Alpha]L\"\>", "\<\"\[Mu]\"\>", \
"\<\"\[Sigma]\"\>", "\<\"\[Pi]\"\>", "\<\"rH\"\>", "\<\"rL\"\>", \
"\<\"\[Chi]0+\[Chi]1*c(bps)\"\>", "\<\"\[Kappa](bps)\"\>", \
"\<\"\[Lambda]\"\>", "\<\"\[Beta]\"\>", "\<\"\[Xi]\"\>", "\<\"p\"\>", "\<\"t0\
\"\>", "\<\"T0\"\>", "\<\"Targeted CS\"\>", "\<\"Shock\[Chi]\"\>", "\<\"Shock\
\[Xi]\"\>", "\<\"Midpoint\"\>"},
     {"0.5152284263959391`", "0.4990279727832379`", 
      RowBox[{"-", "0.022`"}], "0.25`", "0.27`", "0.02`", "0.02`", 
      RowBox[{"32.`", "\[VeryThinSpace]", "+", 
       RowBox[{"1100.`", " ", "c"}]}], "100.`", "26.`", "0.06`", "0.7`", 
      "1.`", "10.`", "10.`", "200.`", "1.`", "0.7`", "0.`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.59085694443274*^9, 3.5908570342565002`*^9, 
  3.59085710255089*^9, 3.59085763522899*^9, 3.590859576121295*^9, 
  3.590859791120409*^9, 3.590860221136572*^9, 3.590928301102787*^9, 
  3.590952328958928*^9, 3.591120682821604*^9, 3.592064248127122*^9, 
  3.592068330782984*^9, 3.592068371723919*^9, 3.592068758889139*^9, 
  3.592069114018209*^9, 3.592069666793623*^9, 3.592070439183539*^9, 
  3.5920748130290956`*^9, 3.592074998780493*^9, 3.592077348295042*^9, 
  3.592077748608944*^9, 3.592136197178308*^9, 3.592136489856694*^9, 
  3.592136806800117*^9, 3.5921516706350594`*^9, 3.592331809880898*^9, 
  3.598881080783023*^9, 3.598891378637793*^9, 3.5988914679532633`*^9, 
  3.598891523491288*^9, 3.598892685739974*^9, 3.598893454242009*^9, 
  3.598894150781392*^9, 3.598894263604838*^9, 3.598894492059431*^9, 
  3.59889466608918*^9}],

Cell[BoxData["\<\"Data Files generated:\"\>"], "Output",
 CellChangeTimes->{3.59085694443274*^9, 3.5908570342565002`*^9, 
  3.59085710255089*^9, 3.59085763522899*^9, 3.590859576121295*^9, 
  3.590859791120409*^9, 3.590860221136572*^9, 3.590928301102787*^9, 
  3.590952328958928*^9, 3.591120682821604*^9, 3.592064248127122*^9, 
  3.592068330782984*^9, 3.592068371723919*^9, 3.592068758889139*^9, 
  3.592069114018209*^9, 3.592069666793623*^9, 3.592070439183539*^9, 
  3.5920748130290956`*^9, 3.592074998780493*^9, 3.592077348295042*^9, 
  3.592077748608944*^9, 3.592136197178308*^9, 3.592136489856694*^9, 
  3.592136806800117*^9, 3.5921516706350594`*^9, 3.592331809880898*^9, 
  3.598881080783023*^9, 3.598891378637793*^9, 3.5988914679532633`*^9, 
  3.598891523491288*^9, 3.598892685739974*^9, 3.598893454242009*^9, 
  3.598894150781392*^9, 3.598894263604838*^9, 3.598894492059431*^9, 
  3.598894762334311*^9}],

Cell[BoxData["\<\"creditspreads_DH_par_\[Alpha]H=0.515228_\[Alpha]L=0.499028_\
\[Alpha]LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.\
27_r=0.02_\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=26._\[Beta]=0.\
06_\[Xi]=0.7_T=10_data_ecma\"\>"], "Output",
 CellChangeTimes->{3.59085694443274*^9, 3.5908570342565002`*^9, 
  3.59085710255089*^9, 3.59085763522899*^9, 3.590859576121295*^9, 
  3.590859791120409*^9, 3.590860221136572*^9, 3.590928301102787*^9, 
  3.590952328958928*^9, 3.591120682821604*^9, 3.592064248127122*^9, 
  3.592068330782984*^9, 3.592068371723919*^9, 3.592068758889139*^9, 
  3.592069114018209*^9, 3.592069666793623*^9, 3.592070439183539*^9, 
  3.5920748130290956`*^9, 3.592074998780493*^9, 3.592077348295042*^9, 
  3.592077748608944*^9, 3.592136197178308*^9, 3.592136489856694*^9, 
  3.592136806800117*^9, 3.5921516706350594`*^9, 3.592331809880898*^9, 
  3.598881080783023*^9, 3.598891378637793*^9, 3.5988914679532633`*^9, 
  3.598891523491288*^9, 3.598892685739974*^9, 3.598893454242009*^9, 
  3.598894150781392*^9, 3.598894263604838*^9, 3.598894492059431*^9, 
  3.598894762336779*^9}],

Cell[BoxData["\<\"creditspreads_DH_par_\[Alpha]H=0.515228_\[Alpha]L=0.499028_\
\[Alpha]LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.\
27_r=0.02_\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=26._\[Beta]=0.\
06_\[Xi]=0.7_T=10_data_ecma\"\>"], "Output",
 CellChangeTimes->{3.59085694443274*^9, 3.5908570342565002`*^9, 
  3.59085710255089*^9, 3.59085763522899*^9, 3.590859576121295*^9, 
  3.590859791120409*^9, 3.590860221136572*^9, 3.590928301102787*^9, 
  3.590952328958928*^9, 3.591120682821604*^9, 3.592064248127122*^9, 
  3.592068330782984*^9, 3.592068371723919*^9, 3.592068758889139*^9, 
  3.592069114018209*^9, 3.592069666793623*^9, 3.592070439183539*^9, 
  3.5920748130290956`*^9, 3.592074998780493*^9, 3.592077348295042*^9, 
  3.592077748608944*^9, 3.592136197178308*^9, 3.592136489856694*^9, 
  3.592136806800117*^9, 3.5921516706350594`*^9, 3.592331809880898*^9, 
  3.598881080783023*^9, 3.598891378637793*^9, 3.5988914679532633`*^9, 
  3.598891523491288*^9, 3.598892685739974*^9, 3.598893454242009*^9, 
  3.598894150781392*^9, 3.598894263604838*^9, 3.598894492059431*^9, 
  3.598894762338533*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"CELL", " ", "2"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetOptions", "[", 
     RowBox[{
      RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
      RowBox[{"CellContext", "\[Rule]", "Notebook"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"Context", "[", "]"}], "<>", "\"\<*\>\""}], "]"}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dataEHP", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<Leverage\>\"", ",", "\"\<CreditSpread\>\"", ",", 
         "\"\<PropBidAsk\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1308", "/", "10000"}], ",", "61", ",", "40"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"2118", "/", "10000"}], ",", "88", ",", "40"}], "}"}], ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"bla", ",", "100", ",", "bla"}], "}"}], ","}], "*)"}], 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"3198", "/", "10000"}], ",", "123", ",", "50"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"4328", "/", "10000"}], ",", "199", ",", "50"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"5353", "/", "10000"}], ",", "350", ",", "70"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"6570", "/", "10000"}], ",", "552", ",", "70"}], "}"}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultspar", "=", 
     RowBox[{
     "Get", "[", 
      "\"\<creditspreads_DH_par_\[Alpha]H=0.515228_\[Alpha]L=0.499529_\[Alpha]\
LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.27_r=0.02_\
\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=26._\[Beta]=0.03_\[Xi]=0.\
7_T=10_data_ecma\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsnonpar", "=", 
     RowBox[{
     "Get", "[", 
      "\"\<creditspreads_DH_nonpar_\[Alpha]H=0.515228_\[Alpha]L=0.499529_\
\[Alpha]LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.\
27_r=0.02_\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=26._\[Beta]=0.\
03_\[Xi]=0.7_T=10_data_ecma\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsparbeta", "=", 
     RowBox[{
     "Get", "[", 
      "\"\<creditspreads_DH_par_\[Alpha]H=0.515228_\[Alpha]L=0.499028_\[Alpha]\
LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.27_r=0.02_\
\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=26._\[Beta]=0.06_\[Xi]=0.\
7_T=10_data_ecma\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsnonparbeta", "=", 
     RowBox[{
     "Get", "[", 
      "\"\<creditspreads_DH_nonpar_\[Alpha]H=0.515228_\[Alpha]L=0.499028_\
\[Alpha]LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.\
27_r=0.02_\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=26._\[Beta]=0.\
06_\[Xi]=0.7_T=10_data_ecma\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsparlambda", "=", 
     RowBox[{
     "Get", "[", 
      "\"\<creditspreads_DH_par_\[Alpha]H=0.515228_\[Alpha]L=0.499529_\[Alpha]\
LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.27_r=0.02_\
\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=52._\[Beta]=0.03_\[Xi]=0.\
7_T=10_data_ecma\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsnonparlambda", "=", 
     RowBox[{
     "Get", "[", 
      "\"\<creditspreads_DH_nonpar_\[Alpha]H=0.515228_\[Alpha]L=0.499529_\
\[Alpha]LT=0.684553_\[Alpha]CDS=0.684553_\[Mu]=-0.022_\[Sigma]=0.25_\[Pi]=0.\
27_r=0.02_\[Chi]0=0.0032_\[Chi]1=0.11_\[Kappa]=0.01_\[Lambda]=52._\[Beta]=0.\
03_\[Xi]=0.7_T=10_data_ecma\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"size", "=", "300"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"8", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"offsetba", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "3.8"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"offsetcs", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "50"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g1", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"resultspar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "6"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsnonpar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "6"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"dataEHP", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<QL\>\"", ",", "\"\<CreditSpread\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Dashed"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Red", ",", 
            RowBox[{"PointSize", "[", "Medium", "]"}]}], "}"}]}], "}"}]}], 
       ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"\"\<Par Solid, Non-Par Dashed (anchored cs=\>\"", "<>", 
           RowBox[{"ToString", "[", "targetspread", "]"}], "<>", 
           "\"\<)\>\""}]}], ","}], "*)"}], 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{".1", ",", ".7"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "600"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"size", ",", 
          RowBox[{"size", "*", "kk"}]}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Full"}], ",", 
       RowBox[{"Joined", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"True", ",", "True", ",", "False"}], "}"}]}], ",", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<AAA\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetcs"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<AA\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"3", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetcs"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<A\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"4", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetcs"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<BBB\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"5", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetcs"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<BB\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"6", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetcs"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<B\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"7", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetcs"}]}], "]"}]}], "}"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Panel A\>\""}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g2", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"resultspar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsnonpar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"dataEHP", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<QL\>\"", ",", "\"\<BidAsk\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Dashed"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Red", ",", 
            RowBox[{"PointSize", "[", "Medium", "]"}]}], "}"}]}], "}"}]}], 
       ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"\"\<Par Solid, Non-Par Dashed (anchored cs=\>\"", "<>", 
           RowBox[{"ToString", "[", "targetspread", "]"}], "<>", 
           "\"\<)\>\""}]}], ","}], "*)"}], 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{".1", ",", ".7"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"30", ",", "80"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"size", ",", 
          RowBox[{"size", "*", "kk"}]}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Full"}], ",", 
       RowBox[{"Joined", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"True", ",", "True", ",", "False"}], "}"}]}], ",", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<AAA\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetba"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<AA\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"3", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetba"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<A\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"4", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetba"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<BBB\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"5", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetba"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<BB\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"6", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetba"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<B\>\"", ",", 
            RowBox[{
             RowBox[{"dataEHP", "[", 
              RowBox[{"[", 
               RowBox[{"7", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "+", 
             "offsetba"}]}], "]"}]}], "}"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Panel B\>\""}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g3", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"resultspar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsnonpar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsparbeta", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsnonparbeta", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Dashed"}], "}"}], ",", "Black", ",", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Dashed"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotMarkers", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Null", ",", "Null", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<\[EmptyCircle]\>\"", ",", "9"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<\[EmptyCircle]\>\"", ",", "9"}], "}"}]}], "}"}]}], 
       ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{".09", ",", ".71"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"20", ",", "80"}], "}"}]}], "}"}]}], ",", 
       RowBox[{
       "PlotLabel", "\[Rule]", "\"\<Panel A: \[Beta] doubles to 6%\>\""}], 
       ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<QL\>\"", ",", "\"\<BidAsk\>\""}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"size", ",", 
          RowBox[{"size", "*", "kk"}]}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Full"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g4", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"resultspar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsnonpar", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsparlambda", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"resultsnonparlambda", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Dashed"}], "}"}], ",", "Black", ",", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Dashed"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotMarkers", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Null", ",", "Null", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<\[EmptyCircle]\>\"", ",", "9"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<\[EmptyCircle]\>\"", ",", "9"}], "}"}]}], "}"}]}], 
       ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{".09", ",", ".71"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"20", ",", "80"}], "}"}]}], "}"}]}], ",", 
       RowBox[{
       "PlotLabel", "\[Rule]", "\"\<Panel B: \[Lambda] doubles to 52\>\""}], 
       ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<QL\>\"", ",", "\"\<BidAsk\>\""}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"size", ",", 
          RowBox[{"size", "*", "kk"}]}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Full"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"g1", ",", "g2"}], "}"}], "}"}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"g3", ",", "g4"}], "}"}], "}"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5988908561631203`*^9, 3.5988908689599037`*^9}, 
   3.598890980374134*^9, {3.598892767790966*^9, 3.598892785939887*^9}, {
   3.5988932596176653`*^9, 3.598893260574092*^9}, {3.598893292027474*^9, 
   3.598893292424667*^9}, {3.598893986155693*^9, 3.598894062681553*^9}, {
   3.5988944270274057`*^9, 3.598894448729134*^9}, {3.598894868910033*^9, 
   3.598894895574304*^9}, {3.59889598970156*^9, 3.59889599647465*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {{{}, {}, 
         {GrayLevel[0], 
          LineBox[{{0.09999996791971928, 29.241139712682454`}, {
           0.1499999384786186, 42.0976674831126}, {0.20000000021938671`, 
           64.67069116226354}, {0.24999999635537518`, 95.87217894234841}, {
           0.2999999989824459, 134.17600302959525`}, {0.350000096231064, 
           178.2860235594337}, {0.40000004291057983`, 227.35400748685467`}, {
           0.4499999760953485, 281.03144035483865`}, {0.49999999750662105`, 
           339.47553494845823`}, {0.5499999921748504, 403.3717878554888}, {
           0.5999999955963173, 474.0178242721925}, {0.6499999911602086, 
           553.519700584072}, {0.675349703531639, 600.}}]}, 
         {GrayLevel[0], Dashing[{Small, Small}], 
          LineBox[{{0.1, 35.79240252446429}, {0.15000000150518394`, 
           49.59580968047078}, {0.20000000272151636`, 72.72440755554683}, {
           0.2500000034426166, 103.42188973790242`}, {0.3000000045750063, 
           139.80888751878754`}, {0.3500000057625537, 180.42745115983317`}, {
           0.40000000707795236`, 224.2908846912074}, {0.4500000081885344, 
           270.8077088553381}, {0.5000000095532231, 319.6996218180333}, {
           0.5500000104915899, 370.94526613094536`}, {0.5999999999999999, 
           424.75654191667667`}, {0.6500000000000004, 481.5916202415814}, {
           0.6999999999999998, 542.2164237790931}}]}}, {{}, {}, {}, 
         {RGBColor[1, 0, 0], PointSize[Medium], 
          PointBox[{{0.1308, 61.}, {0.2118, 88.}, {0.3198, 123.}, {0.4328, 
           199.}, {0.5353, 350.}, {0.657, 552.}}]}, {}}}, {}},
      AspectRatio->Full,
      Axes->True,
      AxesLabel->{
        FormBox["\"QL\"", TraditionalForm], 
        FormBox["\"CreditSpread\"", TraditionalForm]},
      AxesOrigin->{0.1, 0},
      Epilog->{
        InsetBox[
         FormBox["\"AAA\"", TraditionalForm], 
         NCache[{
           Rational[327, 2500], 11}, {0.1308, 11}]], 
        InsetBox[
         FormBox["\"AA\"", TraditionalForm], 
         NCache[{
           Rational[1059, 5000], 38}, {0.2118, 38}]], 
        InsetBox[
         FormBox["\"A\"", TraditionalForm], 
         NCache[{
           Rational[1599, 5000], 73}, {0.3198, 73}]], 
        InsetBox[
         FormBox["\"BBB\"", TraditionalForm], 
         NCache[{
           Rational[541, 1250], 149}, {0.4328, 149}]], 
        InsetBox[
         FormBox["\"BB\"", TraditionalForm], 
         NCache[{
           Rational[5353, 10000], 300}, {0.5353, 300}]], 
        InsetBox[
         FormBox["\"B\"", TraditionalForm], 
         NCache[{
           Rational[657, 1000], 502}, {0.657, 502}]]},
      ImageSize->{300, 240},
      Method->{},
      PlotLabel->FormBox["\"Panel A\"", TraditionalForm],
      PlotRange->{{0.1, 0.7}, {0, 600}},
      PlotRangeClipping->True,
      PlotRangePadding->{Automatic, Automatic}], {160., -126.}, 
     ImageScaled[{0.5, 0.5}], {300, 240}], InsetBox[
     GraphicsBox[{{}, {{{}, {}, 
         {GrayLevel[0], 
          LineBox[{{0.09999996791971928, 37.068591073165884`}, {
           0.1499999384786186, 37.986645622747275`}, {0.20000000021938671`, 
           39.599041854280344`}, {0.24999999635537518`, 41.82920845258369}, {
           0.2999999989824459, 44.570306233049905`}, {0.350000096231064, 
           47.733557687776845`}, {0.40000004291057983`, 51.2647486851005}, {
           0.4499999760953485, 55.14920304516472}, {0.49999999750662105`, 
           59.41398062825237}, {0.5499999921748504, 64.13190704260805}, {
           0.5999999955963173, 69.43099025172845}, {0.6499999911602086, 
           75.51329259852794}, {0.6812553441413743, 80.}}]}, 
         {GrayLevel[0], Dashing[{Small, Small}], 
          LineBox[{{0.1, 42.96687567044392}, {0.15000000150518394`, 
           43.46789623347562}, {0.20000000272151636`, 44.31930504994024}, {
           0.2500000034426166, 45.473069311743565`}, {0.3000000045750063, 
           46.87732293402668}, {0.3500000057625537, 48.494837906163085`}, {
           0.40000000707795236`, 50.30581201774325}, {0.4500000081885344, 
           52.30728611545051}, {0.5000000095532231, 54.51325976634222}, {
           0.5500000104915899, 56.95707944421032}, {0.5999999999999999, 
           59.6974989149602}, {0.6500000000000004, 62.83097120268585}, {
           0.6999999999999998, 66.51578123184439}}]}}, {{}, {}, {}, 
         {RGBColor[1, 0, 0], PointSize[Medium], 
          PointBox[{{0.1308, 40.}, {0.2118, 40.}, {0.3198, 50.}, {0.4328, 
           50.}, {0.5353, 70.}, {0.657, 70.}}]}, {}}}, {}},
      AspectRatio->Full,
      Axes->True,
      AxesLabel->{
        FormBox["\"QL\"", TraditionalForm], 
        FormBox["\"BidAsk\"", TraditionalForm]},
      AxesOrigin->{0.1, 30.},
      Epilog->{
        InsetBox[
         FormBox["\"AAA\"", TraditionalForm], 
         NCache[{
           Rational[327, 2500], 36.2}, {0.1308, 36.2}]], 
        InsetBox[
         FormBox["\"AA\"", TraditionalForm], 
         NCache[{
           Rational[1059, 5000], 36.2}, {0.2118, 36.2}]], 
        InsetBox[
         FormBox["\"A\"", TraditionalForm], 
         NCache[{
           Rational[1599, 5000], 46.2}, {0.3198, 46.2}]], 
        InsetBox[
         FormBox["\"BBB\"", TraditionalForm], 
         NCache[{
           Rational[541, 1250], 46.2}, {0.4328, 46.2}]], 
        InsetBox[
         FormBox["\"BB\"", TraditionalForm], 
         NCache[{
           Rational[5353, 10000], 66.2}, {0.5353, 66.2}]], 
        InsetBox[
         FormBox["\"B\"", TraditionalForm], 
         NCache[{
           Rational[657, 1000], 66.2}, {0.657, 66.2}]]},
      ImageSize->{300, 240},
      Method->{},
      PlotLabel->FormBox["\"Panel B\"", TraditionalForm],
      PlotRange->{{0.1, 0.7}, {30, 80}},
      PlotRangeClipping->True,
      PlotRangePadding->{Automatic, Automatic}], {480., -126.}, 
     ImageScaled[{0.5, 0.5}], {300, 240}]}, {}},
  ContentSelectable->True,
  ImageSize->{652., 264.},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.598893262826713*^9, 3.598893875119952*^9, 3.598893993191703*^9, 
   3.5988940425594053`*^9, 3.5988943653203363`*^9, 3.598894763350601*^9, 
   3.598894835857417*^9, {3.598894869880425*^9, 3.598894897140633*^9}, 
   3.598894989155714*^9, 3.598896232889103*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, GraphicsComplexBox[CompressedData["
1:eJw90mtMklEYwPFXzayWki5sWrkczsxMCyQYVOcBL4DJVMpLK3MjhZmZdpld
LMuu2lLbEu21i9KyeSNLo5k1M7HIfEun6aLSNMBVW2VrWvMSccj5bGfn6/md
/+Mtz5Cl2BMEwbYefMeOddNI8iHSOVaU6vOEcDKLXs9k6VAWN1EZ8VcI+Wy3
MpLsQIN5EUoNFQJVCQF/LJYuNHa/6iTjaygwTyxlsli9qLU3vdMiDodz65pf
KRT9qCjRyDEPiIDzrE5PkgYUTB8VG9USyBn1bqSoD8jj4Xu6x+XN4FIhm7ZY
PqInbeyY6ftSqPBSqEhyGIWf3+C/b140JI/3rWWxjEg+h5Gg2h4DEYPOLyjK
hNjTzA7DkAx4xTeTFYoRRNhmK1gfS2KP8ttkcVt2GNjX713PsnrObnOfa3oU
BhPt+8qxZ/9h89SgXzhcjWxwIIhu5BjvkF/wOBxuty/jYs/+/kCvyEwRuCpK
9mCPzMwxxCExcANYauwJOMQw+KyUQH1laR/2TAS1+8aujAC/qRWOBDGEMlIm
cxoEm6GsgF+OPTKRuDj3aCRYP4uFPT+TJm6JDFLopvCYkHOzJiRxdxSkKPCM
IHmNuMheHQ3KvK5c7PGf0ksSeBx4ljHOx574Rcf0Lzs5IO6slmPPh7i2SjHF
hX7f8RbcR69Z4OO4lgc86cFg7Nk02GRaOMKHwt+ndSlWj0s6bcn8oY3A/qUt
wZ6nzV312QsAtF7qHux5c/DaESeBAIbObfmC++w8Q5PcUwnhuKfqEvaoldc/
nXEJBQMZG4A9cfrS1T0PwqDl4rAGe9zcTOxGtQiUoa93Yc+Owva6ie8SeD7K
icOesY4gBwaDD37xjYuxR3dnSW7qAT40JWlvYA8QhT1oig9tX//3USXlcMa0
G6CsYrmtT9479xqnKxtBafuvfmRMznJddW0T7K32sPXxvOuy5kELAl11ma1P
w+/FtVEnAIQ8N1sfKa23tilQALZ1sXroc9NajT8Es30+L7Sb5OqF0DXT58J0
WkLm4xDYOdOHop9aRBsIhVTLF7u3lHl2//4Bnv+Ltg==
        "], {{{}, {}, 
          {GrayLevel[0], 
           LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 53}]}, 
          {GrayLevel[0], Dashing[{Small, Small}], 
           LineBox[{14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26}]}, 
          {GrayLevel[0], 
           LineBox[{27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39}]}, 
          {GrayLevel[0], Dashing[{Small, Small}], 
           LineBox[{40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52}]}}, {
          {GrayLevel[0], InsetBox["", 1], InsetBox["", 2], InsetBox["", 3], 
           InsetBox["", 4], InsetBox["", 5], InsetBox["", 6], InsetBox["", 7],
            InsetBox["", 8], InsetBox["", 9], InsetBox["", 10], 
           InsetBox["", 11], InsetBox["", 12], InsetBox["", 53]}, 
          {GrayLevel[0], Dashing[{Small, Small}], InsetBox["", 14], 
           InsetBox["", 15], InsetBox["", 16], InsetBox["", 17], 
           InsetBox["", 18], InsetBox["", 19], InsetBox["", 20], 
           InsetBox["", 21], InsetBox["", 22], InsetBox["", 23], 
           InsetBox["", 24], InsetBox["", 25], InsetBox["", 26]}, 
          {GrayLevel[0], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 27], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 28], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 29], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 30], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 31], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 32], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 33], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 34], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 35], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 36], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 37], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 38], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 39]}, 
          {GrayLevel[0], Dashing[{Small, Small}], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 40], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 41], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 42], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 43], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 44], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 45], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 46], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 47], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 48], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 49], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 50], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 51], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 52]}, {}}}], {}},
      AspectRatio->Full,
      Axes->True,
      AxesLabel->{
        FormBox["\"QL\"", TraditionalForm], 
        FormBox["\"BidAsk\"", TraditionalForm]},
      AxesOrigin->{0.1, 20.},
      ImageSize->{300, 240},
      Method->{},
      PlotLabel->FormBox[
       "\"Panel A: \[Beta] doubles to 6%\"", TraditionalForm],
      PlotRange->{{0.09, 0.71}, {20, 80}},
      PlotRangeClipping->True,
      PlotRangePadding->{Automatic, Automatic}], {160., -126.}, 
     ImageScaled[{0.5, 0.5}], {300, 240}], InsetBox[
     GraphicsBox[{{}, GraphicsComplexBox[CompressedData["
1:eJw90n0s1HEcwPGf87DSZFmkB9eDwqTCD3fl+H7OcXcOi8vpyuzq4qQpD1tq
MmlFqmEJ56fiWMqKKU+r69FDIWfdKuqmRKix1VgPHo6u+/6yPtt333+/r+/7
s1GeJI5jEAThbTz4lvzSWlPUA9RurlJ25gZAVpptvSfZjtLYMfGiPwFwwdum
jKK60WCuKL5Ow4MaqduMwfAK/WqqyXKcCATP02s9SfINevbmaI9ByIccD3Wv
QtGPCmJGWGMfBcB6XttJUTrkZTspHKkMhszJjY0azQe0+sGA7eorIbBcJV4w
GD6hp23eEQtNYaBiKoopahjxz3NcU5aEQ+zvPneSHEFyM0dpcXQEiAatujSa
UeS94NmtGxLDrqKqWIXiCyLoiQTjYynsif+mL2o7FQSM+mM+pNGTvc/OYvRh
EMx1pFRgT+rJsflBFz5cDW0wJQgtMt9reiHvER9udqxjY09q/3ZmaLIAVihK
ErFHPMbSRSEhsN3ISuxxO+Go2+wcDPXVyj7smdvR4SRxFoHL/AZzghhCSXH6
zAZuCJTl+VZgj1ggLDqTHgrGzyKxZ0o2d0OgCwOtBs8oslLX8WKO7IY4BZ4v
SH5bWMCoDAeHQjXtKZSMNEbOsOD+ZQcSe/gVGeXyfDa4p3Ity4ye9b4fLEyV
O2FVfkwr7pPHzD281MIXBiaBxJ4Demv72W4O6CeYfOzZMjjdbPbWHzLc1enY
Iz33eTYxD6BGH/oSe6K3mkg6e7kgSxIwsGdZjWsOcxsPLM8forBn24K2uuRe
ICQIWrZij1j61adWwYeWnzK6z32VT5laJgTybhDd58kdr8LxRyLgRTGuYw9v
sjHc2YQD09USuo/f9Bqr2T0cqGruKcd9fIXmrU7DHNhr30j3sdqfLWtV+UFA
PZPu45Hw9Qdx0R8uWSrpPrd2zZnISxA8Pm5P90mOv1ZqfRDARUvRfaQvZC+W
WXDh354MoU0rn6ydUHNhqsiP7hMX3uU0fyYAvBb7sN7ZKRtkPHi+2KcnhG3z
OjoQZIt9Xt4rbfh+NggSDOMm7zVj//fvL9j4gV4=
        "], {{{}, {}, 
          {GrayLevel[0], 
           LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 53}]}, 
          {GrayLevel[0], Dashing[{Small, Small}], 
           LineBox[{14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26}]}, 
          {GrayLevel[0], 
           LineBox[{27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39}]}, 
          {GrayLevel[0], Dashing[{Small, Small}], 
           LineBox[{40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52}]}}, {
          {GrayLevel[0], InsetBox["", 1], InsetBox["", 2], InsetBox["", 3], 
           InsetBox["", 4], InsetBox["", 5], InsetBox["", 6], InsetBox["", 7],
            InsetBox["", 8], InsetBox["", 9], InsetBox["", 10], 
           InsetBox["", 11], InsetBox["", 12], InsetBox["", 53]}, 
          {GrayLevel[0], Dashing[{Small, Small}], InsetBox["", 14], 
           InsetBox["", 15], InsetBox["", 16], InsetBox["", 17], 
           InsetBox["", 18], InsetBox["", 19], InsetBox["", 20], 
           InsetBox["", 21], InsetBox["", 22], InsetBox["", 23], 
           InsetBox["", 24], InsetBox["", 25], InsetBox["", 26]}, 
          {GrayLevel[0], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 27], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 28], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 29], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 30], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 31], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 32], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 33], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 34], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 35], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 36], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 37], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 38], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 39]}, 
          {GrayLevel[0], Dashing[{Small, Small}], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 40], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 41], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 42], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 43], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 44], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 45], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 46], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 47], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 48], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 49], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 50], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 51], InsetBox[
            StyleBox["\<\"\[EmptyCircle]\"\>",
             StripOnInput->False,
             FontSize->9], 52]}, {}}}], {}},
      AspectRatio->Full,
      Axes->True,
      AxesLabel->{
        FormBox["\"QL\"", TraditionalForm], 
        FormBox["\"BidAsk\"", TraditionalForm]},
      AxesOrigin->{0.1, 20.},
      ImageSize->{300, 240},
      Method->{},
      PlotLabel->FormBox[
       "\"Panel B: \[Lambda] doubles to 52\"", TraditionalForm],
      PlotRange->{{0.09, 0.71}, {20, 80}},
      PlotRangeClipping->True,
      PlotRangePadding->{Automatic, Automatic}], {480., -126.}, 
     ImageScaled[{0.5, 0.5}], {300, 240}]}, {}},
  ContentSelectable->True,
  ImageSize->{652., 264.},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.598893262826713*^9, 3.598893875119952*^9, 3.598893993191703*^9, 
   3.5988940425594053`*^9, 3.5988943653203363`*^9, 3.598894763350601*^9, 
   3.598894835857417*^9, {3.598894869880425*^9, 3.598894897140633*^9}, 
   3.598894989155714*^9, 3.5988962331248503`*^9}]
}, Open  ]]
},
Evaluator->"Local2",
WindowSize->{720, 852},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
ShowSelection->True,
CellContext->Notebook,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 20, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 168999, 3893, 11602, "Input"],
Cell[169581, 3917, 884, 13, 28, "Output"],
Cell[170468, 3932, 900, 13, 28, "Output"],
Cell[171371, 3947, 2093, 39, 45, "Output"],
Cell[173467, 3988, 909, 13, 29, "Output"],
Cell[174379, 4003, 1132, 16, 45, "Output"],
Cell[175514, 4021, 1132, 16, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[176683, 4042, 18582, 485, 1562, "Input"],
Cell[195268, 4529, 6305, 133, 279, "Output"],
Cell[201576, 4664, 12495, 271, 313, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
