(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    186005,       4429]
NotebookOptionsPosition[    185349,       4403]
NotebookOutlinePosition[    185805,       4423]
CellTagsIndexPosition[    185762,       4420]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ClearAll", "[", 
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"Context", "[", "]"}], "<>", "\"\<*\>\""}], "]"}], "]"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SetOptions", "[", 
    RowBox[{
     RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
     RowBox[{"CellContext", "\[Rule]", "Notebook"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"NUMERICAL", " ", "CALIBRATION", " ", "VARIABLES"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataEHP", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<Leverage\>\"", ",", "\"\<CreditSpread\>\"", ",", 
        "\"\<PropBidAsk\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1308", "/", "10000"}], ",", "61", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"2118", "/", "10000"}], ",", "88", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"bla", ",", "100", ",", "bla"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"3198", "/", "10000"}], ",", "123", ",", "25"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"4328", "/", "10000"}], ",", "200", ",", "25"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"5353", "/", "10000"}], ",", "350", ",", "35"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"6570", "/", "10000"}], ",", "552", ",", "35"}], "}"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"QLlist", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "QLAAA", ",", "QLAA", ",", "QLA", ",", "QLBBB", ",", "QLBB", ",", 
        "QLB"}], "}"}], "=", 
      RowBox[{"dataEHP", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;", "7"}], ",", "1"}], "]"}], "]"}]}]}], ";"}], 
   "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"targetspread", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datapoints", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"testinterval", "=", 
   RowBox[{"Interval", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"testinterval2", "=", 
   RowBox[{"Interval", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Defaultprice", "=", 
   RowBox[{"1", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefaultBAprop", "=", 
   RowBox[{"300", "/", "10000"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Defaultmp", "=", "0"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Toggles", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"midpoint", "=", "0"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"turn", " ", "on", " ", "midpoint", " ", "calculations"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"quasileverage", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"term", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\"\<_MP_\>\"", "-", "\"\<_DH_\>\""}], ")"}], "midpoint"}], 
    "+", "\"\<_DH_\>\""}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"priceselector", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "midpoint"}], ")"}], 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "+", 
     RowBox[{"midpoint", 
      FractionBox[
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "+", "beta"}], ",", 
         RowBox[{"1", "-", "beta"}]}], "}"}], "2"]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"propshock", "=", "1"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"proportional", " ", "or", " ", "additive", " ", "shock"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"midpointLT", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Shocks", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"shockchi", "=", "1"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"holding", " ", "cost", " ", "shock"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"shockxi", "=", 
    RowBox[{"7", "/", "10"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"xi", " ", "shock"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"shocky", "=", "0.5"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"proportional", " ", "CF", " ", "shock"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"beta", "=", 
   RowBox[{"3", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lambda", "=", "26"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"26", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"5", "/", "100"}], ")"}], "/", "beta"}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Graphs", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QLrange", "=", 
   RowBox[{"{", 
    RowBox[{".1", ",", ".7"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BArange", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"30", ",", "80"}], "}"}], "/", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CSrange", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "600"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "PARAMETERS", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r", "=", 
   RowBox[{"r1", "=", 
    RowBox[{"20", "/", "1000"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"r2", "=", 
    RowBox[{"20", "/", "1000"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]i", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"1", "/", "16"}], "-", 
     RowBox[{"1", "/", "100"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]s", "=", 
   RowBox[{"10", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"\[Sigma]i", "^", "2"}], "+", 
     RowBox[{"\[Sigma]s", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mup", "=", 
   RowBox[{"1.8", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sharpe", "=", 
   RowBox[{"4", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu", "=", 
    RowBox[{"mup", "-", 
     RowBox[{"sharpe", " ", "\[Sigma]s"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"actual", " ", "mu", " ", "NOT", " ", "log", " ", "mu"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mutilde", "=", 
    RowBox[{"mu", "-", 
     FractionBox[
      RowBox[{"\[Sigma]", "^", "2"}], "2"]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"log", " ", "mu"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"alpha", "=", 
   RowBox[{"75", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"theta", "=", 
    RowBox[{"73", "/", "100"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"alpha1", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "+", "DefaultBAprop"}], ")"}], "Defaultprice"}], 
    RowBox[{"2", "-", "DefaultBAprop"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"alpha2", "=", 
    FractionBox[
     RowBox[{"Defaultprice", 
      RowBox[{"(", 
       RowBox[{"2", "-", "DefaultBAprop", "-", 
        RowBox[{"2", " ", "beta"}], "-", 
        RowBox[{"DefaultBAprop", " ", "beta"}]}], ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "-", "DefaultBAprop"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "beta"}], ")"}]}]]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"alphaLT", "=", 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"(", ".23", ")"}], "1.37"}], "]"}], "alpha2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kHX", "=", 
    RowBox[{"2", "/", "401"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"alphaHX", "=", ".6"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "REQUIRED", " ", "PARAMETERS", " ", "IF", " ", "ALPHAH", " ", "AND", " ", 
    "ALHPAL", " ", 
    RowBox[{"GIVEN", ":"}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vectoralpha", "=", 
    RowBox[{"{", 
     RowBox[{"alpha1", ",", "alpha2"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"alphaCDS", "=", "alphaLT"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Boole", "[", 
      RowBox[{"midpointLT", "\[Equal]", "1"}], "]"}], "+", 
     RowBox[{"alpha2", " ", 
      RowBox[{"Boole", "[", 
       RowBox[{"midpointLT", "\[Equal]", "0"}], "]"}]}]}], "*)"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xi1", "=", 
   RowBox[{"shockxi", "*", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xi2", "=", 
    RowBox[{"beta", "*", "lambda"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p", "=", "1"}], ";"}], " ", 
  RowBox[{"(*", " ", "principal", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pi", "=", 
   RowBox[{"27", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chi0", "=", "0.0032"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chi1", "=", "0.11"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"holdingcost", "[", "c_", "]"}], "=", 
    RowBox[{"shockchi", 
     RowBox[{"(", 
      RowBox[{"chi0", "+", 
       RowBox[{"chi1", " ", "c"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eps", "=", 
   RowBox[{"1", "/", "1000000"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"T0", "=", "10"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"debt", " ", "structure", " ", "upper", " ", "limit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"t0", "=", "10"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"individual", " ", "bond"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"trans", "=", 
    RowBox[{"10", "/", "1000"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "filename", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"filename", "=", 
    RowBox[{"\"\<\[Alpha]H=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"alpha1", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]L=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"alpha2", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]LT=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"alphaLT", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]CDS=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"alphaCDS", "//", "N"}], "]"}], "<>", "\"\<_\[Mu]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"mu", "//", "N"}], "]"}], "<>", "\"\<_\[Sigma]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"\[Sigma]", "//", "N"}], "]"}], "<>", "\"\<_\[Pi]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"pi", "//", "N"}], "]"}], "<>", "\"\<_r=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"r", "//", "N"}], "]"}], "<>", "\"\<_\[Chi]0=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"chi0", "//", "N"}], "]"}], "<>", "\"\<_\[Chi]1=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"chi1", "//", "N"}], "]"}], "<>", "\"\<_\[Kappa]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"trans", "//", "N"}], "]"}], "<>", "\"\<_\[Lambda]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"lambda", "//", "N"}], "]"}], "<>", "\"\<_\[Beta]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"beta", "//", "N"}], "]"}], "<>", "\"\<_\[Xi]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"xi1", "//", "N"}], "]"}], "<>", "\"\<_T=\>\"", "<>", 
     RowBox[{"ToString", "[", "T0", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"filenameHX", "=", 
    RowBox[{"\"\<\[Alpha]HX=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"alphaHX", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]LT=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"alphaLT", "//", "N"}], "]"}], "<>", "\"\<_\[Alpha]CDS=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"alphaCDS", "//", "N"}], "]"}], "<>", "\"\<_\[Mu]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"mu", "//", "N"}], "]"}], "<>", "\"\<_\[Sigma]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"\[Sigma]", "//", "N"}], "]"}], "<>", "\"\<_\[Pi]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"pi", "//", "N"}], "]"}], "<>", "\"\<_r=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"r", "//", "N"}], "]"}], "<>", "\"\<_k=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"kHX", "//", "N"}], "]"}], "<>", "\"\<_\[Kappa]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"trans", "//", "N"}], "]"}], "<>", "\"\<_\[Xi]=\>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"xi1", "//", "N"}], "]"}], "<>", "\"\<_T=\>\"", "<>", 
     RowBox[{"ToString", "[", "T0", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"selector", "=", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"AUXILIARY", " ", "FUNCTIONS"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"y_", ",", "c_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"c", " ", "p"}], "y"], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "y"}], " ", "t"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"p", " ", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "y"}], " ", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Phi", "[", "x_", "]"}], "=", 
   RowBox[{"CDF", "[", 
    RowBox[{
     RowBox[{"NormalDistribution", "[", 
      RowBox[{"0", ",", "1"}], "]"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"phi", "[", "x_", "]"}], "=", 
    RowBox[{"PDF", "[", 
     RowBox[{
      RowBox[{"NormalDistribution", "[", 
       RowBox[{"0", ",", "1"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "MATRICES", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vectorc", "[", "c_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     RowBox[{"c", "-", 
      RowBox[{"holdingcost", "[", "c", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vectorp", "=", 
    RowBox[{"{", 
     RowBox[{"p", ",", "p"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ones", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff", "=", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", "1"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"matrixA", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"r1", "+", "xi1"}], ",", 
       RowBox[{"-", "xi1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "xi2"}], ",", 
       RowBox[{"r2", "+", "xi2"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"matrixP", ",", "matrixD"}], "}"}], "=", 
   RowBox[{"JordanDecomposition", "[", "matrixA", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"rhat1", ",", "rhat2"}], "}"}], "=", 
   RowBox[{"Diagonal", "[", "matrixD", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rhat", "=", 
    RowBox[{"{", 
     RowBox[{"rhat1", ",", "rhat2"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vectorchat", "[", "c_", "]"}], "=", 
   RowBox[{
    RowBox[{"Inverse", "[", "matrixP", "]"}], ".", 
    RowBox[{"vectorc", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectorphat", "=", 
   RowBox[{
    RowBox[{"Inverse", "[", "matrixP", "]"}], ".", "vectorp"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectoralphahat", "=", 
   RowBox[{
    RowBox[{"Inverse", "[", "matrixP", "]"}], ".", "vectoralpha"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vectorA", "[", "c_", "]"}], "=", 
   RowBox[{
    RowBox[{"Inverse", "[", "matrixD", "]"}], ".", 
    RowBox[{"vectorchat", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vectorB", "[", "c_", "]"}], "=", 
   RowBox[{"vectorphat", "-", 
    RowBox[{"vectorA", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vectorC", "[", 
     RowBox[{"c_", ",", "yb_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"Exp", "[", "yb", "]"}], 
       RowBox[{"r1", "-", "mu"}]], "vectoralphahat"}], "-", 
     RowBox[{"vectorA", "[", "c", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "DEBT", " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "=", 
    RowBox[{
     FractionBox["mu", 
      RowBox[{"\[Sigma]", "^", "2"}]], "-", 
     FractionBox["1", "2"]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"q", "[", 
     RowBox[{"y_", ",", "t_", ",", "root_", ",", "yb_"}], "]"}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{"yb", "-", "y"}], 
      RowBox[{"\[Sigma]", " ", 
       RowBox[{"Sqrt", "[", "t", "]"}]}]], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"root", "+", "a"}], ")"}], "\[Sigma]", " ", 
      RowBox[{"Sqrt", "[", "t", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"froots", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"froot1", ",", "froot2"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "a"}]}], "}"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"groots", "[", 
     RowBox[{"i_", "?", "IntegerQ"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "a"}], "+", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"a", "^", "2"}], "+", 
         RowBox[{
          FractionBox[
           RowBox[{"2", " "}], 
           RowBox[{"\[Sigma]", "^", "2"}]], " ", 
          RowBox[{"rhat", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", "a"}], "-", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"a", "^", "2"}], "+", 
         RowBox[{
          FractionBox[
           RowBox[{"2", " "}], 
           RowBox[{"\[Sigma]", "^", "2"}]], " ", 
          RowBox[{"rhat", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}]}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"groot11", ",", "groot12", ",", "groot21", ",", "groot22"}], 
     "}"}], "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"groots", "[", "1", "]"}], ",", 
       RowBox[{"groots", "[", "2", "]"}]}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"function", "[", 
     RowBox[{"y_", ",", "t_", ",", 
      RowBox[{"roots_", "?", "ListQ"}], ",", "yb_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"roots", "[", 
         RowBox[{"[", "1", "]"}], "]"}], 
        RowBox[{"(", 
         RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
      RowBox[{"Phi", "[", 
       RowBox[{"q", "[", 
        RowBox[{"y", ",", "t", ",", 
         RowBox[{"roots", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "yb"}], "]"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"roots", "[", 
         RowBox[{"[", "2", "]"}], "]"}], 
        RowBox[{"(", 
         RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
      RowBox[{"Phi", "[", 
       RowBox[{"q", "[", 
        RowBox[{"y", ",", "t", ",", 
         RowBox[{"roots", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "yb"}], "]"}], "]"}]}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"matrixF", "[", 
    RowBox[{"y_", ",", "t_", ",", "yb_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"MatrixExp", "[", 
     RowBox[{
      RowBox[{"-", "matrixD"}], " ", "t"}], "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"function", "[", 
       RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"matrixG", "[", 
     RowBox[{"y_", ",", "t_", ",", "yb_"}], "]"}], "=", 
    RowBox[{"DiagonalMatrix", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"function", "[", 
        RowBox[{"y", ",", "t", ",", 
         RowBox[{"groots", "[", "1", "]"}], ",", "yb"}], "]"}], ",", 
       RowBox[{"function", "[", 
        RowBox[{"y", ",", "t", ",", 
         RowBox[{"groots", "[", "2", "]"}], ",", "yb"}], "]"}]}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dhat", "[", 
     RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"vectorA", "[", "c", "]"}], "+", 
     RowBox[{
      RowBox[{"matrixF", "[", 
       RowBox[{"y", ",", "t", ",", "yb"}], "]"}], ".", 
      RowBox[{"vectorB", "[", "c", "]"}]}], "+", 
     RowBox[{
      RowBox[{"matrixG", "[", 
       RowBox[{"y", ",", "t", ",", "yb"}], "]"}], ".", 
      RowBox[{"vectorC", "[", 
       RowBox[{"c", ",", "yb"}], "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"d", "[", 
     RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
    RowBox[{"matrixP", ".", 
     RowBox[{"dhat", "[", 
      RowBox[{"y", ",", "t", ",", "yb", ",", "c"}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dDGP", "[", 
     RowBox[{"t_", ",", "c_"}], "]"}], "=", 
    RowBox[{"matrixP", ".", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"vectorA", "[", "c", "]"}], "+", 
       RowBox[{
        RowBox[{"MatrixExp", "[", 
         RowBox[{
          RowBox[{"-", "matrixD"}], " ", "t"}], "]"}], ".", 
        RowBox[{"vectorB", "[", "c", "]"}]}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "EQUITY", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eroots", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eroot1", ",", "eroot2"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "a"}], "+", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{
           FractionBox[
            RowBox[{"2", " "}], 
            RowBox[{"\[Sigma]", "^", "2"}]], " ", "r1"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"-", "a"}], "-", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{
           FractionBox[
            RowBox[{"2", " "}], 
            RowBox[{"\[Sigma]", "^", "2"}]], " ", "r1"}]}], "]"}]}]}], 
      "}"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"\"\<Roots check\>\"", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rootsvector", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*OverscriptBox[\(r\), \(^\)]\)1\>\"", ",", 
        "\"\<\!\(\*OverscriptBox[\(r\), \(^\)]\)2\>\"", ",", 
        "\"\<\[Phi]1\>\"", ",", "\"\<\[Phi]2\>\"", ",", "\"\<\[Gamma]11\>\"", 
        ",", "\"\<\[Gamma]12\>\"", ",", "\"\<\[Gamma]21\>\"", ",", 
        "\"\<\[Gamma]22\>\"", ",", "\"\<\[Eta]1\>\"", ",", 
        "\"\<\[Eta]2\>\""}], "}"}], ",", 
      RowBox[{"Round", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"rhat", ",", "froots", ",", 
           RowBox[{"groots", "[", "1", "]"}], ",", 
           RowBox[{"groots", "[", "2", "]"}], ",", "eroots"}], "}"}], "]"}], 
        ",", ".01"}], "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rootsvector", "//", "MatrixForm"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"-", " ", "SUBPART"}]}], " ", "OF", " ", 
     RowBox[{"INTEGRATION", " ", "--"}]}], "-"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"NOTATION", ":", " ", 
     RowBox[{"droot", " ", "IS", " ", "GENERIC", " ", "DEBT", " ", "ROOT"}]}],
     ",", " ", 
    RowBox[{
    "eroot", " ", "IS", " ", "GENERIC", " ", "EQUITY", " ", "ROOT"}]}], " ", 
   "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"H2", "[", 
     RowBox[{"y_", ",", "t_", ",", "droot_", ",", "eroot_", ",", "yb_"}], 
     "]"}], "=", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"eroot", "-", "droot"}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"droot", "-", "eroot"}], ")"}], "y"}], "]"}], 
        RowBox[{"Phi", "[", 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], "]"}]}], 
       "-", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"droot", "-", "eroot"}], ")"}], "yb"}], "]"}], 
        RowBox[{"Exp", "[", 
         RowBox[{
          FractionBox["1", "2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"eroot", "+", "a"}], ")"}], "^", "2"}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"droot", "+", "a"}], ")"}], "^", "2"}]}], ")"}], 
          RowBox[{"\[Sigma]", "^", "2"}], " ", "t"}], "]"}], 
        RowBox[{"Phi", "[", 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "t", ",", "eroot", ",", "yb"}], "]"}], "]"}]}]}], 
      ")"}]}]}], ";"}], " ", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"H3", "[", 
     RowBox[{"y_", ",", "t_", ",", "droot_", ",", "eroot_", ",", "yb_"}], 
     "]"}], "=", 
    RowBox[{"\[Sigma]", " ", 
     RowBox[{"Sqrt", "[", "t", "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"q", "[", 
         RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], 
        RowBox[{"Phi", "[", 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], "]"}]}], 
       "+", 
       RowBox[{"phi", "[", 
        RowBox[{"q", "[", 
         RowBox[{"y", ",", "t", ",", "droot", ",", "yb"}], "]"}], "]"}]}], 
      ")"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"H", "[", 
     RowBox[{"y_", ",", "t_", ",", "droot_", ",", "eroot_", ",", "yb_"}], 
     "]"}], "=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H2", "[", 
          RowBox[{"y", ",", "t", ",", "droot", ",", "eroot", ",", "yb"}], 
          "]"}], ",", 
         RowBox[{"droot", "\[NotEqual]", "eroot"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H3", "[", 
          RowBox[{"y", ",", "t", ",", "droot", ",", "eroot", ",", "yb"}], 
          "]"}], ",", 
         RowBox[{"droot", "==", "eroot"}]}], "}"}]}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "SPECIAL", " ", "FUNCTION", " ", "FOR", " ", "EVALUATION", " ", "AT", " ", 
    "BANKRUPTCY", " ", "BOUNDARY"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"hb2", "[", 
     RowBox[{"T_", ",", "root_"}], "]"}], "=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", 
           RowBox[{"eroot1", "-", "root"}]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Phi", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"root", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
              RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}], "-", 
            RowBox[{
             RowBox[{"Exp", "[", 
              RowBox[{
               FractionBox["1", "2"], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"eroot1", "+", "a"}], ")"}], "^", "2"}], "-", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"root", "+", "a"}], ")"}], "^", "2"}]}], ")"}], 
               RowBox[{"\[Sigma]", "^", "2"}], " ", "T"}], "]"}], 
             RowBox[{"Phi", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
               RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}]}]}], ")"}]}], ",", 
         RowBox[{"root", "\[NotEqual]", "eroot1"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Sigma]", " ", 
          RowBox[{"Sqrt", "[", "T", "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
             RowBox[{"Sqrt", "[", "T", "]"}], " ", 
             RowBox[{"Phi", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
               RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}]}], "+", 
            RowBox[{"phi", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"eroot1", "+", "a"}], ")"}]}], "\[Sigma]", " ", 
              RowBox[{"Sqrt", "[", "T", "]"}]}], "]"}]}], ")"}]}], ",", 
         RowBox[{"root", "==", "eroot1"}]}], "}"}]}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"hb", "[", 
     RowBox[{"T_", ",", "roots_"}], "]"}], ":=", 
    RowBox[{
     FractionBox[
      RowBox[{"-", "2"}], 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{"hb2", "[", 
        RowBox[{"T", ",", 
         RowBox[{"roots", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gF", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gFprime", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"eroot2", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{"eroot1", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gG", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "j_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gGprime", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "j_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"eroot2", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{"eroot1", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"groots", "[", "j", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"k0", "[", 
     RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{
     FractionBox["1", "r1"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
       RowBox[{
        FractionBox["1", "T"], 
        RowBox[{"(", 
         RowBox[{"1", "-", "transaction"}], ")"}], 
        RowBox[{"selector", ".", "matrixP", ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"vectorA", "[", "c", "]"}], "+", 
           RowBox[{
            RowBox[{"MatrixExp", "[", 
             RowBox[{
              RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
            RowBox[{"vectorB", "[", "c", "]"}]}]}], ")"}]}]}], "-", 
       RowBox[{
        FractionBox["1", "T"], "p"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"k1", "[", 
     RowBox[{"T_", ",", "yb_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"Exp", "[", "yb", "]"}], 
        RowBox[{"r1", "-", "mu"}]], "+", 
       RowBox[{"k0", "[", 
        RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
       RowBox[{
        FractionBox["1", "T"], 
        RowBox[{"(", 
         RowBox[{"1", "-", "transaction"}], ")"}], 
        RowBox[{"selector", ".", "matrixP", ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"MatrixExp", "[", 
               RowBox[{
                RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
              RowBox[{"vectorB", "[", "c", "]"}]}]}], " ", 
            RowBox[{"gF", "[", 
             RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"DiagonalMatrix", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"gG", "[", 
                RowBox[{"yb", ",", "T", ",", "yb", ",", "1"}], "]"}], ",", 
               RowBox[{"gG", "[", 
                RowBox[{"yb", ",", "T", ",", "yb", ",", "2"}], "]"}]}], "}"}],
              "]"}], ".", 
            RowBox[{"vectorC", "[", 
             RowBox[{"c", ",", "yb"}], "]"}]}]}], ")"}]}]}]}], ")"}]}]}], 
   RowBox[{"(*", 
    RowBox[{"//", "Simplify"}], "*)"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"e", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_", ",", "transaction_"}], 
     "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"k1", "[", 
       RowBox[{"T", ",", "yb", ",", "c", ",", "transaction"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"y", "-", "yb"}], ")"}], "eroot2"}], "]"}]}], "+", 
     FractionBox[
      RowBox[{"Exp", "[", "y", "]"}], 
      RowBox[{"r1", "-", "mu"}]], "+", 
     RowBox[{"k0", "[", 
      RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
     RowBox[{
      FractionBox["1", "T"], 
      RowBox[{"(", 
       RowBox[{"1", "-", "transaction"}], ")"}], 
      RowBox[{"selector", ".", "matrixP", ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{
            RowBox[{"MatrixExp", "[", 
             RowBox[{
              RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
            RowBox[{"vectorB", "[", "c", "]"}]}]}], " ", 
          RowBox[{"gF", "[", 
           RowBox[{"y", ",", "T", ",", "yb"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"DiagonalMatrix", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"gG", "[", 
              RowBox[{"y", ",", "T", ",", "yb", ",", "1"}], "]"}], ",", 
             RowBox[{"gG", "[", 
              RowBox[{"y", ",", "T", ",", "yb", ",", "2"}], "]"}]}], "}"}], 
           "]"}], ".", 
          RowBox[{"vectorC", "[", 
           RowBox[{"c", ",", "yb"}], "]"}]}]}], ")"}]}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"eRF", "[", 
     RowBox[{"y_", ",", "T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{"Exp", "[", "y", "]"}], 
      RowBox[{"r1", "-", "mu"}]], "+", 
     RowBox[{
      FractionBox["1", "r1"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "transaction"}], ")"}], 
            RowBox[{"selector", ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"Inverse", "[", "matrixA", "]"}], ".", 
                RowBox[{"vectorc", "[", "c", "]"}]}], "+", 
               RowBox[{
                RowBox[{"MatrixExp", "[", 
                 RowBox[{
                  RowBox[{"-", "matrixA"}], " ", "T"}], "]"}], ".", 
                RowBox[{"(", 
                 RowBox[{"vectorp", "-", 
                  RowBox[{
                   RowBox[{"Inverse", "[", "matrixA", "]"}], ".", 
                   RowBox[{"vectorc", "[", "c", "]"}]}]}], ")"}]}]}], 
              ")"}]}]}], "-", "p"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"YB", "[", 
     RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{"Log", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r1", "-", "mu"}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"eroot2", "-", "1", "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"selector", ".", "matrixP", ".", 
           RowBox[{"DiagonalMatrix", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"hb", "[", 
               RowBox[{"T", ",", 
                RowBox[{"groots", "[", "1", "]"}]}], "]"}], ",", 
              RowBox[{"hb", "[", 
               RowBox[{"T", ",", 
                RowBox[{"groots", "[", "2", "]"}]}], "]"}]}], "}"}], "]"}], 
           ".", "vectoralphahat"}]}]}], ")"}], "^", 
       RowBox[{"-", "1"}]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "eroot2"}], " ", 
         RowBox[{"k0", "[", 
          RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"selector", ".", "matrixP", ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"MatrixExp", "[", 
               RowBox[{
                RowBox[{"-", "matrixD"}], " ", "T"}], "]"}], ".", 
              RowBox[{"vectorB", "[", "c", "]"}]}], " ", 
             RowBox[{"hb", "[", 
              RowBox[{"T", ",", "froots"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{"DiagonalMatrix", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"hb", "[", 
                 RowBox[{"T", ",", 
                  RowBox[{"groots", "[", "1", "]"}]}], "]"}], ",", 
                RowBox[{"hb", "[", 
                 RowBox[{"T", ",", 
                  RowBox[{"groots", "[", "2", "]"}]}], "]"}]}], "}"}], "]"}], 
             ".", 
             RowBox[{"vectorA", "[", "c", "]"}]}]}], ")"}]}]}]}], ")"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"TOTAL", " ", "VALUE"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"functionJ", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "j_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"groots", "[", "j", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "+", "a"}], "]"}], "\[Sigma]", " ", 
       RowBox[{"Sqrt", "[", "T", "]"}]}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"Sign", "[", 
          RowBox[{
           RowBox[{"groots", "[", "j", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}]}], 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"groots", "[", "j", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"(", 
           RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
        RowBox[{"Phi", "[", 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"groots", "[", "j", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}], "]"}], 
        RowBox[{"q", "[", 
         RowBox[{"y", ",", "T", ",", 
          RowBox[{
           RowBox[{"groots", "[", "j", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"matrixJ", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
    RowBox[{"DiagonalMatrix", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"functionJ", "[", 
        RowBox[{"y", ",", "T", ",", "yb", ",", "1"}], "]"}], ",", 
       RowBox[{"functionJ", "[", 
        RowBox[{"y", ",", "T", ",", "yb", ",", "2"}], "]"}]}], "}"}], "]"}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"totald", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_"}], "]"}], "=", 
    RowBox[{"matrixP", ".", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"vectorA", "[", "c", "]"}], "+", 
       RowBox[{
        FractionBox["1", "T"], 
        RowBox[{
         RowBox[{"Inverse", "[", "matrixD", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"IdentityMatrix", "[", "2", "]"}], "-", 
           RowBox[{"matrixG", "[", 
            RowBox[{"y", ",", "T", ",", "yb"}], "]"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"function", "[", 
               RowBox[{"y", ",", "T", ",", "froots", ",", "yb"}], "]"}]}], 
             ")"}], 
            RowBox[{"MatrixExp", "[", 
             RowBox[{
              RowBox[{"-", "matrixD"}], " ", "T"}], "]"}]}]}], ")"}], ".", 
         RowBox[{"vectorB", "[", "c", "]"}]}]}], "+", 
       RowBox[{
        RowBox[{"matrixJ", "[", 
         RowBox[{"y", ",", "T", ",", "yb"}], "]"}], ".", 
        RowBox[{"vectorC", "[", 
         RowBox[{"c", ",", "yb"}], "]"}]}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"tv", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_", ",", "transaction_"}], 
     "]"}], "=", 
    RowBox[{
     RowBox[{"e", "[", 
      RowBox[{"y", ",", "T", ",", "yb", ",", "c", ",", "transaction"}], "]"}],
      "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "transaction"}], ")"}], 
      RowBox[{"selector", ".", 
       RowBox[{"totald", "[", 
        RowBox[{"y", ",", "T", ",", "yb", ",", "c"}], "]"}]}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"tvconsolidated", "[", 
     RowBox[{"y_", ",", "T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{"tv", "[", 
     RowBox[{"y", ",", "T", ",", 
      RowBox[{"YB", "[", 
       RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], ",", "c", ",", 
      "transaction"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"LT", " ", "functions"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dLT96", "[", 
     RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
    RowBox[{
     FractionBox["c", "r"], "+", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "r"}], " ", "t"}], "]"}], 
      RowBox[{"(", 
       RowBox[{"p", "-", 
        FractionBox["c", "r"]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"function", "[", 
         RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], ")"}]}], 
     "+", 
     RowBox[{
      RowBox[{"function", "[", 
       RowBox[{"y", ",", "t", ",", "eroots", ",", "yb"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"alphaLT", " ", 
         FractionBox[
          RowBox[{"Exp", "[", "yb", "]"}], 
          RowBox[{"r", "-", "mu"}]]}], "-", 
        FractionBox["c", "r"]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"k0LT96", "[", 
     RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{
     FractionBox["1", "r1"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
       RowBox[{
        FractionBox["1", "T"], 
        RowBox[{"(", 
         RowBox[{"1", "-", "transaction"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          FractionBox["c", "r"], "+", 
          RowBox[{
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", "r"}], " ", "T"}], "]"}], 
           RowBox[{"(", 
            RowBox[{"p", "-", 
             FractionBox["c", "r"]}], ")"}]}]}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", "T"], "p"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"YBLT96", "[", 
     RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{"Log", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r1", "-", "mu"}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"eroot2", "-", "1", "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"hb", "[", 
           RowBox[{"T", ",", "eroots"}], "]"}], "alphaLT"}]}], ")"}], "^", 
       RowBox[{"-", "1"}]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "eroot2"}], " ", 
         RowBox[{"k0LT96", "[", 
          RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "r"}], " ", "T"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", "r"]}], ")"}], " ", 
            RowBox[{"hb", "[", 
             RowBox[{"T", ",", "froots"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"hb", "[", 
             RowBox[{"T", ",", "eroots"}], "]"}], 
            FractionBox["c", "r"]}]}], ")"}]}]}], ")"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"HX", " ", "functions"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"grootsHX", "[", "k_", "]"}], "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "a"}], "+", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"a", "^", "2"}], "+", 
         RowBox[{
          FractionBox[
           RowBox[{"2", " "}], 
           RowBox[{"\[Sigma]", "^", "2"}]], " ", 
          RowBox[{"(", 
           RowBox[{"r1", "+", "k"}], ")"}]}]}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", "a"}], "-", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"a", "^", "2"}], "+", 
         RowBox[{
          FractionBox[
           RowBox[{"2", " "}], 
           RowBox[{"\[Sigma]", "^", "2"}]], " ", 
          RowBox[{"(", 
           RowBox[{"r1", "+", "k"}], ")"}]}]}], "]"}]}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "same", " ", "roots", " ", "as", " ", "in", " ", "full", " ", "model"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gFHX", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gFprimeHX", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_"}], "]"}], "=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"eroot2", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{"eroot1", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"froots", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"froots", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "different", " ", "roots", " ", "as", " ", "in", " ", "full", " ", "model",
     " ", "only", " ", "for", " ", "G"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gGHX", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gGprimeHX", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"\[Sigma]", "^", "2"}]], 
     FractionBox["1", 
      RowBox[{"eroot2", "-", "eroot1"}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"eroot2", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot2", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot2", ",", "yb"}], 
          "]"}]}], "-", 
        RowBox[{"eroot1", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"eroot1", " ", "y"}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"grootsHX", "[", "k", "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "yb"}], "]"}], 
         RowBox[{"H", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "eroot1", ",", "yb"}], 
          "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dHX", "[", 
     RowBox[{"y_", ",", "t_", ",", "yb_", ",", "k_", ",", "c_"}], "]"}], "=", 
    RowBox[{
     FractionBox["c", 
      RowBox[{"(", 
       RowBox[{"r1", "+", "k"}], ")"}]], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"p", "-", 
        FractionBox["c", 
         RowBox[{"(", 
          RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"r1", "+", "k"}], ")"}]}], " ", "t"}], "]"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"function", "[", 
         RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], ")"}]}], 
     "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"alphaHX", " ", 
         FractionBox[
          RowBox[{"Exp", "[", "yb", "]"}], 
          RowBox[{"r1", "-", "mu"}]]}], "-", 
        FractionBox["c", 
         RowBox[{"(", 
          RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], 
      RowBox[{"function", "[", 
       RowBox[{"y", ",", "t", ",", 
        RowBox[{"grootsHX", "[", "k", "]"}], ",", "yb"}], "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"k0HX", "[", 
    RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "r1"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
      RowBox[{
       FractionBox["1", "T"], 
       RowBox[{"(", 
        RowBox[{"1", "-", "transaction"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         FractionBox["c", 
          RowBox[{"(", 
           RowBox[{"r1", "+", "k"}], ")"}]], "+", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"p", "-", 
            FractionBox["c", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "T"], "p"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"k1HX", "[", 
    RowBox[{"T_", ",", "yb_", ",", "k_", ",", "c_", ",", "transaction_"}], 
    "]"}], "=", 
   RowBox[{"-", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"Exp", "[", "yb", "]"}], 
       RowBox[{"r1", "-", "mu"}]], "+", 
      RowBox[{"k0HX", "[", 
       RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
      RowBox[{
       FractionBox["1", "T"], 
       RowBox[{"(", 
        RowBox[{"1", "-", "transaction"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}]}], 
          RowBox[{"(", 
           RowBox[{"p", "-", 
            FractionBox["c", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], " ", 
          RowBox[{"gFHX", "[", 
           RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"gGHX", "[", 
           RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"alphaHX", " ", 
             FractionBox[
              RowBox[{"Exp", "[", "yb", "]"}], 
              RowBox[{"r1", "-", "mu"}]]}], "-", 
            FractionBox["c", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}]}]}], ")"}]}]}], 
     ")"}]}]}], 
  RowBox[{"(*", 
   RowBox[{"//", "Simplify"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eHX", "[", 
    RowBox[{
    "y_", ",", "T_", ",", "yb_", ",", "k_", ",", "c_", ",", "transaction_"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{"k0HX", "[", 
     RowBox[{"T", ",", "c", ",", "transaction"}], "]"}], "+", 
    RowBox[{
     RowBox[{"k1HX", "[", 
      RowBox[{"T", ",", "yb", ",", "k", ",", "c", ",", "transaction"}], "]"}],
      "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y", "-", "yb"}], ")"}], "eroot2"}], "]"}]}], "+", 
    FractionBox[
     RowBox[{"Exp", "[", "y", "]"}], 
     RowBox[{"r1", "-", "mu"}]], "+", 
    RowBox[{
     FractionBox["1", "T"], 
     RowBox[{"(", 
      RowBox[{"1", "-", "transaction"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}]}], 
        RowBox[{"(", 
         RowBox[{"p", "-", 
          FractionBox["c", 
           RowBox[{"(", 
            RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], " ", 
        RowBox[{"gFHX", "[", 
         RowBox[{"y", ",", "T", ",", "yb"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"gGHX", "[", 
         RowBox[{"y", ",", "T", ",", "yb", ",", "k"}], "]"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"alphaHX", " ", 
           FractionBox[
            RowBox[{"Exp", "[", "yb", "]"}], 
            RowBox[{"r1", "-", "mu"}]]}], "-", 
          FractionBox["c", 
           RowBox[{"(", 
            RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}]}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"eRFHX", "[", 
     RowBox[{"y_", ",", "T_", ",", "k_", ",", "c_", ",", "transaction_"}], 
     "]"}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{"Exp", "[", "y", "]"}], 
      RowBox[{"r1", "-", "mu"}]], "+", 
     RowBox[{
      FractionBox["1", "r1"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           FractionBox["c", 
            RowBox[{"r1", "+", "k"}]], "+", 
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"r1", "+", "k"}], ")"}]}], "T"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", 
               RowBox[{"r1", "+", "k"}]]}], ")"}]}]}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "T"], "p"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"YBHX", "[", 
     RowBox[{"T_", ",", "k_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{"Log", "[", 
     RowBox[{"(*", 
      RowBox[{"Piecewise", "[", 
       RowBox[{"{", "{"}]}], "*)"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r1", "-", "mu"}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"eroot2", "-", "1", "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"eroot2", " ", 
             RowBox[{"gGHX", "[", 
              RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], "-", 
            RowBox[{"gGprimeHX", "[", 
             RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], ")"}], 
          "alphaHX"}]}], ")"}], "^", 
       RowBox[{"-", "1"}]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "eroot2"}], " ", 
         RowBox[{"k0HX", "[", 
          RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", 
               RowBox[{"(", 
                RowBox[{"r1", "+", "k"}], ")"}]]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"eroot2", " ", 
               RowBox[{"gFHX", "[", 
                RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], "-", 
              RowBox[{"gFprimeHX", "[", 
               RowBox[{"yb", ",", "T", ",", "yb"}], "]"}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"eroot2", " ", 
               RowBox[{"gGHX", "[", 
                RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], "-", 
              RowBox[{"gGprimeHX", "[", 
               RowBox[{"yb", ",", "T", ",", "yb", ",", "k"}], "]"}]}], ")"}], 
            FractionBox["c", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]]}]}], ")"}]}]}], ")"}]}], 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{",", 
           RowBox[{"T", ">", "0"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"r1", "-", "mu"}], ")"}], 
            RowBox[{
             RowBox[{"(", "p", ")"}], "/", 
             RowBox[{"(", "alpha1", ")"}]}]}], ",", 
           RowBox[{"T", "\[Equal]", "0"}]}], "}"}]}], "}"}], "]"}], "*)"}], 
     "]"}]}], 
   RowBox[{"(*", 
    RowBox[{"//", "Simplify"}], "*)"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"BApropHX", "[", "k_", "]"}], "=", 
    FractionBox["k", 
     RowBox[{"1", "-", 
      FractionBox["k", "2"]}]]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"TOTAL", " ", "VALUE"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"functionJHX", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"grootsHX", "[", "k", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "+", "a"}], "]"}], "\[Sigma]", " ", 
       RowBox[{"Sqrt", "[", "T", "]"}]}]], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"Sign", "[", 
          RowBox[{
           RowBox[{"grootsHX", "[", "k", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}]}], 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"grootsHX", "[", "k", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"(", 
           RowBox[{"y", "-", "yb"}], ")"}]}], "]"}], 
        RowBox[{"Phi", "[", 
         RowBox[{"q", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{
            RowBox[{"grootsHX", "[", "k", "]"}], "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}], "]"}], 
        RowBox[{"q", "[", 
         RowBox[{"y", ",", "T", ",", 
          RowBox[{
           RowBox[{"grootsHX", "[", "k", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", "yb"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"totaldHX", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "k_", ",", "c_"}], "]"}], "=", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["c", 
       RowBox[{"r1", "+", "k"}]], "+", 
      RowBox[{
       FractionBox["1", "T"], 
       FractionBox["1", 
        RowBox[{"r1", "+", "k"}]], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"function", "[", 
          RowBox[{"y", ",", "T", ",", 
           RowBox[{"grootsHX", "[", "k", "]"}], ",", "yb"}], "]"}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"function", "[", 
             RowBox[{"y", ",", "T", ",", "froots", ",", "yb"}], "]"}]}], 
           ")"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"r1", "+", "k"}], ")"}]}], " ", "T"}], "]"}]}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"p", "-", 
         FractionBox["c", 
          RowBox[{"r1", "+", "k"}]]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"functionJHX", "[", 
        RowBox[{"y", ",", "T", ",", "yb", ",", "k"}], "]"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"alphaHX", " ", 
          FractionBox[
           RowBox[{"Exp", "[", "yb", "]"}], 
           RowBox[{"r1", "-", "mu"}]]}], "-", 
         FractionBox["c", 
          RowBox[{"r1", "+", "k"}]]}], ")"}]}]}], ")"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"tvHX", "[", 
     RowBox[{
     "y_", ",", "T_", ",", "yb_", ",", "k_", ",", "c_", ",", "transaction_"}],
      "]"}], "=", 
    RowBox[{
     RowBox[{"eHX", "[", 
      RowBox[{
      "y", ",", "T", ",", "yb", ",", "k", ",", "c", ",", "transaction"}], 
      "]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "transaction"}], ")"}], 
      RowBox[{"totaldHX", "[", 
       RowBox[{"y", ",", "T", ",", "yb", ",", "k", ",", "c"}], "]"}]}]}]}], 
   ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"CDS", " ", "functions"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dCDS", "[", 
     RowBox[{"y_", ",", "t_", ",", "yb_", ",", "c_"}], "]"}], "=", 
    RowBox[{
     FractionBox["c", "r"], "+", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "r"}], " ", "t"}], "]"}], 
      RowBox[{"(", 
       RowBox[{"p", "-", 
        FractionBox["c", "r"]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"function", "[", 
         RowBox[{"y", ",", "t", ",", "froots", ",", "yb"}], "]"}]}], ")"}]}], 
     "+", 
     RowBox[{
      RowBox[{"function", "[", 
       RowBox[{"y", ",", "t", ",", "eroots", ",", "yb"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"alphaCDS", " ", 
         FractionBox[
          RowBox[{"Exp", "[", "yb", "]"}], 
          RowBox[{"r", "-", "mu"}]]}], "-", 
        FractionBox["c", "r"]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"k0CDS", "[", 
     RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{
     FractionBox["1", "r1"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", "-", "pi"}], ")"}]}], "c"}], "+", 
       RowBox[{
        FractionBox["1", "T"], 
        RowBox[{"(", 
         RowBox[{"1", "-", "transaction"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          FractionBox["c", "r"], "+", 
          RowBox[{
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", "r"}], " ", "T"}], "]"}], 
           RowBox[{"(", 
            RowBox[{"p", "-", 
             FractionBox["c", "r"]}], ")"}]}]}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", "T"], "p"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"YBCDS", "[", 
     RowBox[{"T_", ",", "c_", ",", "transaction_"}], "]"}], "=", 
    RowBox[{"Log", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r1", "-", "mu"}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"eroot2", "-", "1", "+", 
         RowBox[{
          FractionBox["1", "T"], 
          RowBox[{"(", 
           RowBox[{"1", "-", "transaction"}], ")"}], 
          RowBox[{"hb", "[", 
           RowBox[{"T", ",", "eroots"}], "]"}], "alphaCDS"}]}], ")"}], "^", 
       RowBox[{"-", "1"}]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "eroot2"}], " ", 
         RowBox[{"k0CDS", "[", 
          RowBox[{"T", ",", "c", ",", "transaction"}], "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "T"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "transaction"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "r"}], " ", "T"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"p", "-", 
              FractionBox["c", "r"]}], ")"}], " ", 
            RowBox[{"hb", "[", 
             RowBox[{"T", ",", "froots"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"hb", "[", 
             RowBox[{"T", ",", "eroots"}], "]"}], 
            FractionBox["c", "r"]}]}], ")"}]}]}], ")"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"--", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", 
               RowBox[{"--", 
                RowBox[{"--", 
                 RowBox[{"--", 
                  RowBox[{"--", 
                   RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{
                    "--", "-"}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"BAprop", "[", 
     RowBox[{"y_", ",", "T_", ",", "yb_", ",", "c_"}], "]"}], "=", 
    FractionBox[
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"1", "-", "beta"}], ")"}], 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ".", 
       RowBox[{"d", "[", 
        RowBox[{"y", ",", "T", ",", "yb", ",", "c"}], "]"}]}]}], 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "+", "beta"}], ",", 
        RowBox[{"1", "-", "beta"}]}], "}"}], ".", 
      RowBox[{"d", "[", 
       RowBox[{"y", ",", "T", ",", "yb", ",", "c"}], "]"}]}]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"parameters", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<\[Alpha]H\>\"", ",", "\"\<\[Alpha]L\>\"", ",", "\"\<\[Mu]\>\"", 
        ",", "\"\<\[Sigma]\>\"", ",", "\"\<\[Pi]\>\"", ",", "\"\<rH\>\"", 
        ",", "\"\<rL\>\"", ",", "\"\<\[Chi]0+\[Chi]1*c(bps)\>\"", ",", 
        "\"\<\[Kappa](bps)\>\"", ",", "\"\<\[Lambda]\>\"", ",", 
        "\"\<\[Beta]\>\"", ",", "\"\<\[Xi]\>\"", ",", "\"\<p\>\"", ",", 
        "\"\<t0\>\"", ",", "\"\<T0\>\"", ",", "\"\<Targeted CS\>\"", ",", 
        "\"\<Shock\[Chi]\>\"", ",", "\"\<Shock\[Xi]\>\"", ",", 
        "\"\<Midpoint\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "alpha1", ",", "alpha2", ",", "mu", ",", "\[Sigma]", ",", "pi", ",", 
        "r1", ",", "r2", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"holdingcost", "[", "c", "]"}], "*", "10000"}], "//", 
         "Simplify"}], ",", 
        RowBox[{"trans", "*", "10000"}], ",", "lambda", ",", "beta", ",", 
        "xi1", ",", "p", ",", "t0", ",", "T0", ",", "targetspread", ",", 
        "shockchi", ",", "shockxi", ",", "midpoint"}], "}"}]}], "}"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", \
"\"\<Parameters\>\"", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"parameters", "//", "MatrixForm"}], "//", "N"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"resultspar", "=", 
    RowBox[{"resultsnonpar", "=", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
       "\"\<[1] \[Delta]\>\"", ",", "\"\<[2] c-r\>\"", ",", 
        "\"\<[3] BAprop(\[Delta],T) bps\>\"", ",", "\"\<[4] QL\>\"", ",", 
        "\"\<[5] ML\>\"", ",", "\"\<[6] CS\>\"", ",", 
        "\"\<[7] CS LT96opt\>\"", ",", "\"\<[8] CS LT96part\>\"", ",", 
        "\"\<[9] CS DGP\>\"", ",", "\"\<[10] Pure Default\>\"", ",", 
        "\"\<[11] Liq Default\>\"", ",", "\"\<[12] Pure Liq\>\"", ",", 
        "\"\<[13] Default Liq\>\"", ",", "\"\<[14] Abs[cs(t)-cs(r)]\>\"", 
        ",", "\"\<[15] Pure Default%\>\"", ",", "\"\<[16] Liq Default%\>\"", 
        ",", "\"\<[17] Pure Liq%\>\"", ",", "\"\<[18] Default Liq%\>\"", ",", 
        "\"\<[19] \[Delta]b\>\"", ",", 
        "\"\<[20] Vb(\[Alpha]H-\[Alpha]L)-\[Chi]/rhat1\>\""}], "}"}], 
      "}"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Do", "[", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", "par", " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"cs", "=", 
       RowBox[{
        RowBox[{"dataEHP", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", "+", "i"}], ",", "2"}], "]"}], "]"}], "/", 
        "10000"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cc", "=", 
       RowBox[{"r1", "+", "cs"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"valdd", ",", "soldd"}], "}"}], "=", 
       RowBox[{"NMinimize", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "0"}], "}"}], ".", 
               RowBox[{"d", "[", 
                RowBox[{"yy", ",", "t0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}],
                 "]"}]}], "-", "p"}], ")"}], "^", "2"}], ",", 
           RowBox[{
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "<", "yy"}]}], 
          "}"}], ",", 
         RowBox[{"{", "yy", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"y0", "=", 
       RowBox[{"yy", "/.", "soldd"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"solycredit", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"d", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyLT96optimal", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dLT96", "[", 
           RowBox[{"y0", ",", "t0", ",", 
            RowBox[{"YBLT96", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyCDSpartial", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dCDS", "[", 
           RowBox[{"y0", ",", "t0", ",", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyDGP", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"dDGP", "[", 
            RowBox[{"t0", ",", "cc"}], "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yHM", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycredit"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yLToptimal", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyLT96optimal"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"yCDSpartial", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyCDSpartial"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yDGP", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyDGP"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"resultspar", "=", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"resultspar", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Exp", "[", "y0", "]"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
           RowBox[{
            RowBox[{"BAprop", "[", 
             RowBox[{"y0", ",", "t0", ",", 
              RowBox[{"YB", "[", 
               RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
             "]"}], "*", "10000"}], ",", 
           FractionBox["p", 
            RowBox[{
             RowBox[{"e", "[", 
              RowBox[{"y0", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
               ",", "trans"}], "]"}], "+", "p"}]], ",", 
           RowBox[{
            RowBox[{"selector", ".", 
             RowBox[{"totald", "[", 
              RowBox[{"y0", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
              "]"}]}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"e", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                ",", "trans"}], "]"}], "+", 
              RowBox[{"selector", ".", 
               RowBox[{"totald", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}],
                 "]"}]}]}], ")"}]}], ",", "yHM", ",", "yLToptimal", ",", 
           "yCDSpartial", ",", "yDGP", ",", "yLToptimal", ",", 
           RowBox[{"yCDSpartial", "-", "yLToptimal"}], ",", "yDGP", ",", 
           RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], ",", 
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"10000", 
              RowBox[{"(", 
               RowBox[{"cc", "-", "y"}], ")"}]}], "/.", "solycredit"}], "]"}],
            ",", 
           FractionBox["yLToptimal", "yHM"], ",", 
           FractionBox[
            RowBox[{"yCDSpartial", "-", "yLToptimal"}], "yHM"], ",", 
           FractionBox["yDGP", "yHM"], ",", 
           FractionBox[
            RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], "yHM"], ",", 
           RowBox[{"Exp", "[", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"Exp", "[", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], 
              RowBox[{"r", "-", "mu"}]], 
             RowBox[{"(", 
              RowBox[{"alpha1", "-", "alpha2"}], ")"}]}], "-", 
            FractionBox[
             RowBox[{"holdingcost", "[", "cc", "]"}], 
             RowBox[{"r", "+", "xi1", "+", "xi2"}]]}]}], "}"}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"par", " ", "shock"}], " ", "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"y0shock", "=", 
       RowBox[{
        RowBox[{"Log", "[", 
         RowBox[{
          RowBox[{"Exp", "[", "y0", "]"}], "+", 
          RowBox[{
           RowBox[{"Boole", "[", 
            RowBox[{"propshock", "\[Equal]", "0"}], "]"}], "shocky"}]}], 
         "]"}], "+", 
        RowBox[{
         RowBox[{"Boole", "[", 
          RowBox[{"propshock", "\[Equal]", "1"}], "]"}], 
         RowBox[{"Log", "[", "shocky", "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solycreditshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"d", "[", 
            RowBox[{"y0shock", ",", "t0", ",", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyLT96optimalshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dLT96", "[", 
           RowBox[{"y0shock", ",", "t0", ",", 
            RowBox[{"YBLT96", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyLT96partialshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dLT96", "[", 
           RowBox[{"y0shock", ",", "t0", ",", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyCDSpartialshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dCDS", "[", 
           RowBox[{"y0shock", ",", "t0", ",", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyDGPshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"dDGP", "[", 
            RowBox[{"t0", ",", "cc"}], "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yHM", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycreditshock"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"yLToptimal", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyLT96optimalshock"}]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"yCDSpartial", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyCDSpartialshock"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"yDGP", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyDGPshock"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"resultspar", "=", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"resultspar", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Exp", "[", "y0shock", "]"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
           RowBox[{
            RowBox[{"BAprop", "[", 
             RowBox[{"y0shock", ",", "t0", ",", 
              RowBox[{"YB", "[", 
               RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
             "]"}], "*", "10000"}], ",", 
           FractionBox["p", 
            RowBox[{
             RowBox[{"e", "[", 
              RowBox[{"y0shock", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
               ",", "trans"}], "]"}], "+", "p"}]], ",", 
           RowBox[{
            RowBox[{"selector", ".", 
             RowBox[{"totald", "[", 
              RowBox[{"y0shock", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
              "]"}]}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"e", "[", 
               RowBox[{"y0shock", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                ",", "trans"}], "]"}], "+", 
              RowBox[{"selector", ".", 
               RowBox[{"totald", "[", 
                RowBox[{"y0shock", ",", "T0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}],
                 "]"}]}]}], ")"}]}], ",", "yHM", ",", "yLToptimal", ",", 
           "yCDSpartial", ",", "yDGP", ",", "yLToptimal", ",", 
           RowBox[{"yCDSpartial", "-", "yLToptimal"}], ",", "yDGP", ",", 
           RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], ",", 
           "\"\<NA\>\"", ",", 
           FractionBox["yLToptimal", "yHM"], ",", 
           FractionBox[
            RowBox[{"yCDSpartial", "-", "yLToptimal"}], "yHM"], ",", 
           FractionBox["yDGP", "yHM"], ",", 
           FractionBox[
            RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], "yHM"], ",", 
           RowBox[{"Exp", "[", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"Exp", "[", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], 
              RowBox[{"r", "-", "mu"}]], 
             RowBox[{"(", 
              RowBox[{"alpha1", "-", "alpha2"}], ")"}]}], "-", 
            FractionBox[
             RowBox[{"holdingcost", "[", "cc", "]"}], 
             RowBox[{"r", "+", "xi1", "+", "xi2"}]]}]}], "}"}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", "nonpar", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"cs", "=", 
       RowBox[{"dataEHP", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"1", "+", "i"}], ",", "2"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cc", "=", 
       RowBox[{"r1", "+", 
        RowBox[{"targetspread", "/", "10000"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"valdd", ",", "soldd"}], "}"}], "=", " ", 
       RowBox[{"NMinimize", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "0"}], "}"}], ".", 
               RowBox[{"d", "[", 
                RowBox[{"yy", ",", "t0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}],
                 "]"}]}], "-", 
              RowBox[{"F", "[", 
               RowBox[{
                RowBox[{"r1", "+", 
                 RowBox[{"cs", "/", "10000"}]}], ",", "cc", ",", "T0"}], 
               "]"}]}], ")"}], "^", "2"}], ",", 
           RowBox[{
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "<", "yy"}]}], 
          "}"}], ",", 
         RowBox[{"{", "yy", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"y0", "=", 
       RowBox[{"yy", "/.", "soldd"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"solycredit", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"d", "[", 
            RowBox[{"y0", ",", "t0", ",", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyLT96optimal", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dLT96", "[", 
           RowBox[{"y0", ",", "t0", ",", 
            RowBox[{"YBLT96", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyCDSpartial", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dCDS", "[", 
           RowBox[{"y0", ",", "t0", ",", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyDGP", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"dDGP", "[", 
            RowBox[{"t0", ",", "cc"}], "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yHM", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycredit"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yLToptimal", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyLT96optimal"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"yCDSpartial", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyCDSpartial"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yDGP", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyDGP"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"resultsnonpar", "=", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"resultsnonpar", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Exp", "[", "y0", "]"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
           RowBox[{
            RowBox[{"BAprop", "[", 
             RowBox[{"y0", ",", "t0", ",", 
              RowBox[{"YB", "[", 
               RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
             "]"}], "*", "10000"}], ",", 
           FractionBox["p", 
            RowBox[{
             RowBox[{"e", "[", 
              RowBox[{"y0", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
               ",", "trans"}], "]"}], "+", "p"}]], ",", 
           RowBox[{
            RowBox[{"selector", ".", 
             RowBox[{"totald", "[", 
              RowBox[{"y0", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
              "]"}]}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"e", "[", 
               RowBox[{"y0", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                ",", "trans"}], "]"}], "+", 
              RowBox[{"selector", ".", 
               RowBox[{"totald", "[", 
                RowBox[{"y0", ",", "T0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}],
                 "]"}]}]}], ")"}]}], ",", "yHM", ",", "yLToptimal", ",", 
           "yCDSpartial", ",", "yDGP", ",", "yLToptimal", ",", 
           RowBox[{"yCDSpartial", "-", "yLToptimal"}], ",", "yDGP", ",", 
           RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], ",", 
           "\"\<NA\>\"", 
           RowBox[{"(*", 
            RowBox[{"Abs", "[", 
             RowBox[{
              RowBox[{"10000", 
               RowBox[{"(", 
                RowBox[{"cc", "-", "y"}], ")"}]}], "/.", "solycredit"}], 
             "]"}], "*)"}], ",", 
           FractionBox["yLToptimal", "yHM"], ",", 
           FractionBox[
            RowBox[{"yCDSpartial", "-", "yLToptimal"}], "yHM"], ",", 
           FractionBox["yDGP", "yHM"], ",", 
           FractionBox[
            RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], "yHM"], ",", 
           RowBox[{"Exp", "[", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"Exp", "[", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], 
              RowBox[{"r", "-", "mu"}]], 
             RowBox[{"(", 
              RowBox[{"alpha1", "-", "alpha2"}], ")"}]}], "-", 
            FractionBox[
             RowBox[{"holdingcost", "[", "cc", "]"}], 
             RowBox[{"r", "+", "xi1", "+", "xi2"}]]}]}], "}"}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"nonpar", " ", "shock"}], " ", "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"y0shock", "=", 
       RowBox[{
        RowBox[{"Log", "[", 
         RowBox[{
          RowBox[{"Exp", "[", "y0", "]"}], "+", 
          RowBox[{
           RowBox[{"Boole", "[", 
            RowBox[{"propshock", "\[Equal]", "0"}], "]"}], "shocky"}]}], 
         "]"}], "+", 
        RowBox[{
         RowBox[{"Boole", "[", 
          RowBox[{"propshock", "\[Equal]", "1"}], "]"}], 
         RowBox[{"Log", "[", "shocky", "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solycreditshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"d", "[", 
            RowBox[{"y0shock", ",", "t0", ",", 
             RowBox[{"YB", "[", 
              RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
            "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyLT96optimalshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dLT96", "[", 
           RowBox[{"y0shock", ",", "t0", ",", 
            RowBox[{"YBLT96", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyLT96partialshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dLT96", "[", 
           RowBox[{"y0shock", ",", "t0", ",", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyCDSpartialshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"dCDS", "[", 
           RowBox[{"y0shock", ",", "t0", ",", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
           "]"}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solyDGPshock", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"priceselector", ".", 
           RowBox[{"dDGP", "[", 
            RowBox[{"t0", ",", "cc"}], "]"}]}], "==", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"cc", " ", "p"}], "y"], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", "y"}], " ", "t0"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"p", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "y"}], " ", "t0"}], "]"}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"Log", "[", 
            RowBox[{"1", "/", "100"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"yHM", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solycreditshock"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"yLToptimal", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyLT96optimalshock"}]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"yCDSpartial", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyCDSpartialshock"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"yDGP", "=", 
       RowBox[{
        RowBox[{"10000", 
         RowBox[{"(", 
          RowBox[{"y", "-", "r1"}], ")"}]}], "/.", "solyDGPshock"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"resultsnonpar", "=", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"resultsnonpar", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Exp", "[", "y0shock", "]"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"cc", "-", "r1"}], ")"}], "*", "10000"}], ",", 
           RowBox[{
            RowBox[{"BAprop", "[", 
             RowBox[{"y0shock", ",", "t0", ",", 
              RowBox[{"YB", "[", 
               RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
             "]"}], "*", "10000"}], ",", 
           FractionBox["p", 
            RowBox[{
             RowBox[{"e", "[", 
              RowBox[{"y0shock", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
               ",", "trans"}], "]"}], "+", "p"}]], ",", 
           RowBox[{
            RowBox[{"selector", ".", 
             RowBox[{"totald", "[", 
              RowBox[{"y0shock", ",", "T0", ",", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}], 
              "]"}]}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"e", "[", 
               RowBox[{"y0shock", ",", "T0", ",", 
                RowBox[{"YB", "[", 
                 RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc", 
                ",", "trans"}], "]"}], "+", 
              RowBox[{"selector", ".", 
               RowBox[{"totald", "[", 
                RowBox[{"y0shock", ",", "T0", ",", 
                 RowBox[{"YB", "[", 
                  RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], ",", "cc"}],
                 "]"}]}]}], ")"}]}], ",", "yHM", ",", "yLToptimal", ",", 
           "yCDSpartial", ",", "yDGP", ",", "yLToptimal", ",", 
           RowBox[{"yCDSpartial", "-", "yLToptimal"}], ",", "yDGP", ",", 
           RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], ",", 
           "\"\<NA\>\"", 
           RowBox[{"(*", 
            RowBox[{"Abs", "[", 
             RowBox[{
              RowBox[{"10000", 
               RowBox[{"(", 
                RowBox[{"cc", "-", "y"}], ")"}]}], "/.", "solycredit"}], 
             "]"}], "*)"}], ",", 
           FractionBox["yLToptimal", "yHM"], ",", 
           FractionBox[
            RowBox[{"yCDSpartial", "-", "yLToptimal"}], "yHM"], ",", 
           FractionBox["yDGP", "yHM"], ",", 
           FractionBox[
            RowBox[{"yHM", "-", "yDGP", "-", "yCDSpartial"}], "yHM"], ",", 
           RowBox[{"Exp", "[", 
            RowBox[{"YB", "[", 
             RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"Exp", "[", 
               RowBox[{"YB", "[", 
                RowBox[{"T0", ",", "cc", ",", "trans"}], "]"}], "]"}], 
              RowBox[{"r", "-", "mu"}]], 
             RowBox[{"(", 
              RowBox[{"alpha1", "-", "alpha2"}], ")"}]}], "-", 
            FractionBox[
             RowBox[{"holdingcost", "[", "cc", "]"}], 
             RowBox[{"r", "+", "xi1", "+", "xi2"}]]}]}], "}"}]}], "]"}]}], 
      ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{
        RowBox[{"Length", "[", "dataEHP", "]"}], "-", "1"}]}], "}"}]}], "]"}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", "\"\<Par \
Bonds\>\"", "\[IndentingNewLine]", 
 RowBox[{"resultspar", "//", 
  "MatrixForm"}], "\[IndentingNewLine]", "\"\<Non-par Bonds\>\"", "\
\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resultsnonpar", "//", "MatrixForm"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"-", " ", 
        RowBox[{
         RowBox[{"EXPLANATION", " ", "--"}], "--"}]}]}]}], "-", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
     "The", " ", "programm", " ", "produces", " ", "two", " ", "matrices", 
      " ", 
      RowBox[{"below", ".", " ", "The"}], " ", "first", " ", "row", " ", "of",
       " ", "each", " ", "pair", " ", "of", " ", "c"}], "-", 
     RowBox[{
     "r", " ", "is", " ", "the", " ", "bond", " ", "in", " ", "normal", " ", 
      "times"}]}], ",", " ", 
    RowBox[{
    "the", " ", "second", " ", "row", " ", "of", " ", "each", " ", "pair", 
     " ", "is", " ", "the", " ", "bond", " ", "in", " ", "crisis"}], ",", " ", 
    RowBox[{
    "that", " ", "is", " ", "delta", " ", "has", " ", "been", " ", "reduced", 
     " ", "by", " ", "50", 
     RowBox[{"%", ".", "\[IndentingNewLine]", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", 
               RowBox[{"--", "-"}]}]}]}]}]}]}]}]}]}]}]}]}], 
   "\[IndentingNewLine]", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5683967446604185`*^9, 3.568396744832023*^9}, {
   3.5683967890999646`*^9, 3.5683967908004084`*^9}, {3.5683968562596865`*^9, 
   3.5683968919094253`*^9}, {3.568396940691876*^9, 3.568396941050685*^9}, {
   3.568397014264388*^9, 3.568397100037037*^9}, 3.568397189569454*^9, {
   3.568397829098875*^9, 3.568397829442086*^9}, {3.568397904385347*^9, 
   3.568397907834732*^9}, {3.56839798028729*^9, 3.5683979807320747`*^9}, {
   3.568398128131895*^9, 3.568398128243101*^9}, {3.5683983000294933`*^9, 
   3.568398306872408*^9}, 3.5683984837459583`*^9, {3.5683985341923237`*^9, 
   3.568398537186482*^9}, {3.568398573528194*^9, 3.568398573892604*^9}, {
   3.568398658152647*^9, 3.5683987355263853`*^9}, {3.56839898796775*^9, 
   3.568399064016946*^9}, {3.568399106737034*^9, 3.5683991077359533`*^9}, {
   3.568399141593745*^9, 3.568399155589712*^9}, {3.5683991858345003`*^9, 
   3.5683992400076227`*^9}, {3.5683992745336246`*^9, 3.5683993293941*^9}, {
   3.56839936444034*^9, 3.568399369093938*^9}, {3.568399482556695*^9, 
   3.5683994834310017`*^9}, {3.5683995222393837`*^9, 3.568399522596444*^9}, {
   3.568399671400953*^9, 3.5683997947221146`*^9}, {3.568399843364162*^9, 
   3.5683999887094975`*^9}, {3.568400071672425*^9, 3.5684001808440237`*^9}, {
   3.5684002263768005`*^9, 3.56840033651044*^9}, {3.568400372360159*^9, 
   3.568400405183401*^9}, 3.568400666932719*^9, {3.568400817621684*^9, 
   3.5684008361676693`*^9}, {3.56840104983597*^9, 3.56840108000675*^9}, {
   3.568401145348027*^9, 3.568401214941412*^9}, {3.568401261789413*^9, 
   3.568401308309806*^9}, {3.5684013639096317`*^9, 3.5684013654852715`*^9}, {
   3.5684014142989235`*^9, 3.5684014545167546`*^9}, {3.5684014997111135`*^9, 
   3.568401632174919*^9}, {3.5684016634693213`*^9, 3.5684017079772625`*^9}, {
   3.5684017482886963`*^9, 3.5684017498643365`*^9}, {3.568401781517548*^9, 
   3.568401861625602*^9}, {3.5684020136743183`*^9, 3.568402057371848*^9}, {
   3.568402318824967*^9, 3.568402387045516*^9}, {3.568402540544261*^9, 
   3.56840257990407*^9}, {3.568402624006401*^9, 3.568402684879162*^9}, {
   3.5684027227569327`*^9, 3.5684027572026157`*^9}, {3.568402815086509*^9, 
   3.5684028164593444`*^9}, {3.5684028843990865`*^9, 
   3.5684029282482195`*^9}, {3.568403111998344*^9, 3.5684031203447723`*^9}, 
   3.5684031864921637`*^9, {3.568403224807729*^9, 3.5684032332633624`*^9}, {
   3.568403277788046*^9, 3.568403289270234*^9}, {3.568403363615282*^9, 
   3.568403391712291*^9}, {3.5684034336155024`*^9, 3.568403436704421*^9}, {
   3.568403469044465*^9, 3.568403499543638*^9}, {3.568403540994432*^9, 
   3.568403588545061*^9}, {3.568403643349969*^9, 3.56840364364638*^9}, {
   3.5684036737087364`*^9, 3.5684036743015594`*^9}, {3.568403809221195*^9, 
   3.5684040565215225`*^9}, 3.568404216307228*^9, {3.568404709167074*^9, 
   3.568404779337673*^9}, {3.56840481002366*^9, 3.568404910881055*^9}, {
   3.5684075493353777`*^9, 3.568407563625527*^9}, {3.568407595918769*^9, 
   3.568407636605134*^9}, {3.5684076718624897`*^9, 3.5684076745301924`*^9}, {
   3.5684077057781944`*^9, 3.568407725606557*^9}, {3.568407763001195*^9, 
   3.5684077633756094`*^9}, {3.5684083699036684`*^9, 
   3.5684083716665134`*^9}, {3.5684138504918413`*^9, 
   3.5684138569824333`*^9}, {3.56841427352743*^9, 3.568414405461372*^9}, 
   3.5684144370976458`*^9, {3.5684144836442013`*^9, 3.5684144972783957`*^9}, {
   3.568414538022943*^9, 3.568414606361156*^9}, {3.568414687931381*^9, 
   3.568414688080764*^9}, {3.568414730147573*^9, 3.5684147464740458`*^9}, {
   3.568414920210148*^9, 3.568414953490787*^9}, {3.56841499640145*^9, 
   3.568415015815905*^9}, {3.568415124977933*^9, 3.56841512511839*^9}, {
   3.568416032112756*^9, 3.568416045588575*^9}, {3.568417541153015*^9, 
   3.568417541306964*^9}, {3.5684176203697042`*^9, 3.5684176204940157`*^9}, {
   3.568417652597095*^9, 3.568417652730892*^9}, {3.568418140305645*^9, 
   3.568418142697461*^9}, {3.5684195287075787`*^9, 3.568419529368846*^9}, {
   3.5684197371418333`*^9, 3.5684197372159023`*^9}, {3.568419770209488*^9, 
   3.568419806531971*^9}, {3.56841994355086*^9, 3.568419997565344*^9}, {
   3.568420049586585*^9, 3.56842005949625*^9}, {3.568420163148357*^9, 
   3.568420163286675*^9}, {3.5684234919663134`*^9, 3.5684235290901117`*^9}, {
   3.568424600799266*^9, 3.568424647928074*^9}, {3.5684247195651107`*^9, 
   3.568424766226716*^9}, 3.5684248110218735`*^9, {3.568425349737339*^9, 
   3.568425394775694*^9}, {3.5684254491274877`*^9, 3.5684254817487335`*^9}, {
   3.568425512777929*^9, 3.5684255372705564`*^9}, {3.568426335489456*^9, 
   3.5684264044276237`*^9}, {3.568458194986143*^9, 3.568458209868924*^9}, {
   3.568458248429522*^9, 3.568458265683564*^9}, {3.5684583051402035`*^9, 
   3.5684583739268026`*^9}, {3.568458447493498*^9, 3.5684584598646154`*^9}, 
   3.568458502674528*^9, {3.5684585856530557`*^9, 3.5684586135317793`*^9}, {
   3.5684602712175293`*^9, 3.5684602953359027`*^9}, {3.568460865293756*^9, 
   3.568461039007193*^9}, 3.5684610719560204`*^9, {3.568461117243374*^9, 
   3.568461202427579*^9}, {3.568461319494789*^9, 3.5684613657025967`*^9}, {
   3.5684615390137873`*^9, 3.568461608721773*^9}, {3.568461671695381*^9, 
   3.568461701745756*^9}, {3.568461752939128*^9, 3.568461797700901*^9}, {
   3.5684618287839413`*^9, 3.568461835103409*^9}, {3.568461887379217*^9, 
   3.568462044998899*^9}, {3.568462080858034*^9, 3.5684622362211933`*^9}, {
   3.568471612884325*^9, 3.568471650845096*^9}, {3.568471685181472*^9, 
   3.568471686624939*^9}, {3.56847174490691*^9, 3.568471779269858*^9}, {
   3.5684719230552893`*^9, 3.568471925987089*^9}, {3.568471966631694*^9, 
   3.568472026499378*^9}, {3.568472061418385*^9, 3.5684720617932377`*^9}, {
   3.5684722908384666`*^9, 3.568472292399493*^9}, {3.568472323438237*^9, 
   3.568472340216057*^9}, 3.568472424549469*^9, {3.568472793815876*^9, 
   3.568473079711616*^9}, {3.5684731619142647`*^9, 3.5684731759499397`*^9}, {
   3.568473225428575*^9, 3.5684732273042*^9}, {3.5684732576794157`*^9, 
   3.568473279825137*^9}, {3.568473347721511*^9, 3.568473399428413*^9}, {
   3.568473468584105*^9, 3.568473492769156*^9}, {3.568473564122414*^9, 
   3.568473568388887*^9}, {3.5684736137296*^9, 3.568473658641429*^9}, {
   3.5684737286388474`*^9, 3.568473759447358*^9}, {3.5684738031087112`*^9, 
   3.568473804361999*^9}, {3.568473868234687*^9, 3.568473877429102*^9}, {
   3.568474543312051*^9, 3.56847454367537*^9}, {3.5684751811171093`*^9, 
   3.568475195021031*^9}, {3.568479915955459*^9, 3.5684799975972557`*^9}, {
   3.568480140232458*^9, 3.568480140398601*^9}, {3.568480259204453*^9, 
   3.568480281643791*^9}, 3.568480369966385*^9, {3.5684804055122137`*^9, 
   3.568480435256884*^9}, {3.568480479366479*^9, 3.568480487569785*^9}, {
   3.5684806266144667`*^9, 3.56848063087761*^9}, {3.5684807515470877`*^9, 
   3.568480751637423*^9}, {3.568480861426927*^9, 3.5684809226904373`*^9}, {
   3.568481037573501*^9, 3.568481037769382*^9}, {3.568481148960169*^9, 
   3.5684811491264277`*^9}, {3.568481263586706*^9, 3.5684812637754087`*^9}, {
   3.5684814672536917`*^9, 3.568481492290807*^9}, {3.568481542011282*^9, 
   3.568481653646451*^9}, {3.568481755242358*^9, 3.568481757141255*^9}, {
   3.568483174787545*^9, 3.568483240226853*^9}, {3.568483315024975*^9, 
   3.568483329097415*^9}, {3.5684834072038507`*^9, 3.568483407347118*^9}, {
   3.5684835345466423`*^9, 3.568483536661901*^9}, {3.568483844073024*^9, 
   3.568483844234847*^9}, {3.568483943056188*^9, 3.568483943221196*^9}, {
   3.5684841012106657`*^9, 3.5684841014859333`*^9}, {3.568484205218596*^9, 
   3.568484205371519*^9}, {3.568484310758602*^9, 3.5684843109203777`*^9}, {
   3.568484511912105*^9, 3.5684845168699217`*^9}, {3.5684846454280367`*^9, 
   3.568484649539855*^9}, {3.5684847687817507`*^9, 3.568484768987906*^9}, {
   3.568484872886716*^9, 3.568484873090073*^9}, {3.568485148729006*^9, 
   3.568485281171751*^9}, 3.568485416931285*^9, {3.568485633548897*^9, 
   3.568485682928266*^9}, {3.568486333505426*^9, 3.568486363261339*^9}, {
   3.568487571495695*^9, 3.5684875716675262`*^9}, {3.568487734705902*^9, 
   3.568487737105411*^9}, {3.568488224204336*^9, 3.568488241581758*^9}, {
   3.56848833837131*^9, 3.568488345010697*^9}, {3.568500846364113*^9, 
   3.568500885490343*^9}, {3.5685010606019077`*^9, 3.56850108125323*^9}, {
   3.568501270912492*^9, 3.568501275766333*^9}, {3.568501325102426*^9, 
   3.568501328164777*^9}, {3.568574788309555*^9, 3.568574789482746*^9}, {
   3.5685822281684694`*^9, 3.568582255983982*^9}, {3.5685824458840604`*^9, 
   3.568582446336472*^9}, {3.5685825361075826`*^9, 3.568582549211919*^9}, {
   3.5685826430171237`*^9, 3.5685826530637817`*^9}, {3.5685827439737215`*^9, 
   3.568582750354285*^9}, {3.568582823417367*^9, 3.568582827504672*^9}, 
   3.5685829415747967`*^9, {3.568583017752359*^9, 3.568583020451228*^9}, {
   3.5685830819324045`*^9, 3.56858310165131*^9}, {3.568583149575739*^9, 
   3.5685831719175205`*^9}, {3.5685832388384457`*^9, 
   3.5685832404296865`*^9}, {3.568583291244212*^9, 3.568583293319065*^9}, {
   3.5685833348005285`*^9, 3.5685833482480736`*^9}, {3.568583389720346*^9, 
   3.5685833901727576`*^9}, {3.56858344722342*^9, 3.5685834640718527`*^9}, {
   3.5685835212629185`*^9, 3.5685835221521416`*^9}, {3.5685835729578533`*^9, 
   3.5685836038606515`*^9}, {3.5685837132338676`*^9, 
   3.5685837146691046`*^9}, {3.5685838524910393`*^9, 3.568583860852854*^9}, {
   3.5685839753158665`*^9, 3.568583984957099*^9}, {3.56858403934195*^9, 
   3.5685840588740263`*^9}, {3.5685840963569202`*^9, 
   3.5685841025347977`*^9}, {3.5685841792938733`*^9, 3.568584196231444*^9}, {
   3.568584235919291*^9, 3.5685842847972903`*^9}, {3.568584369991621*^9, 
   3.568584377121049*^9}, {3.5685844228773155`*^9, 3.568584434172078*^9}, {
   3.5685844867769637`*^9, 3.568584487837798*^9}, {3.568584685407814*^9, 
   3.568584688715099*^9}, {3.568584745344551*^9, 3.5685847670759077`*^9}, {
   3.568584881623666*^9, 3.5685849051958704`*^9}, {3.5685849598136797`*^9, 
   3.5685849697979355`*^9}, {3.568585010312175*^9, 3.5685850107645864`*^9}, {
   3.568585101621316*^9, 3.5685851133060155`*^9}, {3.5685852085216656`*^9, 
   3.5685852177103014`*^9}, {3.5685918456679497`*^9, 3.568591892588888*^9}, 
   3.568591930295412*^9, {3.568593865425688*^9, 3.5685938818267384`*^9}, {
   3.568594065209839*^9, 3.568594089546463*^9}, {3.5685954955752163`*^9, 
   3.568595547231084*^9}, {3.568595588197001*^9, 3.5685955884687033`*^9}, {
   3.568595642850546*^9, 3.5685956500032797`*^9}, {3.568595687539194*^9, 
   3.568595687750883*^9}, {3.568595808675313*^9, 3.56859581058384*^9}, {
   3.568596014692021*^9, 3.568596059526601*^9}, 3.568596178008131*^9, {
   3.5686045465716763`*^9, 3.5686045480497723`*^9}, {3.568604647040923*^9, 
   3.568604685424505*^9}, {3.5686065861687107`*^9, 3.5686065905389557`*^9}, {
   3.5686371585902243`*^9, 3.5686371588217773`*^9}, {3.56863720569014*^9, 
   3.568637208292368*^9}, {3.5686373004563627`*^9, 3.568637303594967*^9}, {
   3.5686373413586397`*^9, 3.568637341591457*^9}, {3.5686373967994967`*^9, 
   3.568637397215218*^9}, {3.568659153501587*^9, 3.56865915384608*^9}, {
   3.569019528904744*^9, 3.569019558070977*^9}, {3.569860798909752*^9, 
   3.569860898112718*^9}, {3.5698613949479113`*^9, 3.569861418438068*^9}, 
   3.569861523160429*^9, {3.569863787339813*^9, 3.5698638840205708`*^9}, {
   3.569863927720511*^9, 3.569863980482328*^9}, {3.56986508461234*^9, 
   3.569865255535441*^9}, {3.569865452458376*^9, 3.569865456108103*^9}, {
   3.569866896981412*^9, 3.569867005130846*^9}, {3.5698670465719213`*^9, 
   3.5698671671002197`*^9}, 3.569867399532246*^9, 3.569867448282282*^9, {
   3.569867483934483*^9, 3.56986753911469*^9}, {3.569867692040534*^9, 
   3.569867706942546*^9}, 3.5698678174490623`*^9, {3.569867969642867*^9, 
   3.569867975301202*^9}, {3.569868016398884*^9, 3.569868032107835*^9}, {
   3.5698680823841267`*^9, 3.569868252622431*^9}, {3.569868299943853*^9, 
   3.5698684338326607`*^9}, {3.569868501035548*^9, 3.5698685157066507`*^9}, {
   3.5698687877158747`*^9, 3.5698688555390167`*^9}, {3.5698703474706917`*^9, 
   3.5698703478684053`*^9}, {3.569870437263287*^9, 3.5698704399663553`*^9}, {
   3.5698704874781923`*^9, 3.569870498731284*^9}, {3.569870536606325*^9, 
   3.569870558430464*^9}, {3.569870677661709*^9, 3.569870684235565*^9}, {
   3.56987128212573*^9, 3.569871284111731*^9}, {3.5698713616531076`*^9, 
   3.569871362295314*^9}, {3.5698716658891897`*^9, 3.569871788368235*^9}, 
   3.569871839950822*^9, 3.5698718780794888`*^9, {3.569872425642892*^9, 
   3.569872620110599*^9}, {3.569872659066711*^9, 3.569872672777478*^9}, {
   3.56987280805865*^9, 3.5698728261000853`*^9}, {3.5698728917630787`*^9, 
   3.5698729069792233`*^9}, {3.56987300252958*^9, 3.569873009393936*^9}, {
   3.569873222844799*^9, 3.569873223505916*^9}, {3.569874003384478*^9, 
   3.569874061753443*^9}, {3.569874222907187*^9, 3.56987427432451*^9}, {
   3.569874339253093*^9, 3.569874349982098*^9}, {3.569874382757971*^9, 
   3.5698744057112513`*^9}, {3.569874524391713*^9, 3.5698745274451523`*^9}, {
   3.569874620610202*^9, 3.569874659382905*^9}, {3.5698755359580812`*^9, 
   3.5698755361347733`*^9}, {3.5698763384872637`*^9, 3.56987650121491*^9}, {
   3.569876804847069*^9, 3.569876806811792*^9}, {3.569876953348134*^9, 
   3.56987697480836*^9}, {3.569877033166933*^9, 3.569877033803822*^9}, {
   3.570204609484653*^9, 3.570204726151532*^9}, {3.570204827701902*^9, 
   3.570204837924347*^9}, {3.5702053240308857`*^9, 3.570205373678043*^9}, {
   3.570205604178759*^9, 3.57020560588721*^9}, {3.5702056857419033`*^9, 
   3.570205689903839*^9}, {3.570205784487208*^9, 3.570205785118239*^9}, {
   3.570205884487999*^9, 3.570206073358034*^9}, {3.570206157093405*^9, 
   3.5702061574049683`*^9}, {3.570206539143651*^9, 3.5702065961497583`*^9}, {
   3.5702067746091433`*^9, 3.570206791317429*^9}, {3.5702069476521187`*^9, 
   3.570206954585787*^9}, {3.570207042344592*^9, 3.570207042557396*^9}, {
   3.570207099536817*^9, 3.570207148754854*^9}, {3.570207364233715*^9, 
   3.570207367741406*^9}, {3.570207407857286*^9, 3.57020740821616*^9}, {
   3.5702075331296167`*^9, 3.570207534139289*^9}, {3.5702084081082077`*^9, 
   3.570208408287386*^9}, {3.570209493162859*^9, 3.5702095630622683`*^9}, {
   3.570211034642024*^9, 3.570211051004929*^9}, {3.5702110919374104`*^9, 
   3.5702110947966127`*^9}, {3.570211150032111*^9, 3.570211303137101*^9}, {
   3.570211358137895*^9, 3.570211389989436*^9}, {3.570211428478529*^9, 
   3.570211471924778*^9}, {3.570211514740753*^9, 3.570211538608301*^9}, {
   3.570211630656353*^9, 3.5702118114128428`*^9}, {3.570274120052116*^9, 
   3.570274120560939*^9}, {3.5702742007739563`*^9, 3.5702743271572933`*^9}, {
   3.570274437798328*^9, 3.570274467359095*^9}, {3.570274503003285*^9, 
   3.5702745128790216`*^9}, {3.570274551166597*^9, 3.570274601268715*^9}, {
   3.570274635225871*^9, 3.570274647775334*^9}, 3.570274779364108*^9, 
   3.570274809432188*^9, {3.570274844568965*^9, 3.570274844751854*^9}, {
   3.5702750111570883`*^9, 3.5702750209333773`*^9}, {3.570275118949938*^9, 
   3.57027514208541*^9}, {3.57027536420579*^9, 3.570275366489698*^9}, {
   3.570290690854611*^9, 3.57029073302566*^9}, {3.570290871501038*^9, 
   3.570291057606843*^9}, {3.570291123207988*^9, 3.570291133529153*^9}, {
   3.570291224041841*^9, 3.570291241270274*^9}, 3.570291466154304*^9, {
   3.570291782772027*^9, 3.570291786620105*^9}, {3.5702919328554583`*^9, 
   3.570291944509679*^9}, 3.570292120108054*^9, {3.570292294539455*^9, 
   3.570292299366023*^9}, {3.570292425880885*^9, 3.570292426538212*^9}, {
   3.570293498774*^9, 3.570293505925918*^9}, 3.570293610688107*^9, {
   3.570293731105426*^9, 3.5702937312271338`*^9}, {3.570293969675591*^9, 
   3.570293998142831*^9}, {3.570294095443681*^9, 3.57029409930886*^9}, 
   3.570294162791999*^9, 3.570294671760476*^9, {3.5702947546887493`*^9, 
   3.570294755147674*^9}, {3.57029492937259*^9, 3.570295097118845*^9}, {
   3.570295178665797*^9, 3.57029518212738*^9}, {3.570295220732431*^9, 
   3.570295304724029*^9}, {3.57029533695212*^9, 3.5702953647116423`*^9}, {
   3.570295405765698*^9, 3.5702954687534733`*^9}, {3.570295522681019*^9, 
   3.570295537096052*^9}, {3.5703050470624933`*^9, 3.570305211255477*^9}, {
   3.57030534670232*^9, 3.570305365916008*^9}, {3.57030539752188*^9, 
   3.570305407170521*^9}, {3.570305462083907*^9, 3.570305474056739*^9}, {
   3.570362009501144*^9, 3.570362035781458*^9}, {3.57036207382174*^9, 
   3.5703620948509073`*^9}, {3.570362140456077*^9, 3.5703621748641033`*^9}, 
   3.57036223951036*^9, {3.570362504251841*^9, 3.5703626617113333`*^9}, {
   3.570362884034368*^9, 3.570362902943297*^9}, {3.5703629652470493`*^9, 
   3.5703630325672197`*^9}, {3.5703630941057777`*^9, 
   3.5703631357110147`*^9}, {3.570363175298338*^9, 3.5703632388273287`*^9}, {
   3.570363276658223*^9, 3.5703633808026257`*^9}, 3.570363414459168*^9, {
   3.570363460422348*^9, 3.570363510741149*^9}, {3.570363542090735*^9, 
   3.570363688850355*^9}, {3.5703637499593287`*^9, 3.570363764942628*^9}, {
   3.570363798428626*^9, 3.570363833836783*^9}, {3.5703654301087027`*^9, 
   3.570365431970446*^9}, {3.5703654736730967`*^9, 3.5703655148962307`*^9}, {
   3.57036566608313*^9, 3.570365675137219*^9}, 3.570366037733425*^9, {
   3.570366134764642*^9, 3.570366157760523*^9}, {3.570366231949284*^9, 
   3.570366241396179*^9}, 3.570366274138938*^9, {3.5703663665739317`*^9, 
   3.570366380666707*^9}, {3.570366539104898*^9, 3.57036654754685*^9}, {
   3.570366596143092*^9, 3.5703666208624973`*^9}, 3.570366914767136*^9, {
   3.570367052436771*^9, 3.570367099465148*^9}, {3.5703672809909563`*^9, 
   3.570367312430523*^9}, 3.570367467222158*^9, {3.5703677229033127`*^9, 
   3.57036779669048*^9}, 3.570367938123247*^9, {3.570368107229519*^9, 
   3.570368130951016*^9}, {3.5703682028679523`*^9, 3.570368243397043*^9}, {
   3.570368274409253*^9, 3.570368588423872*^9}, {3.570368628839645*^9, 
   3.5703686460695953`*^9}, {3.570368678135305*^9, 3.570368755751473*^9}, {
   3.5703687860231323`*^9, 3.570368812737063*^9}, {3.570368844127781*^9, 
   3.570368845786602*^9}, {3.570368890685945*^9, 3.570368929810096*^9}, {
   3.570373054680241*^9, 3.570373088777512*^9}, {3.570374545290914*^9, 
   3.5703745472245293`*^9}, {3.570374596696383*^9, 3.5703746167206*^9}, {
   3.570375725060957*^9, 3.570375727047921*^9}, {3.5703759379268312`*^9, 
   3.570375946145376*^9}, {3.57038128900198*^9, 3.570381305445423*^9}, {
   3.5703813354471893`*^9, 3.570381405550295*^9}, {3.5703814393609037`*^9, 
   3.570381470579615*^9}, {3.570381517918199*^9, 3.5703815381867743`*^9}, {
   3.570381697298328*^9, 3.5703818581308823`*^9}, {3.5703819172757587`*^9, 
   3.570381919771929*^9}, {3.5703821398629313`*^9, 3.570382141615336*^9}, {
   3.570382799880864*^9, 3.57038284221873*^9}, {3.5703906092943225`*^9, 
   3.570390668126205*^9}, {3.570390873944785*^9, 3.5703908749618864`*^9}, {
   3.570390970344424*^9, 3.5703909787012596`*^9}, {3.5703914213875237`*^9, 
   3.570391422822667*^9}, {3.5703915413087673`*^9, 3.570391550282728*^9}, {
   3.570391595976624*^9, 3.570391636595911*^9}, {3.570391681099328*^9, 
   3.5703916918179073`*^9}, {3.57039174955963*^9, 3.570391763342888*^9}, {
   3.570391815850727*^9, 3.570391927815259*^9}, {3.570392062173606*^9, 
   3.570392064159835*^9}, {3.570394273202631*^9, 3.570394273306662*^9}, {
   3.570452953168517*^9, 3.5704530432263193`*^9}, {3.570453141138914*^9, 
   3.570453151050414*^9}, {3.570453187118911*^9, 3.5704532129778757`*^9}, {
   3.570453250081603*^9, 3.5704532613727503`*^9}, {3.5704535425450277`*^9, 
   3.570453571879881*^9}, {3.570453609056459*^9, 3.5704536097378683`*^9}, {
   3.570454000375573*^9, 3.570454018208271*^9}, {3.570454048224187*^9, 
   3.5704540493133802`*^9}, {3.5704543154883947`*^9, 
   3.5704543170606613`*^9}, {3.570454735347372*^9, 3.570454804494287*^9}, {
   3.570454847552602*^9, 3.570454862856515*^9}, {3.570454908348095*^9, 
   3.5704549086839314`*^9}, {3.5704577270778637`*^9, 3.570457777378229*^9}, {
   3.570457814852192*^9, 3.570457839197098*^9}, 3.5704578741029873`*^9, {
   3.570457979490932*^9, 3.570457998449142*^9}, {3.570458060635682*^9, 
   3.570458102569849*^9}, {3.57045922242277*^9, 3.570459226885651*^9}, {
   3.570459271465879*^9, 3.570459271810781*^9}, {3.5704600777318487`*^9, 
   3.570460078265328*^9}, {3.5704609074352617`*^9, 3.57046091130905*^9}, {
   3.570461080796033*^9, 3.570461087137844*^9}, {3.570461222470066*^9, 
   3.570461234520677*^9}, {3.570461276736291*^9, 3.570461277416924*^9}, {
   3.570464182900133*^9, 3.570464217009521*^9}, {3.570464691964772*^9, 
   3.5704646928805323`*^9}, {3.570464733675909*^9, 3.5704647497643213`*^9}, {
   3.5704648162010736`*^9, 3.570464863901759*^9}, {3.5704653984235764`*^9, 
   3.570465428033778*^9}, {3.5704833797556143`*^9, 3.570483526168185*^9}, 
   3.570483557674718*^9, {3.570490429830605*^9, 3.5704904404667892`*^9}, {
   3.5705496098817253`*^9, 3.5705496569563704`*^9}, {3.570549717641501*^9, 
   3.570549733158421*^9}, {3.570549821363995*^9, 3.570549917592423*^9}, 
   3.5705500515955563`*^9, {3.570550161190518*^9, 3.570550214285478*^9}, {
   3.570551605348497*^9, 3.570551605562578*^9}, {3.570552035601074*^9, 
   3.570552053243355*^9}, {3.570552296118487*^9, 3.570552315662339*^9}, {
   3.570552744813833*^9, 3.5705527467910557`*^9}, {3.5705528171292152`*^9, 
   3.570552839994636*^9}, {3.570553137733042*^9, 3.5705531502440033`*^9}, {
   3.570554639570072*^9, 3.570554667398223*^9}, {3.570880463928628*^9, 
   3.570880474214654*^9}, {3.5708805393396587`*^9, 3.5708805414206142`*^9}, {
   3.570880596496952*^9, 3.570880643177061*^9}, {3.570880677207633*^9, 
   3.570880773022276*^9}, {3.570881045962756*^9, 3.570881077536819*^9}, {
   3.570881483047042*^9, 3.570881495986322*^9}, {3.570881537319141*^9, 
   3.570881603295371*^9}, {3.57088177467754*^9, 3.5708817771060743`*^9}, {
   3.5708818078330507`*^9, 3.570881813142693*^9}, {3.570881872045575*^9, 
   3.570881872616132*^9}, {3.570881918822423*^9, 3.570881941317822*^9}, {
   3.570882598056056*^9, 3.5708826101879387`*^9}, {3.570882877700821*^9, 
   3.5708828808149357`*^9}, {3.570883742392291*^9, 3.570883881276107*^9}, {
   3.5708840995865517`*^9, 3.570884136779277*^9}, {3.570884166954899*^9, 
   3.570884191034034*^9}, {3.570884237311849*^9, 3.570884267603202*^9}, {
   3.570884916234478*^9, 3.570884920212142*^9}, 3.5708850023722677`*^9, {
   3.570885086120278*^9, 3.570885160668952*^9}, {3.57088579398003*^9, 
   3.570885820964373*^9}, {3.570885870997058*^9, 3.570885872535017*^9}, {
   3.570885926379484*^9, 3.5708859276621103`*^9}, {3.5708867274572763`*^9, 
   3.570886775653447*^9}, {3.5708896534315157`*^9, 3.570889738879212*^9}, {
   3.5708899471956043`*^9, 3.570889964982726*^9}, {3.5708900897720757`*^9, 
   3.570890286974888*^9}, 3.5708912462048798`*^9, 3.570891315115642*^9, 
   3.5708914848967543`*^9, {3.570891614789276*^9, 3.5708916605552053`*^9}, 
   3.570891711555233*^9, {3.57089177795715*^9, 3.570891786673522*^9}, 
   3.5708920039518957`*^9, 3.570892109621463*^9, {3.570892163815276*^9, 
   3.570892167575108*^9}, {3.570892306053096*^9, 3.5708923066539793`*^9}, {
   3.570892451991745*^9, 3.570892455133052*^9}, {3.570892598798707*^9, 
   3.570892599984228*^9}, 3.570892697519863*^9, {3.570892781160631*^9, 
   3.5708927818599977`*^9}, {3.570893780605969*^9, 3.570893781465467*^9}, {
   3.570893835459819*^9, 3.570893867063035*^9}, {3.570893924037547*^9, 
   3.570893937565628*^9}, {3.570894031541337*^9, 3.570894077488153*^9}, {
   3.570894238786022*^9, 3.570894275650607*^9}, {3.570898834826274*^9, 
   3.570898954608459*^9}, {3.570899035920216*^9, 3.5708990403759737`*^9}, {
   3.570899282423403*^9, 3.5708992851110153`*^9}, {3.570899444425976*^9, 
   3.570899458200491*^9}, {3.570899621418754*^9, 3.570899671440522*^9}, {
   3.570899736496991*^9, 3.570899770117536*^9}, {3.570899805141542*^9, 
   3.5708998168641453`*^9}, {3.5709000223830757`*^9, 
   3.5709000292428617`*^9}, {3.570902397077023*^9, 3.570902415350881*^9}, {
   3.570902459615568*^9, 3.570902463083345*^9}, {3.57090278655694*^9, 
   3.570902802044594*^9}, {3.570902906312325*^9, 3.570902908907222*^9}, {
   3.570935473348542*^9, 3.5709354767889957`*^9}, {3.570935710528277*^9, 
   3.570935734213327*^9}, {3.570936022799707*^9, 3.570936027710561*^9}, 
   3.570972315553224*^9, {3.570973279446903*^9, 3.57097330479644*^9}, {
   3.570973416979114*^9, 3.570973422883739*^9}, {3.571056237939022*^9, 
   3.571056273531536*^9}, {3.571056304582169*^9, 3.5710563153241453`*^9}, {
   3.5710564761429853`*^9, 3.571056476316486*^9}, {3.571056597406296*^9, 
   3.571056597522496*^9}, {3.57105672674161*^9, 3.571056726861602*^9}, {
   3.57105702907337*^9, 3.57105702922477*^9}, {3.571057182644148*^9, 
   3.5710571827836847`*^9}, {3.571057294510083*^9, 3.571057294625574*^9}, {
   3.5710577862120533`*^9, 3.5710577863240213`*^9}, {3.571057907052156*^9, 
   3.571057907174111*^9}, {3.571058061714795*^9, 3.5710581330227413`*^9}, {
   3.571058280177936*^9, 3.571058280323347*^9}, {3.571058866766267*^9, 
   3.571058895022642*^9}, {3.5710590723170013`*^9, 3.571059116273696*^9}, {
   3.571064057446045*^9, 3.5710640583069763`*^9}, {3.5710641412770147`*^9, 
   3.571064174309969*^9}, {3.5712506732972403`*^9, 3.571250673734284*^9}, {
   3.571250732410151*^9, 3.5712507431042204`*^9}, {3.571319709609496*^9, 
   3.571319722018737*^9}, {3.571319857622176*^9, 3.571319862063176*^9}, {
   3.571331328092243*^9, 3.571331333994231*^9}, {3.57133230142288*^9, 
   3.571332303132752*^9}, {3.571332662305545*^9, 3.571332662825152*^9}, {
   3.5713327981027107`*^9, 3.5713328297403173`*^9}, {3.571332971114127*^9, 
   3.57133297430759*^9}, {3.57133302174788*^9, 3.571333034695096*^9}, {
   3.571333154511608*^9, 3.5713331836214447`*^9}, {3.5713335977819767`*^9, 
   3.5713336096211157`*^9}, {3.571333826177854*^9, 3.571333830710099*^9}, {
   3.571334667777829*^9, 3.571334676699489*^9}, {3.571335129439377*^9, 
   3.571335135861928*^9}, {3.5713982576696653`*^9, 3.571398273696949*^9}, {
   3.571398451839267*^9, 3.571398515827388*^9}, {3.5713985494553843`*^9, 
   3.571398550525324*^9}, {3.571399619440069*^9, 3.5713997749806128`*^9}, 
   3.571399812061705*^9, {3.571400535304454*^9, 3.571400538989325*^9}, 
   3.571400795500194*^9, {3.571400842696307*^9, 3.571400989149225*^9}, {
   3.5714010576779537`*^9, 3.571401203502005*^9}, {3.5714012606789923`*^9, 
   3.571401319329317*^9}, {3.571401377451441*^9, 3.571401515347714*^9}, 
   3.571402310873537*^9, {3.571402373104055*^9, 3.571402397183049*^9}, 
   3.5714024475378847`*^9, {3.5714030849902*^9, 3.571403120353883*^9}, {
   3.5714034376919327`*^9, 3.5714034683459187`*^9}, {3.57140384546194*^9, 
   3.571403864127233*^9}, {3.571404197276532*^9, 3.57140420650019*^9}, 
   3.5714045101212873`*^9, {3.5714147650989017`*^9, 3.571414797674159*^9}, {
   3.5714150753489237`*^9, 3.5714150754969387`*^9}, {3.571415269468334*^9, 
   3.5714152892333107`*^9}, {3.5714153215305395`*^9, 
   3.5714153293063173`*^9}, {3.571415368418228*^9, 3.5714153788432703`*^9}, {
   3.571416609571331*^9, 3.571416664479821*^9}, {3.571416759055278*^9, 
   3.571416760055378*^9}, {3.5714168374481163`*^9, 3.571416838978269*^9}, {
   3.5714169270960803`*^9, 3.571416932142585*^9}, {3.571417032968666*^9, 
   3.5714170330156713`*^9}, {3.5714171124934387`*^9, 
   3.5714171181484385`*^9}, {3.5714172050894384`*^9, 3.571417205829438*^9}, {
   3.5714174161509857`*^9, 3.57141744019639*^9}, {3.5714176585332212`*^9, 
   3.5714177150518723`*^9}, {3.5714179519745626`*^9, 
   3.5714179719355583`*^9}, {3.5714186675961175`*^9, 
   3.5714186681041684`*^9}, {3.571420194510358*^9, 3.5714201946196594`*^9}, {
   3.5714202633061056`*^9, 3.571420303052295*^9}, {3.571420453766351*^9, 
   3.571420453891192*^9}, {3.5714205795706377`*^9, 3.5714205935810547`*^9}, {
   3.5714207499890995`*^9, 3.5714207501139135`*^9}, {3.571420875305876*^9, 
   3.5714208756509104`*^9}, {3.5714209176781125`*^9, 3.571420919987344*^9}, {
   3.5714210081371574`*^9, 3.571421008682212*^9}, {3.5714214139897385`*^9, 
   3.571421415515891*^9}, {3.57142152791113*^9, 3.5714215281851573`*^9}, {
   3.5714216072960677`*^9, 3.571421608049143*^9}, {3.571570187638135*^9, 
   3.5715702165986233`*^9}, {3.571570371986472*^9, 3.571570427772818*^9}, {
   3.5715704824163027`*^9, 3.571570488440377*^9}, 3.571570608213838*^9, {
   3.571570741936296*^9, 3.571570751027293*^9}, {3.571570924426296*^9, 
   3.571570930268161*^9}, {3.5715710268634567`*^9, 3.571571027168401*^9}, {
   3.5715711376280203`*^9, 3.571571237512144*^9}, {3.5715713387609777`*^9, 
   3.571571368911358*^9}, {3.571571471016438*^9, 3.571571471238984*^9}, {
   3.571571567404175*^9, 3.5715715821307096`*^9}, 3.571571870076337*^9, 
   3.5715721380507183`*^9, {3.571572270439663*^9, 3.571572273047903*^9}, {
   3.571572796981926*^9, 3.571572797231901*^9}, 3.571574668539482*^9, 
   3.571872925384742*^9, {3.571874494715631*^9, 3.571874495194778*^9}, {
   3.571874543001433*^9, 3.571874548074688*^9}, 3.572047603253256*^9, {
   3.572168107986413*^9, 3.5721681860263042`*^9}, {3.57217369141057*^9, 
   3.57217369267386*^9}, {3.5721738131326036`*^9, 3.572173814621111*^9}, {
   3.572173946973526*^9, 3.572173975175459*^9}, 3.572174134039049*^9, {
   3.572355956400527*^9, 3.5723559918656282`*^9}, {3.5723560232009277`*^9, 
   3.572356026475409*^9}, 3.572356222989894*^9, {3.572356259032229*^9, 
   3.572356284850865*^9}, {3.572356372020187*^9, 3.572356392706162*^9}, {
   3.572477983451898*^9, 3.572477994200317*^9}, {3.572478025634372*^9, 
   3.572478043293603*^9}, {3.5724782567383685`*^9, 3.5724782735123277`*^9}, {
   3.5724783807054586`*^9, 3.572478409799123*^9}, {3.5724789377243185`*^9, 
   3.57247894107751*^9}, {3.5724801036270046`*^9, 3.5724801039300213`*^9}, {
   3.572480324142617*^9, 3.5724803262287364`*^9}, {3.5724804218672066`*^9, 
   3.572480424422353*^9}, {3.5724808222591076`*^9, 3.572480843906346*^9}, {
   3.5724810434427586`*^9, 3.572481044967846*^9}, {3.5724812669685435`*^9, 
   3.572481279627268*^9}, {3.572523095683182*^9, 3.572523108966653*^9}, {
   3.5725233715402317`*^9, 3.572523371818974*^9}, {3.5725240643616657`*^9, 
   3.5725240646363573`*^9}, {3.5725244013439627`*^9, 3.572524407549472*^9}, {
   3.572524462960239*^9, 3.572524468735202*^9}, {3.572524940047965*^9, 
   3.572524940465795*^9}, {3.572525642382717*^9, 3.5725256429207077`*^9}, {
   3.572525791457601*^9, 3.5725257917240467`*^9}, {3.572525932505952*^9, 
   3.572525935858633*^9}, {3.572599709766309*^9, 3.5725997283432903`*^9}, {
   3.572600078875586*^9, 3.572600079581263*^9}, {3.572601533699694*^9, 
   3.5726015419351215`*^9}, {3.572601575063999*^9, 3.572601600362982*^9}, {
   3.5726018522780914`*^9, 3.5726018530579915`*^9}, {3.572602207171693*^9, 
   3.5726022130526285`*^9}, {3.5726022565746756`*^9, 3.572602258462191*^9}, {
   3.5726025986213036`*^9, 3.572602618464122*^9}, {3.572603277220603*^9, 
   3.5726033181703405`*^9}, {3.5726035659123526`*^9, 3.572603615894432*^9}, 
   3.5726041606320443`*^9, {3.572604427919018*^9, 3.572604432723756*^9}, {
   3.5726047546466017`*^9, 3.5726047976870017`*^9}, 3.5726048386058016`*^9, {
   3.5726050342522016`*^9, 3.5726050402894015`*^9}, {3.572605150441002*^9, 
   3.5726051549026017`*^9}, {3.572605539495802*^9, 3.5726055505250015`*^9}, {
   3.572606473807125*^9, 3.5726064807490807`*^9}, {3.572606949562086*^9, 
   3.5726069510283923`*^9}, {3.5726071550477133`*^9, 
   3.5726071793353567`*^9}, {3.5726075695140076`*^9, 3.572607570169195*^9}, {
   3.5726078195148325`*^9, 3.572607820107629*^9}, {3.572608029286688*^9, 
   3.5726080787071714`*^9}, {3.572608280197075*^9, 3.5726082817882643`*^9}, {
   3.572608485117361*^9, 3.5726084948204985`*^9}, 3.5726087848694396`*^9, {
   3.5726108985127125`*^9, 3.5726109260466747`*^9}, {3.572611130123623*^9, 
   3.5726111304200172`*^9}, {3.572611507963095*^9, 3.5726115097882833`*^9}, {
   3.572611724822756*^9, 3.5726117253843527`*^9}, 3.5726117645089016`*^9, {
   3.572614465000595*^9, 3.57261446720224*^9}, {3.5726146209269924`*^9, 
   3.5726146228631907`*^9}, 3.5726147236704025`*^9, {3.5726148564841013`*^9, 
   3.5726148769579926`*^9}, {3.572615052751734*^9, 3.5726150530013623`*^9}, {
   3.5726151547981157`*^9, 3.57261515509455*^9}, {3.5726152547479663`*^9, 
   3.5726152552316227`*^9}, {3.572615336956029*^9, 3.5726153383289876`*^9}, {
   3.5726154140062027`*^9, 3.5726154273824434`*^9}, {3.5726155444332304`*^9, 
   3.572615544807602*^9}, {3.572615642594838*^9, 3.5726156479452267`*^9}, {
   3.572615751075014*^9, 3.5726157780082903`*^9}, {3.572615850265174*^9, 
   3.5726158514663353`*^9}, {3.5726200772864904`*^9, 3.572620077473689*^9}, {
   3.572620116598239*^9, 3.5726201288129606`*^9}, {3.5726202671656685`*^9, 
   3.5726202675244665`*^9}, {3.5726207050323935`*^9, 
   3.5726207222891192`*^9}, {3.572620829241813*^9, 3.5726208297588654`*^9}, {
   3.572620868295718*^9, 3.5726208715510435`*^9}, {3.5726209748263702`*^9, 
   3.572620984704358*^9}, {3.5726214930135355`*^9, 3.572621494354972*^9}, {
   3.5726215926386003`*^9, 3.5726215930597486`*^9}, {3.572621712916363*^9, 
   3.5726217141487074`*^9}, {3.5726219439887934`*^9, 3.572621945033947*^9}, {
   3.5726221255110483`*^9, 3.5726221258542423`*^9}, {3.57262217848763*^9, 
   3.5726221801567974`*^9}, {3.5726222268466997`*^9, 
   3.5726222276422844`*^9}, {3.5726223135031047`*^9, 
   3.5726223136747026`*^9}, {3.5726226172975845`*^9, 
   3.5726226178123846`*^9}, {3.5727063605412064`*^9, 
   3.5727063655801353`*^9}, {3.5727064901805305`*^9, 3.572706516451604*^9}, {
   3.572706636652686*^9, 3.5727066380567217`*^9}, {3.5727068282356863`*^9, 
   3.572706829265312*^9}, {3.572779967630007*^9, 3.5727799694145203`*^9}, {
   3.57278021008912*^9, 3.5727802128142643`*^9}, {3.5729783607866507`*^9, 
   3.572978361703001*^9}, {3.5729784072184887`*^9, 3.572978418971019*^9}, {
   3.572978484392308*^9, 3.572978505378715*^9}, {3.572978586375688*^9, 
   3.572978597751403*^9}, {3.572978689979168*^9, 3.5729787971467247`*^9}, {
   3.572978872860572*^9, 3.572978897176827*^9}, {3.5729790795913677`*^9, 
   3.572979089426263*^9}, {3.572980428209798*^9, 3.572980435569786*^9}, {
   3.573208840471568*^9, 3.5732088722408533`*^9}, {3.573208912104311*^9, 
   3.57320902820677*^9}, {3.57320906205576*^9, 3.573209164954481*^9}, {
   3.5732092292185383`*^9, 3.573209237480801*^9}, 3.5732093299855556`*^9, {
   3.573209810357493*^9, 3.5732098195694637`*^9}, 3.5732978924771137`*^9, 
   3.5732979653093557`*^9, 3.573298018733279*^9, 3.57329810167726*^9, 
   3.573298275402422*^9, 3.573299479618374*^9, {3.5733100158088303`*^9, 
   3.573310017041232*^9}, {3.573310088536158*^9, 3.5733101217954164`*^9}, {
   3.573310227392002*^9, 3.5733102435380306`*^9}, {3.573310438947974*^9, 
   3.573310440336376*^9}, {3.5733106166502857`*^9, 3.5733106200042915`*^9}, {
   3.5733107924937944`*^9, 3.5733107957542005`*^9}, {3.5733109370904484`*^9, 
   3.573310960038089*^9}, {3.5733111306243887`*^9, 3.5733111424024096`*^9}, {
   3.5733111926188974`*^9, 3.5733111971585054`*^9}, {3.573311302079734*^9, 
   3.573311303639737*^9}, {3.5733114077855196`*^9, 3.5733114170207357`*^9}, {
   3.5733115328509398`*^9, 3.573311535362544*^9}, {3.5733116919244184`*^9, 
   3.573311692049219*^9}, {3.573313278213036*^9, 3.573313280954504*^9}, 
   3.573313549567833*^9, 3.5733136075349293`*^9, 3.5733137061823587`*^9, 
   3.5733137389114943`*^9, {3.573313810166974*^9, 3.573313813359693*^9}, {
   3.573313895872117*^9, 3.57331389788338*^9}, {3.573490703131671*^9, 
   3.57349070343298*^9}, 3.5734907596776123`*^9, {3.573490821538331*^9, 
   3.573490822919753*^9}, {3.573493790563546*^9, 3.573493799558784*^9}, {
   3.5738199958834143`*^9, 3.573819999054414*^9}, {3.573831934052368*^9, 
   3.573831937464913*^9}, {3.574101697808506*^9, 3.5741017141080093`*^9}, {
   3.574101935532936*^9, 3.5741019451467648`*^9}, {3.5741030501265593`*^9, 
   3.574103085038464*^9}, {3.574103124407205*^9, 3.574103127999136*^9}, {
   3.5741052556181192`*^9, 3.574105392620627*^9}, {3.574105846529587*^9, 
   3.574105846836295*^9}, {3.574106153880497*^9, 3.574106170960849*^9}, {
   3.574156809671344*^9, 3.574156810022563*^9}, {3.574504111655542*^9, 
   3.574504216748823*^9}, {3.574504633530974*^9, 3.5745046752843037`*^9}, {
   3.574504720460395*^9, 3.574504729185457*^9}, {3.574505700873913*^9, 
   3.5745057624774218`*^9}, {3.5745057951581907`*^9, 3.574505913245223*^9}, {
   3.574505945059111*^9, 3.5745059483118057`*^9}, {3.57450601593852*^9, 
   3.574506034619912*^9}, 3.57450620347091*^9, {3.5745067846447153`*^9, 
   3.574506838066218*^9}, {3.5745071462599173`*^9, 3.5745072585202913`*^9}, {
   3.5745072994961863`*^9, 3.574507335454797*^9}, {3.5745073903616657`*^9, 
   3.5745074033430233`*^9}, {3.574507497665387*^9, 3.5745075282156076`*^9}, {
   3.5745075924566193`*^9, 3.57450767185215*^9}, {3.5745077203137503`*^9, 
   3.5745078306580544`*^9}, {3.574507882157879*^9, 3.574507927977948*^9}, {
   3.574507967540504*^9, 3.574507992073868*^9}, {3.574508042254321*^9, 
   3.574508140323038*^9}, {3.5745081800939407`*^9, 3.5745082696587887`*^9}, {
   3.5745083148353033`*^9, 3.574508364099581*^9}, {3.5745084008179827`*^9, 
   3.5745084098083057`*^9}, {3.574509084430991*^9, 3.57450909289145*^9}, {
   3.5745091307627077`*^9, 3.5745091373243313`*^9}, {3.574509169086125*^9, 
   3.5745092680796022`*^9}, {3.574509308993252*^9, 3.574509315465341*^9}, {
   3.5745093532795143`*^9, 3.5745093990995092`*^9}, {3.5745094523215923`*^9, 
   3.574509466266603*^9}, {3.574509688181511*^9, 3.574509688489416*^9}, {
   3.57450976667235*^9, 3.574509767072426*^9}, {3.5745099852988787`*^9, 
   3.574509996618203*^9}, {3.57451022546725*^9, 3.574510226431954*^9}, {
   3.57451057882399*^9, 3.574510579135168*^9}, {3.574510664148067*^9, 
   3.5745106874783373`*^9}, {3.574510717828601*^9, 3.5745107556478443`*^9}, {
   3.574510970190674*^9, 3.5745109789473953`*^9}, {3.5745111541512423`*^9, 
   3.5745111565723*^9}, {3.574511390761026*^9, 3.574511398044828*^9}, {
   3.574512011192564*^9, 3.574512014928343*^9}, {3.574522720293569*^9, 
   3.574522720957251*^9}, {3.574523980499628*^9, 3.5745239827569*^9}, {
   3.574526226468754*^9, 3.574526232627174*^9}, 3.5745264337046432`*^9, 
   3.574526631166851*^9, {3.5745271040658092`*^9, 3.574527104395355*^9}, {
   3.574527969919932*^9, 3.5745280425690536`*^9}, {3.5745303969208803`*^9, 
   3.574530448244349*^9}, 3.574530691544002*^9, {3.574533688090165*^9, 
   3.574533742035879*^9}, {3.574534865143775*^9, 3.574534866967124*^9}, {
   3.574590045193274*^9, 3.5745900454724913`*^9}, {3.575132263460321*^9, 
   3.575132278160576*^9}, {3.575132309109049*^9, 3.575132315500382*^9}, {
   3.575132360997697*^9, 3.5751323755492496`*^9}, {3.5751326056028852`*^9, 
   3.575132615183258*^9}, {3.575132993734147*^9, 3.575132999277605*^9}, {
   3.575133319425609*^9, 3.5751333485621977`*^9}, {3.5751344461558037`*^9, 
   3.575134448840247*^9}, {3.575135603536893*^9, 3.575135669343664*^9}, {
   3.5751357132833548`*^9, 3.5751357336148357`*^9}, {3.575135812675582*^9, 
   3.575135861387726*^9}, {3.575135953278297*^9, 3.5751359679988813`*^9}, {
   3.5756343821102247`*^9, 3.57563445496527*^9}, {3.575634559971675*^9, 
   3.575634560330185*^9}, {3.575634663386236*^9, 3.575634666236064*^9}, {
   3.5756500342488337`*^9, 3.5756500431667643`*^9}, {3.575650178782445*^9, 
   3.575650179152571*^9}, {3.575650633374049*^9, 3.5756506338841257`*^9}, {
   3.575651419853527*^9, 3.575651420492811*^9}, {3.57565165589876*^9, 
   3.575651662200069*^9}, {3.575651740654488*^9, 3.5756517408260584`*^9}, {
   3.575652115060006*^9, 3.5756521151848016`*^9}, {3.5756524887276397`*^9, 
   3.575652496589939*^9}, {3.5756525516260333`*^9, 3.575652559519596*^9}, {
   3.5756525995491962`*^9, 3.5756525996739964`*^9}, 3.5756527414155965`*^9, {
   3.575713429860776*^9, 3.575713431616461*^9}, 3.575713765725336*^9, {
   3.576064547004264*^9, 3.576064584932334*^9}, {3.5760646234432287`*^9, 
   3.576064632490343*^9}, {3.576064700127193*^9, 3.5760647096920567`*^9}, {
   3.576064789465136*^9, 3.576064869124611*^9}, {3.576065178961851*^9, 
   3.5760652379479513`*^9}, 3.5760806309965563`*^9, {3.57608069356176*^9, 
   3.576080745591638*^9}, {3.576080824647224*^9, 3.576080907432123*^9}, {
   3.576080958212833*^9, 3.576081016059175*^9}, {3.576081066236657*^9, 
   3.5760810902868633`*^9}, {3.576081129548464*^9, 3.576081132367714*^9}, {
   3.576081173479529*^9, 3.576081179684929*^9}, {3.5760812624668303`*^9, 
   3.5760813017897*^9}, {3.576081338842105*^9, 3.576081345847661*^9}, {
   3.576081382942676*^9, 3.576081510034328*^9}, {3.576081771156743*^9, 
   3.576081776209346*^9}, {3.576081806418565*^9, 3.576081807016838*^9}, {
   3.576081838055835*^9, 3.57608184407646*^9}, {3.5760822854991217`*^9, 
   3.576082450658762*^9}, {3.576082489308929*^9, 3.5760824964480343`*^9}, {
   3.57608295470866*^9, 3.5760829555087767`*^9}, 3.576083030064863*^9, {
   3.576083104941779*^9, 3.576083113685643*^9}, {3.576083208279318*^9, 
   3.576083210390307*^9}, {3.5760832844049377`*^9, 3.5760832868347073`*^9}, {
   3.57608346227871*^9, 3.576083464417644*^9}, {3.576083509937025*^9, 
   3.5760835518078423`*^9}, {3.576083745211829*^9, 3.576083762559045*^9}, {
   3.576083882645196*^9, 3.5760839089589376`*^9}, {3.5760840594193287`*^9, 
   3.576084118960477*^9}, {3.5760842903148203`*^9, 3.576084337284157*^9}, {
   3.576084545744869*^9, 3.576084546430406*^9}, {3.5760855272606697`*^9, 
   3.576085528616495*^9}, {3.576086185635008*^9, 3.576086219292088*^9}, {
   3.5760917554763703`*^9, 3.5760917652335577`*^9}, {3.576158538859*^9, 
   3.5761585390306845`*^9}, 3.576159272610405*^9, 3.576159352722472*^9, {
   3.5761597417654495`*^9, 3.576159742873078*^9}, {3.5761597789169025`*^9, 
   3.5761597806641474`*^9}, {3.5761642197367134`*^9, 
   3.5761642198927174`*^9}, {3.576164683876309*^9, 3.576164684079115*^9}, {
   3.576171296439384*^9, 3.576171307501796*^9}, {3.576172839541362*^9, 
   3.576172847068997*^9}, {3.591460519870246*^9, 3.591460561762847*^9}, 
   3.59146068588514*^9, {3.591461235517352*^9, 3.591461244134358*^9}, 
   3.5914613272690773`*^9, {3.591461453703599*^9, 3.591461499990899*^9}, {
   3.591462043440412*^9, 3.591462128164803*^9}, 3.5914636973811398`*^9, {
   3.591467745532523*^9, 3.5914677468591623`*^9}, 3.59199224622972*^9, {
   3.591992652707176*^9, 3.591992653135416*^9}, 3.598888937591454*^9, {
   3.5988889823560867`*^9, 3.598888982696527*^9}, {3.598890441052848*^9, 
   3.598890497418623*^9}, {3.5988939414225407`*^9, 3.598893942137864*^9}, {
   3.598894110363761*^9, 3.598894127446697*^9}, {3.59889418842029*^9, 
   3.598894240585033*^9}, {3.598895045913196*^9, 3.598895071595348*^9}, {
   3.59889608059352*^9, 3.598896192749061*^9}}],

Cell[BoxData["\<\"Parameters\"\>"], "Output",
 CellChangeTimes->{
  3.576159477576274*^9, 3.576160046772872*^9, 3.5761642590005293`*^9, 
   3.5761647212077065`*^9, 3.576171337696492*^9, 3.576172857057701*^9, 
   3.5914612140720654`*^9, 3.591461245685648*^9, 3.591461518588934*^9, 
   3.5914621304653587`*^9, 3.591463699081192*^9, 3.591992248680745*^9, 
   3.591992663698827*^9, 3.5988889468671417`*^9, 3.59888901009641*^9, 
   3.598889762992383*^9, 3.598893927245509*^9, {3.598894114315934*^9, 
   3.598894128897702*^9}, 3.598894248771644*^9, 3.598896211605773*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"\[Alpha]H\"\>", "\<\"\[Alpha]L\"\>", "\<\"\[Mu]\"\>", \
"\<\"\[Sigma]\"\>", "\<\"\[Pi]\"\>", "\<\"rH\"\>", "\<\"rL\"\>", \
"\<\"\[Chi]0+\[Chi]1*c(bps)\"\>", "\<\"\[Kappa](bps)\"\>", \
"\<\"\[Lambda]\"\>", "\<\"\[Beta]\"\>", "\<\"\[Xi]\"\>", "\<\"p\"\>", "\<\"t0\
\"\>", "\<\"T0\"\>", "\<\"Targeted CS\"\>", "\<\"Shock\[Chi]\"\>", "\<\"Shock\
\[Xi]\"\>", "\<\"Midpoint\"\>"},
     {"0.5152284263959391`", "0.49952901774033176`", 
      RowBox[{"-", "0.022`"}], "0.25`", "0.27`", "0.02`", "0.02`", 
      RowBox[{"32.`", "\[VeryThinSpace]", "+", 
       RowBox[{"1100.`", " ", "c"}]}], "100.`", "26.`", "0.03`", "0.7`", 
      "1.`", "10.`", "10.`", "200.`", "1.`", "0.7`", "0.`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.576159477576274*^9, 3.576160046772872*^9, 3.5761642590005293`*^9, 
   3.5761647212077065`*^9, 3.576171337696492*^9, 3.576172857057701*^9, 
   3.5914612140720654`*^9, 3.591461245685648*^9, 3.591461518588934*^9, 
   3.5914621304653587`*^9, 3.591463699081192*^9, 3.591992248680745*^9, 
   3.591992663698827*^9, 3.5988889468671417`*^9, 3.59888901009641*^9, 
   3.598889762992383*^9, 3.598893927245509*^9, {3.598894114315934*^9, 
   3.598894128897702*^9}, 3.598894248771644*^9, 3.598896211609087*^9}],

Cell[BoxData["\<\"Par Bonds\"\>"], "Output",
 CellChangeTimes->{
  3.576159477576274*^9, 3.576160046772872*^9, 3.5761642590005293`*^9, 
   3.5761647212077065`*^9, 3.576171337696492*^9, 3.576172857057701*^9, 
   3.5914612140720654`*^9, 3.591461245685648*^9, 3.591461518588934*^9, 
   3.5914621304653587`*^9, 3.591463699081192*^9, 3.591992248680745*^9, 
   3.591992663698827*^9, 3.5988889468671417`*^9, 3.59888901009641*^9, 
   3.598889762992383*^9, 3.598893927245509*^9, {3.598894114315934*^9, 
   3.598894128897702*^9}, 3.598894248771644*^9, 3.598896215722993*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"[1] \[Delta]\"\>", "\<\"[2] c-r\"\>", "\<\"[3] BAprop(\[Delta],T) \
bps\"\>", "\<\"[4] QL\"\>", "\<\"[5] ML\"\>", "\<\"[6] CS\"\>", "\<\"[7] CS \
LT96opt\"\>", "\<\"[8] CS LT96part\"\>", "\<\"[9] CS DGP\"\>", "\<\"[10] Pure \
Default\"\>", "\<\"[11] Liq Default\"\>", "\<\"[12] Pure Liq\"\>", "\<\"[13] \
Default Liq\"\>", "\<\"[14] Abs[cs(t)-cs(r)]\"\>", "\<\"[15] Pure \
Default%\"\>", "\<\"[16] Liq Default%\"\>", "\<\"[17] Pure Liq%\"\>", \
"\<\"[18] Default Liq%\"\>", "\<\"[19] \[Delta]b\"\>", "\<\"[20] \
Vb(\[Alpha]H-\[Alpha]L)-\[Chi]/rhat1\"\>"},
     {"0.22281126555762953`", "61", "39.33679259478991`", 
      "0.19308347678547488`", "0.1947241341607946`", "61.000001094696046`", 
      "21.853737714082644`", "27.020513875987522`", "26.165309766256023`", 
      "21.853737714082644`", "5.1667761619048775`", "26.165309766256023`", 
      "7.814177452452501`", "1.094696035208731`*^-6", "0.35825798888359084`", 
      "0.08470124703578291`", "0.4289394966671746`", "0.12810126741345165`", 
      "0.03139297686075812`", "0.00768721839650157`"},
     {"0.11140563277881477`", "61", "44.797912389595105`", 
      "0.3997945340366087`", "0.39145424525224826`", "208.34058656430255`", 
      "124.79197159364793`", "140.32354832723323`", "26.165309766256023`", 
      "124.79197159364793`", "15.531576733585297`", "26.165309766256023`", 
      "41.8517284708133`", "\<\"NA\"\>", "0.5989806098349059`", 
      "0.07454897286079977`", "0.12558911442912887`", "0.2008813028751655`", 
      "0.03139297686075812`", "0.00768721839650157`"},
     {"0.18204914159584698`", "88", "41.266345977528445`", 
      "0.23848117776962408`", "0.2414055197903275`", "88.00000209110425`", 
      "39.24183740770123`", "47.09181401461475`", "27.112639119174116`", 
      "39.24183740770123`", "7.849976606913515`", "27.112639119174116`", 
      "13.795548957315383`", "2.0911042689086834`*^-6", 
      "0.44592995994562723`", "0.08920427750429626`", "0.30809816448759925`", 
      "0.15676759806247717`", "0.031728370749446067`", 
      "0.0076145871040993185`"},
     {"0.09102457079792348`", "88", "49.63766645474222`", 
      "0.4949102081151704`", "0.4798926019645053`", "298.82768575343636`", 
      "189.66347181353277`", "208.03464519924412`", "27.112639119174116`", 
      "189.66347181353277`", "18.37117338571136`", "27.112639119174116`", 
      "63.680401435018126`", "\<\"NA\"\>", "0.634691766712756`", 
      "0.06147748104193221`", "0.09073001067760782`", "0.2131007415677041`", 
      "0.031728370749446067`", "0.0076145871040993185`"},
     {"0.1703279090246572`", "100", "42.12440711004144`", 
      "0.2558287796618861`", "0.2593017367810481`", "100.00000235592314`", 
      "47.10158605415717`", "55.985256438640384`", "27.526311246733464`", 
      "47.10158605415717`", "8.883670384483217`", "27.526311246733464`", 
      "16.48843467054929`", "2.355923164887308`*^-6", "0.47101584944480024`", 
      "0.08883670175190775`", "0.2752631059823474`", "0.1648843428209445`", 
      "0.03187743469997405`", "0.007582306529698317`"},
     {"0.08516395451232861`", "100", "51.75884881842576`", 
      "0.5306048781869719`", "0.5127460832294987`", "335.5056955822994`", 
      "216.15394190753454`", "235.29280049041122`", "27.526311246733464`", 
      "216.15394190753454`", "19.13885858287668`", "27.526311246733464`", 
      "72.68658384515467`", "\<\"NA\"\>", "0.6442631071653807`", 
      "0.05704480977486693`", "0.08204424428312357`", "0.21664783877662872`", 
      "0.03187743469997405`", "0.007582306529698317`"},
     {"0.15325167186200836`", "123", "43.77007135856281`", 
      "0.2862298148598522`", "0.2906908003220589`", "123.00000353550247`", 
      "62.32915825719821`", "72.99415682855464`", "28.30686222656007`", 
      "62.32915825719821`", "10.664998571356428`", "28.30686222656007`", 
      "21.698984480387765`", "3.5355024463612494`*^-6", "0.5067411094765347`",
       "0.08670730296587434`", "0.23013708465780358`", "0.17641450289978744`",
       "0.03216314060515267`", "0.007520435428763065`"},
     {"0.07662583593100418`", "123", "55.86722410901594`", 
      "0.5918060186055526`", "0.5688753731056876`", "402.20282420642127`", 
      "264.4838948237359`", "284.68154055173386`", "28.30686222656007`", 
      "264.4838948237359`", "20.19764572799795`", "28.30686222656007`", 
      "89.21442142812737`", "\<\"NA\"\>", "0.6575883581762113`", 
      "0.050217563160700175`", "0.07037957100975559`", "0.22181450765333297`",
       "0.03216314060515267`", "0.007520435428763065`"},
     {"0.12009184288748816`", "200", "49.29430690709809`", 
      "0.37271949211886335`", "0.3796714858890556`", "200.00000567730933`", 
      "114.3469720404253`", "129.74920483877858`", "30.807769299562825`", 
      "114.3469720404253`", "15.402232798353282`", "30.807769299562825`", 
      "39.443031538967915`", "5.6773093171091915`*^-6", "0.5717348439725487`",
       "0.07701116180568547`", "0.15403884212518335`", "0.19721515209658247`",
       "0.03311963428770722`", "0.007313301743023318`"},
     {"0.06004592144374407`", "200", "71.18093767429987`", 
      "0.7515724042747711`", "0.7169849946389723`", "610.0113617585179`", 
      "415.207677457604`", "438.1562454260142`", "30.807769299562825`", 
      "415.207677457604`", "22.948567968410202`", "30.807769299562825`", 
      "141.04734703294088`", "\<\"NA\"\>", "0.6806556459221659`", 
      "0.03761990252485615`", "0.05050359916371286`", "0.23122085238926512`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.09114316056520584`", "350", "60.18674640611153`", 
      "0.5085597746076771`", "0.5164724516918854`", "350.0000103363986`", 
      "217.9409881170498`", "240.8057500333569`", "35.232936049842955`", 
      "217.9409881170498`", "22.86476191630709`", "35.232936049842955`", 
      "73.96132425319871`", "0.00001033639854264301`", "0.6226885190876945`", 
      "0.06532788926014854`", "0.10066552859806836`", "0.21131806305408854`", 
      "0.034982933669306965`", "0.006909794563010814`"},
     {"0.045571580282602914`", "350", "120.95680865756566`", 
      "0.9340396785752559`", "0.9060435412229316`", "1032.2897433355658`", 
      "713.7272630970127`", "751.4199721404295`", "35.232936049842955`", 
      "713.7272630970127`", "37.69270904341681`", "35.232936049842955`", 
      "245.6368351452934`", "\<\"NA\"\>", "0.6914020677865069`", 
      "0.03651369132238299`", "0.034130859361246026`", "0.23795338152986412`",
       "0.034982933669306965`", "0.006909794563010814`"},
     {"0.07438767135972574`", "552", "75.39579120985864`", 
      "0.6491039008383932`", "0.6533834806181619`", "551.9999999999999`", 
      "358.2120722971846`", "393.85051088218023`", "40.40758181384465`", 
      "358.2120722971846`", "35.63843858499564`", "40.40758181384465`", 
      "117.74190730397498`", "1.3877787807814457`*^-13", 
      "0.6489349135818563`", "0.06456238874093415`", "0.07320214096710989`", 
      "0.21330055671009965`", "0.03749217683652795`", "0.006366404893927305`"},
     {"0.03719383567986286`", "552", "311.96035492350916`", 
      "0.999926593010275`", "0.9998368775129957`", "1831.998348812578`", 
      "1219.0310828178015`", "1323.9531058854811`", "40.40758181384465`", 
      "1219.0310828178015`", "104.92202306767967`", "40.40758181384465`", 
      "467.6376611132521`", "\<\"NA\"\>", "0.66541057944071`", 
      "0.0572718982720075`", "0.022056560171047696`", "0.2552609621162347`", 
      "0.03749217683652795`", "0.006366404893927305`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.576159477576274*^9, 3.576160046772872*^9, 3.5761642590005293`*^9, 
   3.5761647212077065`*^9, 3.576171337696492*^9, 3.576172857057701*^9, 
   3.5914612140720654`*^9, 3.591461245685648*^9, 3.591461518588934*^9, 
   3.5914621304653587`*^9, 3.591463699081192*^9, 3.591992248680745*^9, 
   3.591992663698827*^9, 3.5988889468671417`*^9, 3.59888901009641*^9, 
   3.598889762992383*^9, 3.598893927245509*^9, {3.598894114315934*^9, 
   3.598894128897702*^9}, 3.598894248771644*^9, 3.5988962157534113`*^9}],

Cell[BoxData["\<\"Non-par Bonds\"\>"], "Output",
 CellChangeTimes->{
  3.576159477576274*^9, 3.576160046772872*^9, 3.5761642590005293`*^9, 
   3.5761647212077065`*^9, 3.576171337696492*^9, 3.576172857057701*^9, 
   3.5914612140720654`*^9, 3.591461245685648*^9, 3.591461518588934*^9, 
   3.5914621304653587`*^9, 3.591463699081192*^9, 3.591992248680745*^9, 
   3.591992663698827*^9, 3.5988889468671417`*^9, 3.59888901009641*^9, 
   3.598889762992383*^9, 3.598893927245509*^9, {3.598894114315934*^9, 
   3.598894128897702*^9}, 3.598894248771644*^9, 3.5988962157601137`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"[1] \[Delta]\"\>", "\<\"[2] c-r\"\>", "\<\"[3] BAprop(\[Delta],T) \
bps\"\>", "\<\"[4] QL\"\>", "\<\"[5] ML\"\>", "\<\"[6] CS\"\>", "\<\"[7] CS \
LT96opt\"\>", "\<\"[8] CS LT96part\"\>", "\<\"[9] CS DGP\"\>", "\<\"[10] Pure \
Default\"\>", "\<\"[11] Liq Default\"\>", "\<\"[12] Pure Liq\"\>", "\<\"[13] \
Default Liq\"\>", "\<\"[14] Abs[cs(t)-cs(r)]\"\>", "\<\"[15] Pure \
Default%\"\>", "\<\"[16] Liq Default%\"\>", "\<\"[17] Pure Liq%\"\>", \
"\<\"[18] Default Liq%\"\>", "\<\"[19] \[Delta]b\"\>", "\<\"[20] \
Vb(\[Alpha]H-\[Alpha]L)-\[Chi]/rhat1\"\>"},
     {"0.24268167662745685`", "200", "43.8858241487484`", 
      "0.17694943356444018`", "0.18749910004729164`", "61.000039899064795`", 
      "18.559838411251334`", "23.104304034681153`", "30.807769299562825`", 
      "18.559838411251334`", "4.544465623429819`", "30.807769299562825`", 
      "7.087966564820817`", "\<\"NA\"\>", "0.3042594470751465`", 
      "0.07449938772088394`", "0.5050450680120808`", "0.11619609719188861`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.12134083831372844`", "200", "49.146694014312075`", 
      "0.3686070950066421`", "0.37583144133798735`", "196.41104961509785`", 
      "111.7898980695414`", "127.00363212712718`", "30.807769299562825`", 
      "111.7898980695414`", "15.213734057585782`", "30.807769299562825`", 
      "38.59964818840784`", "\<\"NA\"\>", "0.5691629788070144`", 
      "0.07745864648348338`", "0.15685354444129335`", "0.19652483026820877`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.19191121511581094`", "200", "44.88999448396291`", 
      "0.22621225942272447`", "0.2376999402457755`", "88.00000181354014`", 
      "36.39422247730225`", "43.84055608249296`", "30.807769299562825`", 
      "36.39422247730225`", "7.446333605190709`", "30.807769299562825`", 
      "13.351676431484357`", "\<\"NA\"\>", "0.41357070144630886`", 
      "0.08461742558788195`", "0.350088280280269`", "0.15172359268554012`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.09595560755790547`", "200", "53.3217520120772`", 
      "0.473606097072615`", "0.47172143300121183`", "293.60155117639374`", 
      "181.83615475140923`", "201.11466529326407`", "30.807769299562825`", 
      "181.83615475140923`", "19.278510541854843`", "30.807769299562825`", 
      "61.67911658356684`", "\<\"NA\"\>", "0.6193296800471035`", 
      "0.06566215493280023`", "0.10493053996521201`", "0.2100776250548842`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.17801021953855345`", "200", "45.343085425551976`", 
      "0.24489803894504383`", "0.2564232049480954`", "100.00000242453567`", 
      "44.49635851229813`", "53.059732029116475`", "30.807769299562825`", 
      "44.49635851229813`", "8.563373516818345`", "30.807769299562825`", 
      "16.13250109585637`", "\<\"NA\"\>", "0.44496357433468076`", 
      "0.08563373309196305`", "0.30807768552617487`", "0.16132500704718136`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.08900510976927674`", "200", "55.105179625000886`", 
      "0.512606336204019`", "0.5064030248335731`", "332.39373224044687`", 
      "210.14372635261432`", "230.5416903458463`", "30.807769299562825`", 
      "210.14372635261432`", "20.39796399323197`", "30.807769299562825`", 
      "71.04427259503774`", "\<\"NA\"\>", "0.6322132638788768`", 
      "0.06136687312285569`", "0.09268456746132961`", "0.21373529553693799`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.15811151263988432`", "200", "46.223556682584025`", 
      "0.27772435287605063`", "0.2888739690248128`", "123.00000298282686`", 
      "60.2417488418067`", "70.72555981650765`", "30.807769299562825`", 
      "60.2417488418067`", "10.483810974700958`", "30.807769299562825`", 
      "21.46667386675638`", "\<\"NA\"\>", "0.4897703039098104`", 
      "0.08523423349969105`", "0.250469663028091`", "0.17452579956240763`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.07905575631994217`", "200", "58.519295537654926`", 
      "0.5792535848731393`", "0.5649573487247415`", "402.09394299894564`", 
      "261.32712369760407`", "283.1726376992035`", "30.807769299562825`", 
      "261.32712369760407`", "21.84551400159944`", "30.807769299562825`", 
      "88.1135360001793`", "\<\"NA\"\>", "0.6499155937255422`", 
      "0.054329378449893044`", "0.07661833717212599`", "0.21913669065243876`",
       "0.03311963428770722`", "0.007313301743023318`"},
     {"0.12009184288748816`", "200", "49.29430690709809`", 
      "0.37271949211886335`", "0.3796714858890556`", "200.00000567730933`", 
      "114.3469720404253`", "129.74920483877858`", "30.807769299562825`", 
      "114.3469720404253`", "15.402232798353282`", "30.807769299562825`", 
      "39.443031538967915`", "\<\"NA\"\>", "0.5717348439725487`", 
      "0.07701116180568547`", "0.15403884212518335`", "0.19721515209658247`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.06004592144374407`", "200", "71.18093767429987`", 
      "0.7515724042747711`", "0.7169849946389723`", "610.0113617585179`", 
      "415.207677457604`", "438.1562454260142`", "30.807769299562825`", 
      "415.207677457604`", "22.948567968410202`", "30.807769299562825`", 
      "141.04734703294088`", "\<\"NA\"\>", "0.6806556459221659`", 
      "0.03761990252485615`", "0.05050359916371286`", "0.23122085238926512`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.08622446825751755`", "200", "55.94043792739234`", 
      "0.5298483090465115`", "0.5216209840387946`", "350.0000103446478`", 
      "223.03831464489946`", "243.86626046693854`", "30.807769299562825`", 
      "223.03831464489946`", "20.827945822039084`", "30.807769299562825`", 
      "75.32598057814644`", "\<\"NA\"\>", "0.6372523087221393`", 
      "0.059508414875558545`", "0.0880221953971549`", "0.21521708100514725`", 
      "0.03311963428770722`", "0.007313301743023318`"},
     {"0.043112234128758774`", "200", "116.47160691853873`", 
      "0.9405232631146649`", "0.9095997936393075`", "969.9753750466512`", 
      "680.6972723080061`", "698.6684737709293`", "30.807769299562825`", 
      "680.6972723080061`", "17.971201462923204`", "30.807769299562825`", 
      "240.4991319761591`", "\<\"NA\"\>", "0.7017675807236526`", 
      "0.018527482166296103`", "0.03176139321895787`", "0.24794354389109335`",
       "0.03311963428770722`", "0.007313301743023318`"},
     {"0.06427062247235879`", "200", "67.14993136685953`", 
      "0.707732241396234`", "0.6776451638942964`", "551.9999999999798`", 
      "372.1933831597114`", "395.23152096449826`", "30.807769299562825`", 
      "372.1933831597114`", "23.038137804786857`", "30.807769299562825`", 
      "125.96070973591873`", "\<\"NA\"\>", "0.674263375289357`", 
      "0.04173575689273134`", "0.055811176267326006`", "0.22818969155058577`",
       "0.03311963428770722`", "0.007313301743023318`"},
     {"0.03213531123617939`", "200", "350.2883118312276`", 
      "0.9991886674693599`", "0.9978437547537208`", "1439.6087809915557`", 
      "1019.2904070853297`", "1024.7765404719362`", "30.807769299562825`", 
      "1019.2904070853297`", "5.486133386606525`", "30.807769299562825`", 
      "384.02447122005674`", "\<\"NA\"\>", "0.7080329187651075`", 
      "0.0038108501830808887`", "0.02140009821164291`", "0.2667561328401687`",
       "0.03311963428770722`", "0.007313301743023318`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.576159477576274*^9, 3.576160046772872*^9, 3.5761642590005293`*^9, 
   3.5761647212077065`*^9, 3.576171337696492*^9, 3.576172857057701*^9, 
   3.5914612140720654`*^9, 3.591461245685648*^9, 3.591461518588934*^9, 
   3.5914621304653587`*^9, 3.591463699081192*^9, 3.591992248680745*^9, 
   3.591992663698827*^9, 3.5988889468671417`*^9, 3.59888901009641*^9, 
   3.598889762992383*^9, 3.598893927245509*^9, {3.598894114315934*^9, 
   3.598894128897702*^9}, 3.598894248771644*^9, 3.598896215762858*^9}]
}, Open  ]]
},
WindowSize->{720, 852},
WindowMargins->{{Automatic, 193}, {Automatic, 19}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
ShowSelection->True,
CellContext->Notebook,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 20, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 164271, 4049, 13235, "Input"],
Cell[164853, 4073, 565, 8, 28, "Output"],
Cell[165421, 4083, 1762, 34, 58, "Output"],
Cell[167186, 4119, 564, 8, 28, "Output"],
Cell[167753, 4129, 8544, 130, 290, "Output"],
Cell[176300, 4261, 570, 8, 28, "Output"],
Cell[176873, 4271, 8460, 129, 336, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
